searchData={"items":[{"type":"module","title":"ExStreamClient","doc":"Documentation for `ExStreamClient`.","ref":"ExStreamClient.html"},{"type":"module","title":"ExStreamClient.Config","doc":"Configuration for the Stream client.","ref":"ExStreamClient.Config.html"},{"type":"function","title":"ExStreamClient.Config.api_key/0","doc":"","ref":"ExStreamClient.Config.html#api_key/0"},{"type":"function","title":"ExStreamClient.Config.api_key_secret/0","doc":"","ref":"ExStreamClient.Config.html#api_key_secret/0"},{"type":"function","title":"ExStreamClient.Config.endpoint/0","doc":"","ref":"ExStreamClient.Config.html#endpoint/0"},{"type":"module","title":"ExStreamClient.Http","doc":"Client for making requests to the Stream API.","ref":"ExStreamClient.Http.html"},{"type":"function","title":"ExStreamClient.Http.request/2","doc":"Makes a request to the Stream API. This function is called by the generated operations modules.","ref":"ExStreamClient.Http.html#request/2"},{"type":"behaviour","title":"ExStreamClient.Http.Behavior","doc":"","ref":"ExStreamClient.Http.Behavior.html"},{"type":"callback","title":"ExStreamClient.Http.Behavior.request/2","doc":"","ref":"ExStreamClient.Http.Behavior.html#c:request/2"},{"type":"module","title":"ExStreamClient.JSON","doc":"Provides JSON encoding for OpenAPI-generated structs,\nconverting snake_case fields to camelCase JSON keys.","ref":"ExStreamClient.JSON.html"},{"type":"module","title":"ExStreamClient.Token.Server","doc":"","ref":"ExStreamClient.Token.Server.html"},{"type":"function","title":"ExStreamClient.Token.Server.generate_and_sign/2","doc":"Combines `generate_claims/1` and `encode_and_sign/2`","ref":"ExStreamClient.Token.Server.html#generate_and_sign/2"},{"type":"function","title":"ExStreamClient.Token.Server.generate_and_sign!/2","doc":"Same as `generate_and_sign/2` but raises if error","ref":"ExStreamClient.Token.Server.html#generate_and_sign!/2"},{"type":"function","title":"ExStreamClient.Token.Server.get/0","doc":"","ref":"ExStreamClient.Token.Server.html#get/0"},{"type":"function","title":"ExStreamClient.Token.Server.signer/0","doc":"Returns the signer used for server tokens.","ref":"ExStreamClient.Token.Server.html#signer/0"},{"type":"function","title":"ExStreamClient.Token.Server.verify_and_validate/3","doc":"Combines `verify/2` and `validate/2`","ref":"ExStreamClient.Token.Server.html#verify_and_validate/3"},{"type":"function","title":"ExStreamClient.Token.Server.verify_and_validate!/3","doc":"Same as `verify_and_validate/2` but raises if error","ref":"ExStreamClient.Token.Server.html#verify_and_validate!/3"},{"type":"module","title":"ExStreamClient.Token.User","doc":"","ref":"ExStreamClient.Token.User.html"},{"type":"function","title":"ExStreamClient.Token.User.generate_and_sign/2","doc":"Combines `generate_claims/1` and `encode_and_sign/2`","ref":"ExStreamClient.Token.User.html#generate_and_sign/2"},{"type":"function","title":"ExStreamClient.Token.User.generate_and_sign!/2","doc":"Same as `generate_and_sign/2` but raises if error","ref":"ExStreamClient.Token.User.html#generate_and_sign!/2"},{"type":"function","title":"ExStreamClient.Token.User.get/2","doc":"Generates a user token for the given user ID.","ref":"ExStreamClient.Token.User.html#get/2"},{"type":"function","title":"Arguments - ExStreamClient.Token.User.get/2","doc":"- `user_id`: The user ID to generate a token for.","ref":"ExStreamClient.Token.User.html#get/2-arguments"},{"type":"function","title":"Options - ExStreamClient.Token.User.get/2","doc":"- `expires_at`: The expiration time for the token as a `DateTime` struct. If not provided, the token will not expire.","ref":"ExStreamClient.Token.User.html#get/2-options"},{"type":"function","title":"ExStreamClient.Token.User.signer/0","doc":"Returns the signer used for user tokens.","ref":"ExStreamClient.Token.User.html#signer/0"},{"type":"function","title":"ExStreamClient.Token.User.verify_and_validate/3","doc":"Combines `verify/2` and `validate/2`","ref":"ExStreamClient.Token.User.html#verify_and_validate/3"},{"type":"function","title":"ExStreamClient.Token.User.verify_and_validate!/3","doc":"Same as `verify_and_validate/2` but raises if error","ref":"ExStreamClient.Token.User.html#verify_and_validate!/3"},{"type":"module","title":"ExStreamClient.TypeInterner","doc":"Provides a macro for automatically interning typespec atoms at runtime.","ref":"ExStreamClient.TypeInterner.html"},{"type":"module","title":"ExStreamClient.Operations.Chat.Campaigns","doc":"Modules for interacting with the `chat/campaigns` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Campaigns.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Campaigns.get_campaign/2","doc":"Get campaign by ID.","ref":"ExStreamClient.Operations.Chat.Campaigns.html#get_campaign/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.get_campaign/2","doc":"- `id`","ref":"ExStreamClient.Operations.Chat.Campaigns.html#get_campaign/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.get_campaign/2","doc":"- `prev`\n- `next`\n- `limit`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Campaigns.html#get_campaign/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Campaigns.query_campaigns/2","doc":"Query campaigns with filter query","ref":"ExStreamClient.Operations.Chat.Campaigns.html#query_campaigns/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.query_campaigns/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryCampaignsRequest`","ref":"ExStreamClient.Operations.Chat.Campaigns.html#query_campaigns/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.query_campaigns/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Campaigns.html#query_campaigns/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Campaigns.schedule_campaign/3","doc":"Stops a campaign","ref":"ExStreamClient.Operations.Chat.Campaigns.html#schedule_campaign/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.schedule_campaign/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.StopCampaignRequest`","ref":"ExStreamClient.Operations.Chat.Campaigns.html#schedule_campaign/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.schedule_campaign/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Campaigns.html#schedule_campaign/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Campaigns.start_campaign/3","doc":"Starts or schedules a campaign","ref":"ExStreamClient.Operations.Chat.Campaigns.html#start_campaign/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Campaigns.start_campaign/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.StartCampaignRequest`","ref":"ExStreamClient.Operations.Chat.Campaigns.html#start_campaign/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Campaigns.start_campaign/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Campaigns.html#start_campaign/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Channels","doc":"Modules for interacting with the `chat/channels` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Channels.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.delete_channel/3","doc":"Deletes channel","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.delete_channel/3","doc":"- `channel.deleted`\n- `channel.deleted`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channel/3","doc":"- `type`\n- `id`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channel/3","doc":"- `hard_delete`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channel/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.delete_channels/2","doc":"Allows to delete several channels at once asynchronously","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.delete_channels/2","doc":"- `channel.deleted`\n- `channel.deleted`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channels/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.DeleteChannelsRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_channels/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_channels/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.delete_draft/3","doc":"Deletes a draft","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.delete_draft/3","doc":"- `draft.deleted`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_draft/3","doc":"- `type`\n- `id`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_draft/3","doc":"- `parent_id`\n- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_draft/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.delete_file/3","doc":"Deletes previously uploaded file","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_file/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_file/3","doc":"- `type`\n- `id`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_file/3","doc":"- `url`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_file/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.delete_image/3","doc":"Deletes previously uploaded image","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_image/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.delete_image/3","doc":"- `type`\n- `id`","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_image/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.delete_image/3","doc":"- `url`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#delete_image/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.get_draft/3","doc":"Get a draft","ref":"ExStreamClient.Operations.Chat.Channels.html#get_draft/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_draft/3","doc":"- `type`\n- `id`","ref":"ExStreamClient.Operations.Chat.Channels.html#get_draft/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_draft/3","doc":"- `parent_id`\n- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#get_draft/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.get_many_messages/4","doc":"Returns list messages found by IDs","ref":"ExStreamClient.Operations.Chat.Channels.html#get_many_messages/4"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_many_messages/4","doc":"- `type`\n- `id`\n- `ids`","ref":"ExStreamClient.Operations.Chat.Channels.html#get_many_messages/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_many_messages/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#get_many_messages/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","doc":"This Method creates a channel or returns an existing one with matching attributes","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","doc":"- `channel.created`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `user.watching.start`","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.ChannelGetOrCreateRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_channel/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_channel/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","doc":"This Method creates a channel or returns an existing one with matching attributes","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","doc":"- `channel.created`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `user.watching.start`","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","doc":"- `type`\n- `payload`: `Elixir.ExStreamClient.Model.ChannelGetOrCreateRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.get_or_create_distinct_channel/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#get_or_create_distinct_channel/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.hide_channel/4","doc":"Marks channel as hidden for current user","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.hide_channel/4","doc":"- `channel.hidden`\n- `channel.hidden`","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.hide_channel/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.HideChannelRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.hide_channel/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#hide_channel/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","doc":"Marks channels as read up to the specific message. If no channels is given, mark all channel as read","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","doc":"- `message.read`\n- `message.read`","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.MarkChannelsReadRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.mark_channels_read/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_channels_read/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.mark_read/4","doc":"Marks channel as read up to the specific message","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.mark_read/4","doc":"- `message.read`\n- `message.read`","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.mark_read/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.MarkReadRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.mark_read/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_read/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.mark_unread/4","doc":"Marks channel as unread from a specific message","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_unread/4"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.mark_unread/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.MarkUnreadRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_unread/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.mark_unread/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#mark_unread/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.query_channels/2","doc":"Query channels with filter query","ref":"ExStreamClient.Operations.Chat.Channels.html#query_channels/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.query_channels/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryChannelsRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#query_channels/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.query_channels/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#query_channels/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.send_event/4","doc":"Sends event to the channel","ref":"ExStreamClient.Operations.Chat.Channels.html#send_event/4"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.send_event/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.SendEventRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#send_event/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.send_event/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#send_event/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.send_message/4","doc":"Sends new message to the specified channel","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.send_message/4","doc":"- `message.new`\n- `message.updated`\n- `message.new`\n- `message.updated`","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.send_message/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.SendMessageRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.send_message/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#send_message/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.show_channel/4","doc":"Shows previously hidden channel","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.show_channel/4","doc":"- `channel.visible`\n- `channel.visible`","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.show_channel/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.ShowChannelRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.show_channel/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#show_channel/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.truncate_channel/4","doc":"Truncates messages from a channel. Can be applied to the entire channel or scoped to specific members.","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.truncate_channel/4","doc":"- `channel.truncated`\n- `channel.truncated`","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.truncate_channel/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.TruncateChannelRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.truncate_channel/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#truncate_channel/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.update_channel/4","doc":"Change channel data","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.update_channel/4","doc":"- `channel.updated`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `message.new`\n- `channel.updated`\n- `member.added`\n- `member.removed`\n- `member.updated`\n- `message.new`","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateChannelRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","doc":"Updates certain fields of the channel","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","doc":"- `channel.updated`\n- `channel.updated`","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateChannelPartialRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.update_channel_partial/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#update_channel_partial/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.update_member_partial/4","doc":"","ref":"ExStreamClient.Operations.Chat.Channels.html#update_member_partial/4"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.update_member_partial/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMemberPartialRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#update_member_partial/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.update_member_partial/4","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#update_member_partial/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.upload_file/4","doc":"Uploads file","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_file/4"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.upload_file/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.FileUploadRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_file/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.upload_file/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_file/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channels.upload_image/4","doc":"Uploads image","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_image/4"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channels.upload_image/4","doc":"- `type`\n- `id`\n- `payload`: `Elixir.ExStreamClient.Model.ImageUploadRequest`","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_image/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channels.upload_image/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channels.html#upload_image/4-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Channeltypes","doc":"Modules for interacting with the `chat/channeltypes` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Channeltypes.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channeltypes.create_channel_type/2","doc":"Creates new channel type","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#create_channel_type/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.create_channel_type/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateChannelTypeRequest`","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#create_channel_type/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.create_channel_type/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#create_channel_type/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channeltypes.delete_channel_type/2","doc":"Deletes channel type","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#delete_channel_type/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.delete_channel_type/2","doc":"- `name`","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#delete_channel_type/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.delete_channel_type/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#delete_channel_type/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channeltypes.get_channel_type/2","doc":"Gets channel type","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#get_channel_type/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.get_channel_type/2","doc":"- `name`","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#get_channel_type/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.get_channel_type/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#get_channel_type/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channeltypes.list_channel_types/1","doc":"Lists all available channel types","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#list_channel_types/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.list_channel_types/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#list_channel_types/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Channeltypes.update_channel_type/3","doc":"Updates channel type","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#update_channel_type/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Channeltypes.update_channel_type/3","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateChannelTypeRequest`","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#update_channel_type/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Channeltypes.update_channel_type/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Channeltypes.html#update_channel_type/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Commands","doc":"Modules for interacting with the `chat/commands` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Commands.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Commands.create_command/2","doc":"Creates custom chat command","ref":"ExStreamClient.Operations.Chat.Commands.html#create_command/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.create_command/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateCommandRequest`","ref":"ExStreamClient.Operations.Chat.Commands.html#create_command/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.create_command/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Commands.html#create_command/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Commands.delete_command/2","doc":"Deletes custom chat command","ref":"ExStreamClient.Operations.Chat.Commands.html#delete_command/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.delete_command/2","doc":"- `name`","ref":"ExStreamClient.Operations.Chat.Commands.html#delete_command/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.delete_command/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Commands.html#delete_command/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Commands.get_command/2","doc":"Returns custom command by its name","ref":"ExStreamClient.Operations.Chat.Commands.html#get_command/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.get_command/2","doc":"- `name`","ref":"ExStreamClient.Operations.Chat.Commands.html#get_command/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.get_command/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Commands.html#get_command/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Commands.list_commands/1","doc":"Returns all custom commands","ref":"ExStreamClient.Operations.Chat.Commands.html#list_commands/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.list_commands/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Commands.html#list_commands/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Commands.update_command/3","doc":"Updates custom chat command","ref":"ExStreamClient.Operations.Chat.Commands.html#update_command/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Commands.update_command/3","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateCommandRequest`","ref":"ExStreamClient.Operations.Chat.Commands.html#update_command/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Commands.update_command/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Commands.html#update_command/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Drafts","doc":"Modules for interacting with the `chat/drafts` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Drafts.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Drafts.query_drafts/2","doc":"Queries draft messages for a user","ref":"ExStreamClient.Operations.Chat.Drafts.html#query_drafts/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Drafts.query_drafts/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryDraftsRequest`","ref":"ExStreamClient.Operations.Chat.Drafts.html#query_drafts/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Drafts.query_drafts/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Drafts.html#query_drafts/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.ExportChannels","doc":"Modules for interacting with the `chat/export_channels` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.ExportChannels.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.ExportChannels.export_channels/2","doc":"Exports channel data to JSON file","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#export_channels/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.ExportChannels.export_channels/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.ExportChannelsRequest`","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#export_channels/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.ExportChannels.export_channels/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.ExportChannels.html#export_channels/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Members","doc":"Modules for interacting with the `chat/members` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Members.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Members.query_members/1","doc":"Find and filter channel members","ref":"ExStreamClient.Operations.Chat.Members.html#query_members/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Members.query_members/1","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryMembersPayload`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Members.html#query_members/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Messages","doc":"Modules for interacting with the `chat/messages` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Messages.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","doc":"Cast a vote on a poll","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","doc":"- `poll.vote_casted`","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","doc":"- `message_id`\n- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.CastPollVoteRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.cast_poll_vote/4","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#cast_poll_vote/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.commit_message/3","doc":"Commits a pending message, which will make it visible in the channel","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.commit_message/3","doc":"- `message.new`\n- `message.updated`\n- `message.new`\n- `message.updated`","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.commit_message/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.CommitMessageRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.commit_message/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#commit_message/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.delete_message/2","doc":"Deletes message","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.delete_message/2","doc":"- `message.deleted`\n- `message.deleted`","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.delete_message/2","doc":"- `id`","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.delete_message/2","doc":"- `hard`\n- `deleted_by`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_message/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.delete_reaction/3","doc":"Removes user reaction from the message","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.delete_reaction/3","doc":"- `reaction.deleted`","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.delete_reaction/3","doc":"- `id`\n- `type`","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.delete_reaction/3","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#delete_reaction/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.get_message/2","doc":"Returns message by ID","ref":"ExStreamClient.Operations.Chat.Messages.html#get_message/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.get_message/2","doc":"- `id`","ref":"ExStreamClient.Operations.Chat.Messages.html#get_message/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.get_message/2","doc":"- `show_deleted_message`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#get_message/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.get_reactions/2","doc":"Returns list of reactions of specific message","ref":"ExStreamClient.Operations.Chat.Messages.html#get_reactions/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.get_reactions/2","doc":"- `id`","ref":"ExStreamClient.Operations.Chat.Messages.html#get_reactions/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.get_reactions/2","doc":"- `limit`\n- `offset`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#get_reactions/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.get_replies/2","doc":"Returns replies (thread) of the message","ref":"ExStreamClient.Operations.Chat.Messages.html#get_replies/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.get_replies/2","doc":"- `parent_id`","ref":"ExStreamClient.Operations.Chat.Messages.html#get_replies/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.get_replies/2","doc":"- `sort`\n- `limit`\n- `offset`\n- `id_gte`\n- `id_gt`\n- `id_lte`\n- `id_lt`\n- `created_at_after_or_equal`\n- `created_at_after`\n- `created_at_before_or_equal`\n- `created_at_before`\n- `id_around`\n- `created_at_around`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#get_replies/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.query_message_history/2","doc":"Queries history for one message","ref":"ExStreamClient.Operations.Chat.Messages.html#query_message_history/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.query_message_history/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryMessageHistoryRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#query_message_history/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.query_message_history/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#query_message_history/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.query_reactions/3","doc":"Get reactions on a message","ref":"ExStreamClient.Operations.Chat.Messages.html#query_reactions/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.query_reactions/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.QueryReactionsRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#query_reactions/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.query_reactions/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#query_reactions/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","doc":"Delete a vote from a poll","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","doc":"- `poll.vote_removed`","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","doc":"- `message_id`\n- `poll_id`\n- `vote_id`","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.remove_poll_vote/4","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#remove_poll_vote/4-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.run_message_action/3","doc":"Executes message command action with given parameters","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.run_message_action/3","doc":"- `message.new`\n- `message.new`","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.run_message_action/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.MessageActionRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.run_message_action/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#run_message_action/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.send_reaction/3","doc":"Sends reaction to specified message","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.send_reaction/3","doc":"- `reaction.new`\n- `reaction.updated`","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.send_reaction/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.SendReactionRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.send_reaction/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#send_reaction/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.translate_message/3","doc":"Translates message to a given language using automated translation software","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.translate_message/3","doc":"- `message.updated`\n- `message.updated`","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.translate_message/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.TranslateMessageRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.translate_message/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#translate_message/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.undelete_message/3","doc":"Undelete a message that was previously soft-deleted","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.undelete_message/3","doc":"- `message.undeleted`\n- `message.undeleted`","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.undelete_message/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMessageRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.undelete_message/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#undelete_message/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.update_message/3","doc":"Updates message with new data","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.update_message/3","doc":"- `message.updated`\n- `message.updated`","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.update_message/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMessageRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.update_message/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Messages.update_message_partial/3","doc":"Updates certain fields of the message","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Messages.update_message_partial/3","doc":"- `message.updated`\n- `message.updated`","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Messages.update_message_partial/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateMessagePartialRequest`","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Messages.update_message_partial/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Messages.html#update_message_partial/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Moderation","doc":"Modules for interacting with the `chat/moderation` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Moderation.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Moderation.mute_channel/2","doc":"Mutes channel for user","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Moderation.mute_channel/2","doc":"- `channel.muted`\n- `channel.muted`","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Moderation.mute_channel/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.MuteChannelRequest`","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Moderation.mute_channel/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Moderation.html#mute_channel/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Moderation.query_message_flags/1","doc":"Find and filter message flags","ref":"ExStreamClient.Operations.Chat.Moderation.html#query_message_flags/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Moderation.query_message_flags/1","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryMessageFlagsPayload`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Moderation.html#query_message_flags/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","doc":"Unmutes channel for user","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","doc":"- `channel.unmuted`\n- `channel.unmuted`","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnmuteChannelRequest`","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Moderation.unmute_channel/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Moderation.html#unmute_channel/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Polls","doc":"Modules for interacting with the `chat/polls` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Polls.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.create_poll/2","doc":"Creates a new poll","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreatePollRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.create_poll_option/3","doc":"Creates a poll option","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.create_poll_option/3","doc":"- `poll.updated`","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll_option/3","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.CreatePollOptionRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.create_poll_option/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#create_poll_option/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.delete_poll/2","doc":"Deletes a poll","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.delete_poll/2","doc":"- `poll.deleted`","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll/2","doc":"- `poll_id`","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll/2","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","doc":"Deletes a poll option","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","doc":"- `poll.updated`","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","doc":"- `poll_id`\n- `option_id`","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.delete_poll_option/3","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#delete_poll_option/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.get_poll/2","doc":"Retrieves a poll","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll/2","doc":"- `poll_id`","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll/2","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.get_poll_option/3","doc":"Retrieves a poll option","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll_option/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll_option/3","doc":"- `poll_id`\n- `option_id`","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll_option/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.get_poll_option/3","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#get_poll_option/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.query_poll_votes/3","doc":"Queries votes","ref":"ExStreamClient.Operations.Chat.Polls.html#query_poll_votes/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.query_poll_votes/3","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.QueryPollVotesRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#query_poll_votes/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.query_poll_votes/3","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#query_poll_votes/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.query_polls/2","doc":"Queries polls","ref":"ExStreamClient.Operations.Chat.Polls.html#query_polls/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.query_polls/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryPollsRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#query_polls/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.query_polls/2","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#query_polls/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.update_poll/2","doc":"Updates a poll","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.update_poll/2","doc":"- `poll.closed`\n- `poll.updated`","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdatePollRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.update_poll_option/3","doc":"Updates a poll option","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.update_poll_option/3","doc":"- `poll.updated`","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_option/3","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdatePollOptionRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_option/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_option/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","doc":"Updates a poll partially","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","doc":"- `poll.updated`","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","doc":"- `poll_id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdatePollPartialRequest`","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Polls.update_poll_partial/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Polls.html#update_poll_partial/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.PushPreferences","doc":"Modules for interacting with the `chat/push_preferences` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.PushPreferences.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.PushPreferences.update_push_notification_preferences/2","doc":"Update the push preferences for a user and or channel member. Set to all, mentions or none","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#update_push_notification_preferences/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.PushPreferences.update_push_notification_preferences/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertPushPreferencesRequest`","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#update_push_notification_preferences/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.PushPreferences.update_push_notification_preferences/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.PushPreferences.html#update_push_notification_preferences/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.PushTemplates","doc":"Modules for interacting with the `chat/push_templates` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.PushTemplates.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.PushTemplates.get_push_templates/2","doc":"Retrieve push notification templates for Chat.","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#get_push_templates/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.PushTemplates.get_push_templates/2","doc":"- `push_provider_type`","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#get_push_templates/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.PushTemplates.get_push_templates/2","doc":"- `push_provider_name`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#get_push_templates/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.PushTemplates.upsert_push_template/2","doc":"Create or update a push notification template for a specific event type and push provider","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#upsert_push_template/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.PushTemplates.upsert_push_template/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertPushTemplateRequest`","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#upsert_push_template/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.PushTemplates.upsert_push_template/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.PushTemplates.html#upsert_push_template/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.QueryBannedUsers","doc":"Modules for interacting with the `chat/query_banned_users` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.QueryBannedUsers.query_banned_users/1","doc":"Find and filter channel scoped or global user bans","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html#query_banned_users/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.QueryBannedUsers.query_banned_users/1","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryBannedUsersPayload`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.QueryBannedUsers.html#query_banned_users/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Search","doc":"Modules for interacting with the `chat/search` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Search.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Search.search/1","doc":"Search messages across channels","ref":"ExStreamClient.Operations.Chat.Search.html#search/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Search.search/1","doc":"- `payload`: `Elixir.ExStreamClient.Model.SearchPayload`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Search.html#search/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Segments","doc":"Modules for interacting with the `chat/segments` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Segments.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Segments.delete_segment/2","doc":"Delete a segment","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment/2","doc":"- `id`","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Segments.delete_segment_targets/3","doc":"Delete targets from a segment","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment_targets/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment_targets/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.DeleteSegmentTargetsRequest`","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment_targets/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.delete_segment_targets/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Segments.html#delete_segment_targets/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Segments.get_segment/2","doc":"Get segment","ref":"ExStreamClient.Operations.Chat.Segments.html#get_segment/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.get_segment/2","doc":"- `id`","ref":"ExStreamClient.Operations.Chat.Segments.html#get_segment/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.get_segment/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Segments.html#get_segment/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Segments.query_segment_targets/3","doc":"Query segment targets","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segment_targets/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.query_segment_targets/3","doc":"- `id`\n- `payload`: `Elixir.ExStreamClient.Model.QuerySegmentTargetsRequest`","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segment_targets/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.query_segment_targets/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segment_targets/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Segments.query_segments/2","doc":"Query segments","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segments/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.query_segments/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QuerySegmentsRequest`","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segments/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.query_segments/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Segments.html#query_segments/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Segments.segment_target_exists/3","doc":"Check whether a target exists in a segment. Returns 200 if the target exists, 404 otherwise","ref":"ExStreamClient.Operations.Chat.Segments.html#segment_target_exists/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Segments.segment_target_exists/3","doc":"- `id`\n- `target_id`","ref":"ExStreamClient.Operations.Chat.Segments.html#segment_target_exists/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Segments.segment_target_exists/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Segments.html#segment_target_exists/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Threads","doc":"Modules for interacting with the `chat/threads` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Threads.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Threads.get_thread/2","doc":"Return a specific thread","ref":"ExStreamClient.Operations.Chat.Threads.html#get_thread/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Threads.get_thread/2","doc":"- `message_id`","ref":"ExStreamClient.Operations.Chat.Threads.html#get_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Threads.get_thread/2","doc":"- `reply_limit`\n- `participant_limit`\n- `member_limit`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Threads.html#get_thread/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Threads.query_threads/2","doc":"Returns the list of threads for specific user","ref":"ExStreamClient.Operations.Chat.Threads.html#query_threads/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Threads.query_threads/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryThreadsRequest`","ref":"ExStreamClient.Operations.Chat.Threads.html#query_threads/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Threads.query_threads/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Threads.html#query_threads/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","doc":"Updates certain fields of the thread","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","doc":"- `thread.updated`\n- `thread.updated`","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","doc":"- `message_id`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateThreadPartialRequest`","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Threads.update_thread_partial/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Threads.html#update_thread_partial/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Unread","doc":"Modules for interacting with the `chat/unread` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Unread.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Unread.unread_counts/1","doc":"Fetch unread counts for a single user","ref":"ExStreamClient.Operations.Chat.Unread.html#unread_counts/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Unread.unread_counts/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Unread.html#unread_counts/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.UnreadBatch","doc":"Modules for interacting with the `chat/unread_batch` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.UnreadBatch.unread_counts_batch/2","doc":"Fetch unread counts in batch for multiple users in one call","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#unread_counts_batch/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.UnreadBatch.unread_counts_batch/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnreadCountsBatchRequest`","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#unread_counts_batch/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.UnreadBatch.unread_counts_batch/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.UnreadBatch.html#unread_counts_batch/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Chat.Users","doc":"Modules for interacting with the `chat/users` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Chat.Users.html"},{"type":"function","title":"ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","doc":"Sends a custom event to a user","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","doc":"- `*`","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","doc":"- `user_id`\n- `payload`: `Elixir.ExStreamClient.Model.SendUserCustomEventRequest`","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Chat.Users.send_user_custom_event/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Chat.Users.html#send_user_custom_event/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.App","doc":"Modules for interacting with the `app` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.App.html"},{"type":"function","title":"ExStreamClient.Operations.App.get_app/1","doc":"This Method returns the application settings","ref":"ExStreamClient.Operations.App.html#get_app/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.App.get_app/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.App.html#get_app/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.App.update_app/2","doc":"This Method updates one or more application settings","ref":"ExStreamClient.Operations.App.html#update_app/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.App.update_app/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdateAppRequest`","ref":"ExStreamClient.Operations.App.html#update_app/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.App.update_app/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.App.html#update_app/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Blocklists","doc":"Modules for interacting with the `blocklists` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Blocklists.html"},{"type":"function","title":"ExStreamClient.Operations.Blocklists.create_block_list/2","doc":"Creates a new application blocklist, once created the blocklist can be used by any channel type","ref":"ExStreamClient.Operations.Blocklists.html#create_block_list/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.create_block_list/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateBlockListRequest`","ref":"ExStreamClient.Operations.Blocklists.html#create_block_list/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.create_block_list/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Blocklists.html#create_block_list/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Blocklists.delete_block_list/2","doc":"Deletes previously created application blocklist","ref":"ExStreamClient.Operations.Blocklists.html#delete_block_list/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.delete_block_list/2","doc":"- `name`","ref":"ExStreamClient.Operations.Blocklists.html#delete_block_list/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.delete_block_list/2","doc":"- `team`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Blocklists.html#delete_block_list/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Blocklists.get_block_list/2","doc":"Returns block list by given name","ref":"ExStreamClient.Operations.Blocklists.html#get_block_list/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.get_block_list/2","doc":"- `name`","ref":"ExStreamClient.Operations.Blocklists.html#get_block_list/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.get_block_list/2","doc":"- `team`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Blocklists.html#get_block_list/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Blocklists.list_block_lists/1","doc":"Returns all available block lists","ref":"ExStreamClient.Operations.Blocklists.html#list_block_lists/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.list_block_lists/1","doc":"- `team`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Blocklists.html#list_block_lists/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Blocklists.update_block_list/3","doc":"Updates contents of the block list","ref":"ExStreamClient.Operations.Blocklists.html#update_block_list/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Blocklists.update_block_list/3","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateBlockListRequest`","ref":"ExStreamClient.Operations.Blocklists.html#update_block_list/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Blocklists.update_block_list/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Blocklists.html#update_block_list/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.CheckPush","doc":"Modules for interacting with the `check_push` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.CheckPush.html"},{"type":"function","title":"ExStreamClient.Operations.CheckPush.check_push/2","doc":"Sends a test message via push, this is a test endpoint to verify your push settings","ref":"ExStreamClient.Operations.CheckPush.html#check_push/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.CheckPush.check_push/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckPushRequest`","ref":"ExStreamClient.Operations.CheckPush.html#check_push/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.CheckPush.check_push/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.CheckPush.html#check_push/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.CheckSns","doc":"Modules for interacting with the `check_sns` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.CheckSns.html"},{"type":"function","title":"ExStreamClient.Operations.CheckSns.check_sns/2","doc":"Validates Amazon SNS configuration","ref":"ExStreamClient.Operations.CheckSns.html#check_sns/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.CheckSns.check_sns/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckSNSRequest`","ref":"ExStreamClient.Operations.CheckSns.html#check_sns/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.CheckSns.check_sns/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.CheckSns.html#check_sns/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.CheckSqs","doc":"Modules for interacting with the `check_sqs` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.CheckSqs.html"},{"type":"function","title":"ExStreamClient.Operations.CheckSqs.check_sqs/2","doc":"Validates Amazon SQS credentials","ref":"ExStreamClient.Operations.CheckSqs.html#check_sqs/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.CheckSqs.check_sqs/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckSQSRequest`","ref":"ExStreamClient.Operations.CheckSqs.html#check_sqs/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.CheckSqs.check_sqs/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.CheckSqs.html#check_sqs/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Devices","doc":"Modules for interacting with the `devices` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Devices.html"},{"type":"function","title":"ExStreamClient.Operations.Devices.create_device/2","doc":"Adds a new device to a user, if the same device already exists the call will have no effect","ref":"ExStreamClient.Operations.Devices.html#create_device/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Devices.create_device/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateDeviceRequest`","ref":"ExStreamClient.Operations.Devices.html#create_device/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Devices.create_device/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Devices.html#create_device/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Devices.delete_device/2","doc":"Deletes one device","ref":"ExStreamClient.Operations.Devices.html#delete_device/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Devices.delete_device/2","doc":"- `id`","ref":"ExStreamClient.Operations.Devices.html#delete_device/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Devices.delete_device/2","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Devices.html#delete_device/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Devices.list_devices/1","doc":"Returns all available devices","ref":"ExStreamClient.Operations.Devices.html#list_devices/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Devices.list_devices/1","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Devices.html#list_devices/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Export","doc":"Modules for interacting with the `export` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Export.html"},{"type":"function","title":"ExStreamClient.Operations.Export.export_users/2","doc":"Exports user profile, reactions and messages for list of given users","ref":"ExStreamClient.Operations.Export.html#export_users/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Export.export_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.ExportUsersRequest`","ref":"ExStreamClient.Operations.Export.html#export_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Export.export_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Export.html#export_users/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.ExternalStorage","doc":"Modules for interacting with the `external_storage` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.ExternalStorage.html"},{"type":"function","title":"ExStreamClient.Operations.ExternalStorage.check_external_storage/2","doc":"","ref":"ExStreamClient.Operations.ExternalStorage.html#check_external_storage/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.check_external_storage/2","doc":"- `name`","ref":"ExStreamClient.Operations.ExternalStorage.html#check_external_storage/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.check_external_storage/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.ExternalStorage.html#check_external_storage/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.ExternalStorage.create_external_storage/2","doc":"Creates new external storage","ref":"ExStreamClient.Operations.ExternalStorage.html#create_external_storage/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.create_external_storage/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateExternalStorageRequest`","ref":"ExStreamClient.Operations.ExternalStorage.html#create_external_storage/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.create_external_storage/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.ExternalStorage.html#create_external_storage/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.ExternalStorage.delete_external_storage/2","doc":"Deletes external storage","ref":"ExStreamClient.Operations.ExternalStorage.html#delete_external_storage/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.delete_external_storage/2","doc":"- `name`","ref":"ExStreamClient.Operations.ExternalStorage.html#delete_external_storage/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.delete_external_storage/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.ExternalStorage.html#delete_external_storage/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.ExternalStorage.list_external_storage/1","doc":"Lists external storage","ref":"ExStreamClient.Operations.ExternalStorage.html#list_external_storage/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.list_external_storage/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.ExternalStorage.html#list_external_storage/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.ExternalStorage.update_external_storage/3","doc":"","ref":"ExStreamClient.Operations.ExternalStorage.html#update_external_storage/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.ExternalStorage.update_external_storage/3","doc":"- `name`\n- `payload`: `Elixir.ExStreamClient.Model.UpdateExternalStorageRequest`","ref":"ExStreamClient.Operations.ExternalStorage.html#update_external_storage/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.ExternalStorage.update_external_storage/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.ExternalStorage.html#update_external_storage/3-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Guest","doc":"Modules for interacting with the `guest` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Guest.html"},{"type":"function","title":"ExStreamClient.Operations.Guest.create_guest/2","doc":"","ref":"ExStreamClient.Operations.Guest.html#create_guest/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Guest.create_guest/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateGuestRequest`","ref":"ExStreamClient.Operations.Guest.html#create_guest/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Guest.create_guest/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Guest.html#create_guest/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.ImportUrls","doc":"Modules for interacting with the `import_urls` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.ImportUrls.html"},{"type":"function","title":"ExStreamClient.Operations.ImportUrls.create_import_url/2","doc":"Creates a new import URL","ref":"ExStreamClient.Operations.ImportUrls.html#create_import_url/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.ImportUrls.create_import_url/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateImportURLRequest`","ref":"ExStreamClient.Operations.ImportUrls.html#create_import_url/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.ImportUrls.create_import_url/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.ImportUrls.html#create_import_url/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Imports","doc":"Modules for interacting with the `imports` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Imports.html"},{"type":"function","title":"ExStreamClient.Operations.Imports.create_import/2","doc":"Creates a new import","ref":"ExStreamClient.Operations.Imports.html#create_import/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Imports.create_import/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateImportRequest`","ref":"ExStreamClient.Operations.Imports.html#create_import/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Imports.create_import/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Imports.html#create_import/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Imports.get_import/2","doc":"Gets an import","ref":"ExStreamClient.Operations.Imports.html#get_import/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Imports.get_import/2","doc":"- `id`","ref":"ExStreamClient.Operations.Imports.html#get_import/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Imports.get_import/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Imports.html#get_import/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Imports.list_imports/1","doc":"Gets an import","ref":"ExStreamClient.Operations.Imports.html#list_imports/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Imports.list_imports/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Imports.html#list_imports/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Moderation","doc":"Modules for interacting with the `moderation` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Moderation.html"},{"type":"function","title":"ExStreamClient.Operations.Moderation.ban/2","doc":"Ban a user from a channel or the entire app","ref":"ExStreamClient.Operations.Moderation.html#ban/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.ban/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.BanRequest`","ref":"ExStreamClient.Operations.Moderation.html#ban/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.ban/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#ban/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.bulk_image_moderation/2","doc":"Moderate multiple images in bulk using a CSV file","ref":"ExStreamClient.Operations.Moderation.html#bulk_image_moderation/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.bulk_image_moderation/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.BulkImageModerationRequest`","ref":"ExStreamClient.Operations.Moderation.html#bulk_image_moderation/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.bulk_image_moderation/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#bulk_image_moderation/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.check/2","doc":"Run moderation checks on the provided content","ref":"ExStreamClient.Operations.Moderation.html#check/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.check/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CheckRequest`","ref":"ExStreamClient.Operations.Moderation.html#check/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.check/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#check/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.custom_check/2","doc":"Custom check, add your own AI model reports to the review queue","ref":"ExStreamClient.Operations.Moderation.html#custom_check/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.custom_check/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CustomCheckRequest`","ref":"ExStreamClient.Operations.Moderation.html#custom_check/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.custom_check/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#custom_check/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.delete_config/2","doc":"Delete a specific moderation policy by its name","ref":"ExStreamClient.Operations.Moderation.html#delete_config/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.delete_config/2","doc":"- `key`","ref":"ExStreamClient.Operations.Moderation.html#delete_config/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.delete_config/2","doc":"- `team`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#delete_config/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.flag/2","doc":"Flag any type of content (messages, users, channels, activities) for moderation review. Supports custom content types and additional metadata for flagged content.","ref":"ExStreamClient.Operations.Moderation.html#flag/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.flag/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.FlagRequest`","ref":"ExStreamClient.Operations.Moderation.html#flag/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.flag/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#flag/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.get_config/2","doc":"Retrieve a specific moderation configuration by its key and team. This configuration contains settings for various moderation features like toxicity detection, AI analysis, and filtering rules.","ref":"ExStreamClient.Operations.Moderation.html#get_config/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.get_config/2","doc":"- `key`","ref":"ExStreamClient.Operations.Moderation.html#get_config/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.get_config/2","doc":"- `team`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#get_config/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.get_review_queue_item/2","doc":"Retrieve a specific review queue item by its ID","ref":"ExStreamClient.Operations.Moderation.html#get_review_queue_item/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.get_review_queue_item/2","doc":"- `id`","ref":"ExStreamClient.Operations.Moderation.html#get_review_queue_item/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.get_review_queue_item/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#get_review_queue_item/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.mute/2","doc":"Mute a user. Mutes are generally not visible to the user you mute, while block is something you notice.","ref":"ExStreamClient.Operations.Moderation.html#mute/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.mute/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.MuteRequest`","ref":"ExStreamClient.Operations.Moderation.html#mute/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.mute/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#mute/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.query_moderation_configs/2","doc":"Search and filter moderation configurations across your application. This endpoint is designed for building moderation dashboards and managing multiple configuration sets.","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_configs/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_moderation_configs/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryModerationConfigsRequest`","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_configs/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_moderation_configs/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_configs/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.query_moderation_flags/2","doc":"Query flags associated with moderation items. This is used for building a moderation dashboard.","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_flags/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_moderation_flags/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryModerationFlagsRequest`","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_flags/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_moderation_flags/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_flags/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.query_moderation_logs/2","doc":"Search and filter moderation action logs with support for pagination. View the history of moderation actions taken, including who performed them and when.","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_logs/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_moderation_logs/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryModerationLogsRequest`","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_logs/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_moderation_logs/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#query_moderation_logs/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.query_review_queue/2","doc":"Query review queue items allows you to filter the review queue items. This is used for building a moderation dashboard.","ref":"ExStreamClient.Operations.Moderation.html#query_review_queue/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.query_review_queue/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryReviewQueueRequest`","ref":"ExStreamClient.Operations.Moderation.html#query_review_queue/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.query_review_queue/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#query_review_queue/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.submit_action/2","doc":"Take action on flagged content, such as marking content as safe, deleting content, banning users, or executing custom moderation actions. Supports various action types with configurable parameters.","ref":"ExStreamClient.Operations.Moderation.html#submit_action/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.submit_action/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.SubmitActionRequest`","ref":"ExStreamClient.Operations.Moderation.html#submit_action/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.submit_action/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#submit_action/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.unban/3","doc":"Unban a user from a channel or globally.","ref":"ExStreamClient.Operations.Moderation.html#unban/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.unban/3","doc":"- `target_user_id`\n- `payload`: `Elixir.ExStreamClient.Model.UnbanRequest`","ref":"ExStreamClient.Operations.Moderation.html#unban/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.unban/3","doc":"- `channel_cid`\n- `created_by`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#unban/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.unmute/2","doc":"Unmute a user","ref":"ExStreamClient.Operations.Moderation.html#unmute/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.unmute/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnmuteRequest`","ref":"ExStreamClient.Operations.Moderation.html#unmute/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.unmute/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#unmute/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.upsert_config/2","doc":"Create a new moderation configuration or update an existing one. Configure settings for content filtering, AI analysis, toxicity detection, and other moderation features.","ref":"ExStreamClient.Operations.Moderation.html#upsert_config/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.upsert_config/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertConfigRequest`","ref":"ExStreamClient.Operations.Moderation.html#upsert_config/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.upsert_config/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#upsert_config/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.v2_delete_template/1","doc":"Delete a specific moderation template by its name","ref":"ExStreamClient.Operations.Moderation.html#v2_delete_template/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.v2_delete_template/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#v2_delete_template/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.v2_query_templates/1","doc":"Retrieve a list of feed moderation templates that define preset moderation rules and configurations. Limited to 100 templates per request.","ref":"ExStreamClient.Operations.Moderation.html#v2_query_templates/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.v2_query_templates/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#v2_query_templates/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Moderation.v2_upsert_template/2","doc":"Upsert feeds template for moderation","ref":"ExStreamClient.Operations.Moderation.html#v2_upsert_template/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Moderation.v2_upsert_template/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertModerationTemplateRequest`","ref":"ExStreamClient.Operations.Moderation.html#v2_upsert_template/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Moderation.v2_upsert_template/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Moderation.html#v2_upsert_template/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Og","doc":"Modules for interacting with the `og` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Og.html"},{"type":"function","title":"ExStreamClient.Operations.Og.get_og/2","doc":"Get an OpenGraph attachment for a link","ref":"ExStreamClient.Operations.Og.html#get_og/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Og.get_og/2","doc":"- `url`","ref":"ExStreamClient.Operations.Og.html#get_og/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Og.get_og/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Og.html#get_og/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Permissions","doc":"Modules for interacting with the `permissions` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Permissions.html"},{"type":"function","title":"ExStreamClient.Operations.Permissions.get_permission/2","doc":"Gets custom permission","ref":"ExStreamClient.Operations.Permissions.html#get_permission/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Permissions.get_permission/2","doc":"- `id`","ref":"ExStreamClient.Operations.Permissions.html#get_permission/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Permissions.get_permission/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Permissions.html#get_permission/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Permissions.list_permissions/1","doc":"Lists all available permissions","ref":"ExStreamClient.Operations.Permissions.html#list_permissions/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Permissions.list_permissions/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Permissions.html#list_permissions/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.PushProviders","doc":"Modules for interacting with the `push_providers` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.PushProviders.html"},{"type":"function","title":"ExStreamClient.Operations.PushProviders.delete_push_provider/3","doc":"Delete a push provider from v2 with multi bundle/package support. v1 isn't supported in this endpoint","ref":"ExStreamClient.Operations.PushProviders.html#delete_push_provider/3"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.PushProviders.delete_push_provider/3","doc":"- `type`\n- `name`","ref":"ExStreamClient.Operations.PushProviders.html#delete_push_provider/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.PushProviders.delete_push_provider/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.PushProviders.html#delete_push_provider/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.PushProviders.list_push_providers/1","doc":"List details of all push providers.","ref":"ExStreamClient.Operations.PushProviders.html#list_push_providers/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.PushProviders.list_push_providers/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.PushProviders.html#list_push_providers/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.PushProviders.upsert_push_provider/2","doc":"Upsert a push provider for v2 with multi bundle/package support","ref":"ExStreamClient.Operations.PushProviders.html#upsert_push_provider/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.PushProviders.upsert_push_provider/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpsertPushProviderRequest`","ref":"ExStreamClient.Operations.PushProviders.html#upsert_push_provider/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.PushProviders.upsert_push_provider/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.PushProviders.html#upsert_push_provider/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.RateLimits","doc":"Modules for interacting with the `rate_limits` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.RateLimits.html"},{"type":"function","title":"ExStreamClient.Operations.RateLimits.get_rate_limits/1","doc":"Get rate limits usage and quotas","ref":"ExStreamClient.Operations.RateLimits.html#get_rate_limits/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.RateLimits.get_rate_limits/1","doc":"- `server_side`\n- `android`\n- `ios`\n- `web`\n- `endpoints`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.RateLimits.html#get_rate_limits/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Roles","doc":"Modules for interacting with the `roles` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Roles.html"},{"type":"function","title":"ExStreamClient.Operations.Roles.create_role/2","doc":"Creates custom role","ref":"ExStreamClient.Operations.Roles.html#create_role/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Roles.create_role/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.CreateRoleRequest`","ref":"ExStreamClient.Operations.Roles.html#create_role/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Roles.create_role/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Roles.html#create_role/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Roles.delete_role/2","doc":"Deletes custom role","ref":"ExStreamClient.Operations.Roles.html#delete_role/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Roles.delete_role/2","doc":"- `name`","ref":"ExStreamClient.Operations.Roles.html#delete_role/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Roles.delete_role/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Roles.html#delete_role/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Roles.list_roles/1","doc":"Lists all available roles","ref":"ExStreamClient.Operations.Roles.html#list_roles/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Roles.list_roles/1","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Roles.html#list_roles/1-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Tasks","doc":"Modules for interacting with the `tasks` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Tasks.html"},{"type":"function","title":"ExStreamClient.Operations.Tasks.get_task/2","doc":"Gets status of a task","ref":"ExStreamClient.Operations.Tasks.html#get_task/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Tasks.get_task/2","doc":"- `id`","ref":"ExStreamClient.Operations.Tasks.html#get_task/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Tasks.get_task/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Tasks.html#get_task/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Operations.Users","doc":"Modules for interacting with the `users` group of Stream APIs\n\nAPI Reference: https://getstream.github.io/protocol/?urls.primaryName=Chat%20v2","ref":"ExStreamClient.Operations.Users.html"},{"type":"function","title":"ExStreamClient.Operations.Users.block_users/2","doc":"Block users","ref":"ExStreamClient.Operations.Users.html#block_users/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.block_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.BlockUsersRequest`","ref":"ExStreamClient.Operations.Users.html#block_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.block_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#block_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.deactivate_user/3","doc":"Deactivates user with possibility to activate it back","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.deactivate_user/3","doc":"- `user.deactivated`","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.deactivate_user/3","doc":"- `user_id`\n- `payload`: `Elixir.ExStreamClient.Model.DeactivateUserRequest`","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.deactivate_user/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#deactivate_user/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.deactivate_users/2","doc":"Deactivate users in batches","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.deactivate_users/2","doc":"- `user.deactivated`","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.deactivate_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.DeactivateUsersRequest`","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.deactivate_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#deactivate_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.delete_users/2","doc":"Deletes users and optionally all their belongings asynchronously.","ref":"ExStreamClient.Operations.Users.html#delete_users/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.delete_users/2","doc":"- `channel.deleted`\n- `user.deleted`","ref":"ExStreamClient.Operations.Users.html#delete_users/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.delete_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.DeleteUsersRequest`","ref":"ExStreamClient.Operations.Users.html#delete_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.delete_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#delete_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.export_user/2","doc":"Exports the user's profile, reactions and messages. Raises an error if a user has more than 10k messages or reactions","ref":"ExStreamClient.Operations.Users.html#export_user/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.export_user/2","doc":"- `user_id`","ref":"ExStreamClient.Operations.Users.html#export_user/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.export_user/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#export_user/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.get_blocked_users/1","doc":"Get list of blocked Users","ref":"ExStreamClient.Operations.Users.html#get_blocked_users/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.get_blocked_users/1","doc":"- `user_id`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#get_blocked_users/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.query_users/1","doc":"Find and filter users","ref":"ExStreamClient.Operations.Users.html#query_users/1"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.query_users/1","doc":"- `payload`: `Elixir.ExStreamClient.Model.QueryUsersPayload`\n- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#query_users/1-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.reactivate_user/3","doc":"Activates user who's been deactivated previously","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.reactivate_user/3","doc":"- `user.reactivated`","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.reactivate_user/3","doc":"- `user_id`\n- `payload`: `Elixir.ExStreamClient.Model.ReactivateUserRequest`","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.reactivate_user/3","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#reactivate_user/3-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.reactivate_users/2","doc":"Reactivate users in batches","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.reactivate_users/2","doc":"- `user.reactivated`\n- `user.reactivated`","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.reactivate_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.ReactivateUsersRequest`","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.reactivate_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#reactivate_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.restore_users/2","doc":"Restore soft deleted users","ref":"ExStreamClient.Operations.Users.html#restore_users/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.restore_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.RestoreUsersRequest`","ref":"ExStreamClient.Operations.Users.html#restore_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.restore_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#restore_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.unblock_users/2","doc":"Unblock users","ref":"ExStreamClient.Operations.Users.html#unblock_users/2"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.unblock_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UnblockUsersRequest`","ref":"ExStreamClient.Operations.Users.html#unblock_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.unblock_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#unblock_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.update_users/2","doc":"Update or create users in bulk","ref":"ExStreamClient.Operations.Users.html#update_users/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.update_users/2","doc":"- `user.updated`","ref":"ExStreamClient.Operations.Users.html#update_users/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.update_users/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdateUsersRequest`","ref":"ExStreamClient.Operations.Users.html#update_users/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.update_users/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#update_users/2-optional-arguments"},{"type":"function","title":"ExStreamClient.Operations.Users.update_users_partial/2","doc":"Updates certain fields of the user","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2"},{"type":"function","title":"Sends events: - ExStreamClient.Operations.Users.update_users_partial/2","doc":"- `user.presence.changed`\n- `user.updated`\n- `user.presence.changed`","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2-sends-events"},{"type":"function","title":"Required Arguments: - ExStreamClient.Operations.Users.update_users_partial/2","doc":"- `payload`: `Elixir.ExStreamClient.Model.UpdateUsersPartialRequest`","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExStreamClient.Operations.Users.update_users_partial/2","doc":"- `client`: HTTP client to use. Must implement `ExStreamClient.Http.Behavior`(e.g., `ExStreamClient.Http`)","ref":"ExStreamClient.Operations.Users.html#update_users_partial/2-optional-arguments"},{"type":"module","title":"ExStreamClient.Model.AIImageConfig","doc":"Schema representing a AIImageConfig","ref":"ExStreamClient.Model.AIImageConfig.html"},{"type":"function","title":"ExStreamClient.Model.AIImageConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AIImageConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AIImageConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AIImageConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AIImageConfig.t/0","doc":"","ref":"ExStreamClient.Model.AIImageConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AITextConfig","doc":"Schema representing a AITextConfig","ref":"ExStreamClient.Model.AITextConfig.html"},{"type":"function","title":"ExStreamClient.Model.AITextConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AITextConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AITextConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AITextConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AITextConfig.t/0","doc":"","ref":"ExStreamClient.Model.AITextConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AIVideoConfig","doc":"Schema representing a AIVideoConfig","ref":"ExStreamClient.Model.AIVideoConfig.html"},{"type":"function","title":"ExStreamClient.Model.AIVideoConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AIVideoConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AIVideoConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AIVideoConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AIVideoConfig.t/0","doc":"","ref":"ExStreamClient.Model.AIVideoConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.APIError","doc":"Schema representing a APIError","ref":"ExStreamClient.Model.APIError.html"},{"type":"function","title":"ExStreamClient.Model.APIError.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.APIError.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.APIError.nested_components/0","doc":"","ref":"ExStreamClient.Model.APIError.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.APIError.t/0","doc":"","ref":"ExStreamClient.Model.APIError.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.APNConfig","doc":"Schema representing a APNConfig","ref":"ExStreamClient.Model.APNConfig.html"},{"type":"function","title":"ExStreamClient.Model.APNConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.APNConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.APNConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.APNConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.APNConfig.t/0","doc":"","ref":"ExStreamClient.Model.APNConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.APNConfigFields","doc":"Schema representing a APNConfigFields","ref":"ExStreamClient.Model.APNConfigFields.html"},{"type":"function","title":"ExStreamClient.Model.APNConfigFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.APNConfigFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.APNConfigFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.APNConfigFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.APNConfigFields.t/0","doc":"","ref":"ExStreamClient.Model.APNConfigFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.APNS","doc":"Schema representing a APNS","ref":"ExStreamClient.Model.APNS.html"},{"type":"function","title":"ExStreamClient.Model.APNS.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.APNS.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.APNS.nested_components/0","doc":"","ref":"ExStreamClient.Model.APNS.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.APNS.t/0","doc":"","ref":"ExStreamClient.Model.APNS.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AWSRekognitionRule","doc":"Schema representing a AWSRekognitionRule","ref":"ExStreamClient.Model.AWSRekognitionRule.html"},{"type":"function","title":"ExStreamClient.Model.AWSRekognitionRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AWSRekognitionRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AWSRekognitionRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.AWSRekognitionRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AWSRekognitionRule.t/0","doc":"","ref":"ExStreamClient.Model.AWSRekognitionRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Action","doc":"Schema representing a Action","ref":"ExStreamClient.Model.Action.html"},{"type":"function","title":"ExStreamClient.Model.Action.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Action.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Action.nested_components/0","doc":"","ref":"ExStreamClient.Model.Action.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Action.t/0","doc":"","ref":"ExStreamClient.Model.Action.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ActionLog","doc":"Schema representing a ActionLog","ref":"ExStreamClient.Model.ActionLog.html"},{"type":"function","title":"ExStreamClient.Model.ActionLog.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ActionLog.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ActionLog.nested_components/0","doc":"","ref":"ExStreamClient.Model.ActionLog.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ActionLog.t/0","doc":"","ref":"ExStreamClient.Model.ActionLog.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ActionLogResponse","doc":"Schema representing a ActionLogResponse","ref":"ExStreamClient.Model.ActionLogResponse.html"},{"type":"function","title":"ExStreamClient.Model.ActionLogResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ActionLogResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ActionLogResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ActionLogResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ActionLogResponse.t/0","doc":"","ref":"ExStreamClient.Model.ActionLogResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AnyEvent","doc":"Schema representing a AnyEvent","ref":"ExStreamClient.Model.AnyEvent.html"},{"type":"function","title":"ExStreamClient.Model.AnyEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AnyEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AnyEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.AnyEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AnyEvent.t/0","doc":"","ref":"ExStreamClient.Model.AnyEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AppResponseFields","doc":"Schema representing a AppResponseFields","ref":"ExStreamClient.Model.AppResponseFields.html"},{"type":"function","title":"ExStreamClient.Model.AppResponseFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AppResponseFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AppResponseFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.AppResponseFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AppResponseFields.t/0","doc":"","ref":"ExStreamClient.Model.AppResponseFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent","doc":"Schema representing a AsyncBulkImageModerationEvent","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html"},{"type":"function","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncBulkImageModerationEvent.t/0","doc":"","ref":"ExStreamClient.Model.AsyncBulkImageModerationEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncExportChannelsEvent","doc":"Schema representing a AsyncExportChannelsEvent","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html"},{"type":"function","title":"ExStreamClient.Model.AsyncExportChannelsEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncExportChannelsEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncExportChannelsEvent.t/0","doc":"","ref":"ExStreamClient.Model.AsyncExportChannelsEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncExportErrorEvent","doc":"Schema representing a AsyncExportErrorEvent","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html"},{"type":"function","title":"ExStreamClient.Model.AsyncExportErrorEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncExportErrorEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncExportErrorEvent.t/0","doc":"","ref":"ExStreamClient.Model.AsyncExportErrorEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent","doc":"Schema representing a AsyncExportModerationLogsEvent","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html"},{"type":"function","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncExportModerationLogsEvent.t/0","doc":"","ref":"ExStreamClient.Model.AsyncExportModerationLogsEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncExportUsersEvent","doc":"Schema representing a AsyncExportUsersEvent","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html"},{"type":"function","title":"ExStreamClient.Model.AsyncExportUsersEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncExportUsersEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncExportUsersEvent.t/0","doc":"","ref":"ExStreamClient.Model.AsyncExportUsersEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncModerationCallbackConfig","doc":"Schema representing a AsyncModerationCallbackConfig","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html"},{"type":"function","title":"ExStreamClient.Model.AsyncModerationCallbackConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncModerationCallbackConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncModerationCallbackConfig.t/0","doc":"","ref":"ExStreamClient.Model.AsyncModerationCallbackConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AsyncModerationConfiguration","doc":"Schema representing a AsyncModerationConfiguration","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html"},{"type":"function","title":"ExStreamClient.Model.AsyncModerationConfiguration.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AsyncModerationConfiguration.nested_components/0","doc":"","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AsyncModerationConfiguration.t/0","doc":"","ref":"ExStreamClient.Model.AsyncModerationConfiguration.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Attachment","doc":"Schema representing a Attachment","ref":"ExStreamClient.Model.Attachment.html"},{"type":"function","title":"ExStreamClient.Model.Attachment.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Attachment.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Attachment.nested_components/0","doc":"","ref":"ExStreamClient.Model.Attachment.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Attachment.t/0","doc":"","ref":"ExStreamClient.Model.Attachment.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AudioSettings","doc":"Schema representing a AudioSettings","ref":"ExStreamClient.Model.AudioSettings.html"},{"type":"function","title":"ExStreamClient.Model.AudioSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AudioSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AudioSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.AudioSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AudioSettings.t/0","doc":"","ref":"ExStreamClient.Model.AudioSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AudioSettingsResponse","doc":"Schema representing a AudioSettingsResponse","ref":"ExStreamClient.Model.AudioSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.AudioSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AudioSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AudioSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.AudioSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AudioSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.AudioSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AutomodDetails","doc":"Schema representing a AutomodDetails","ref":"ExStreamClient.Model.AutomodDetails.html"},{"type":"function","title":"ExStreamClient.Model.AutomodDetails.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AutomodDetails.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AutomodDetails.nested_components/0","doc":"","ref":"ExStreamClient.Model.AutomodDetails.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AutomodDetails.t/0","doc":"","ref":"ExStreamClient.Model.AutomodDetails.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig","doc":"Schema representing a AutomodPlatformCircumventionConfig","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html"},{"type":"function","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.t/0","doc":"","ref":"ExStreamClient.Model.AutomodPlatformCircumventionConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AutomodRule","doc":"Schema representing a AutomodRule","ref":"ExStreamClient.Model.AutomodRule.html"},{"type":"function","title":"ExStreamClient.Model.AutomodRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AutomodRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AutomodRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.AutomodRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AutomodRule.t/0","doc":"","ref":"ExStreamClient.Model.AutomodRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig","doc":"Schema representing a AutomodSemanticFiltersConfig","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html"},{"type":"function","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AutomodSemanticFiltersConfig.t/0","doc":"","ref":"ExStreamClient.Model.AutomodSemanticFiltersConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AutomodSemanticFiltersRule","doc":"Schema representing a AutomodSemanticFiltersRule","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html"},{"type":"function","title":"ExStreamClient.Model.AutomodSemanticFiltersRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AutomodSemanticFiltersRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AutomodSemanticFiltersRule.t/0","doc":"","ref":"ExStreamClient.Model.AutomodSemanticFiltersRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AutomodToxicityConfig","doc":"Schema representing a AutomodToxicityConfig","ref":"ExStreamClient.Model.AutomodToxicityConfig.html"},{"type":"function","title":"ExStreamClient.Model.AutomodToxicityConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AutomodToxicityConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AutomodToxicityConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.AutomodToxicityConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AutomodToxicityConfig.t/0","doc":"","ref":"ExStreamClient.Model.AutomodToxicityConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.AzureRequest","doc":"Schema representing a AzureRequest","ref":"ExStreamClient.Model.AzureRequest.html"},{"type":"function","title":"ExStreamClient.Model.AzureRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.AzureRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.AzureRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.AzureRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.AzureRequest.t/0","doc":"","ref":"ExStreamClient.Model.AzureRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BackstageSettings","doc":"Schema representing a BackstageSettings","ref":"ExStreamClient.Model.BackstageSettings.html"},{"type":"function","title":"ExStreamClient.Model.BackstageSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BackstageSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BackstageSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.BackstageSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BackstageSettings.t/0","doc":"","ref":"ExStreamClient.Model.BackstageSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BackstageSettingsResponse","doc":"Schema representing a BackstageSettingsResponse","ref":"ExStreamClient.Model.BackstageSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.BackstageSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BackstageSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BackstageSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BackstageSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BackstageSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.BackstageSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Ban","doc":"Schema representing a Ban","ref":"ExStreamClient.Model.Ban.html"},{"type":"function","title":"ExStreamClient.Model.Ban.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Ban.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Ban.nested_components/0","doc":"","ref":"ExStreamClient.Model.Ban.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Ban.t/0","doc":"","ref":"ExStreamClient.Model.Ban.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BanActionRequest","doc":"Schema representing a BanActionRequest","ref":"ExStreamClient.Model.BanActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.BanActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BanActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BanActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.BanActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BanActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.BanActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BanRequest","doc":"Schema representing a BanRequest","ref":"ExStreamClient.Model.BanRequest.html"},{"type":"function","title":"ExStreamClient.Model.BanRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BanRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BanRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.BanRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BanRequest.t/0","doc":"","ref":"ExStreamClient.Model.BanRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BanResponse","doc":"Schema representing a BanResponse","ref":"ExStreamClient.Model.BanResponse.html"},{"type":"function","title":"ExStreamClient.Model.BanResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BanResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BanResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BanResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BanResponse.t/0","doc":"","ref":"ExStreamClient.Model.BanResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockListConfig","doc":"Schema representing a BlockListConfig","ref":"ExStreamClient.Model.BlockListConfig.html"},{"type":"function","title":"ExStreamClient.Model.BlockListConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockListConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockListConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockListConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockListConfig.t/0","doc":"","ref":"ExStreamClient.Model.BlockListConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockListOptions","doc":"Schema representing a BlockListOptions","ref":"ExStreamClient.Model.BlockListOptions.html"},{"type":"function","title":"ExStreamClient.Model.BlockListOptions.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockListOptions.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockListOptions.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockListOptions.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockListOptions.t/0","doc":"","ref":"ExStreamClient.Model.BlockListOptions.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockListResponse","doc":"Schema representing a BlockListResponse","ref":"ExStreamClient.Model.BlockListResponse.html"},{"type":"function","title":"ExStreamClient.Model.BlockListResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockListResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockListResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockListResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockListResponse.t/0","doc":"","ref":"ExStreamClient.Model.BlockListResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockListRule","doc":"Schema representing a BlockListRule","ref":"ExStreamClient.Model.BlockListRule.html"},{"type":"function","title":"ExStreamClient.Model.BlockListRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockListRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockListRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockListRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockListRule.t/0","doc":"","ref":"ExStreamClient.Model.BlockListRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockUsersRequest","doc":"Schema representing a BlockUsersRequest","ref":"ExStreamClient.Model.BlockUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.BlockUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.BlockUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockUsersResponse","doc":"Schema representing a BlockUsersResponse","ref":"ExStreamClient.Model.BlockUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.BlockUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.BlockUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BlockedUserResponse","doc":"Schema representing a BlockedUserResponse","ref":"ExStreamClient.Model.BlockedUserResponse.html"},{"type":"function","title":"ExStreamClient.Model.BlockedUserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BlockedUserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BlockedUserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BlockedUserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BlockedUserResponse.t/0","doc":"","ref":"ExStreamClient.Model.BlockedUserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BodyguardRule","doc":"Schema representing a BodyguardRule","ref":"ExStreamClient.Model.BodyguardRule.html"},{"type":"function","title":"ExStreamClient.Model.BodyguardRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BodyguardRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BodyguardRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.BodyguardRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BodyguardRule.t/0","doc":"","ref":"ExStreamClient.Model.BodyguardRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BodyguardSeverityRule","doc":"Schema representing a BodyguardSeverityRule","ref":"ExStreamClient.Model.BodyguardSeverityRule.html"},{"type":"function","title":"ExStreamClient.Model.BodyguardSeverityRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BodyguardSeverityRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BodyguardSeverityRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.BodyguardSeverityRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BodyguardSeverityRule.t/0","doc":"","ref":"ExStreamClient.Model.BodyguardSeverityRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BroadcastSettings","doc":"Schema representing a BroadcastSettings","ref":"ExStreamClient.Model.BroadcastSettings.html"},{"type":"function","title":"ExStreamClient.Model.BroadcastSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BroadcastSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BroadcastSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.BroadcastSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BroadcastSettings.t/0","doc":"","ref":"ExStreamClient.Model.BroadcastSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BroadcastSettingsResponse","doc":"Schema representing a BroadcastSettingsResponse","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.BroadcastSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BroadcastSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BroadcastSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.BroadcastSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BulkImageModerationRequest","doc":"Schema representing a BulkImageModerationRequest","ref":"ExStreamClient.Model.BulkImageModerationRequest.html"},{"type":"function","title":"ExStreamClient.Model.BulkImageModerationRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BulkImageModerationRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BulkImageModerationRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.BulkImageModerationRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BulkImageModerationRequest.t/0","doc":"","ref":"ExStreamClient.Model.BulkImageModerationRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.BulkImageModerationResponse","doc":"Schema representing a BulkImageModerationResponse","ref":"ExStreamClient.Model.BulkImageModerationResponse.html"},{"type":"function","title":"ExStreamClient.Model.BulkImageModerationResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.BulkImageModerationResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.BulkImageModerationResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.BulkImageModerationResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.BulkImageModerationResponse.t/0","doc":"","ref":"ExStreamClient.Model.BulkImageModerationResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Call","doc":"Schema representing a Call","ref":"ExStreamClient.Model.Call.html"},{"type":"function","title":"ExStreamClient.Model.Call.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Call.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Call.nested_components/0","doc":"","ref":"ExStreamClient.Model.Call.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Call.t/0","doc":"","ref":"ExStreamClient.Model.Call.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallEgress","doc":"Schema representing a CallEgress","ref":"ExStreamClient.Model.CallEgress.html"},{"type":"function","title":"ExStreamClient.Model.CallEgress.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallEgress.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallEgress.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallEgress.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallEgress.t/0","doc":"","ref":"ExStreamClient.Model.CallEgress.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallIngressResponse","doc":"Schema representing a CallIngressResponse","ref":"ExStreamClient.Model.CallIngressResponse.html"},{"type":"function","title":"ExStreamClient.Model.CallIngressResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallIngressResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallIngressResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallIngressResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallIngressResponse.t/0","doc":"","ref":"ExStreamClient.Model.CallIngressResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallMember","doc":"Schema representing a CallMember","ref":"ExStreamClient.Model.CallMember.html"},{"type":"function","title":"ExStreamClient.Model.CallMember.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallMember.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallMember.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallMember.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallMember.t/0","doc":"","ref":"ExStreamClient.Model.CallMember.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallParticipant","doc":"Schema representing a CallParticipant","ref":"ExStreamClient.Model.CallParticipant.html"},{"type":"function","title":"ExStreamClient.Model.CallParticipant.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallParticipant.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallParticipant.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallParticipant.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallParticipant.t/0","doc":"","ref":"ExStreamClient.Model.CallParticipant.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallParticipantResponse","doc":"Schema representing a CallParticipantResponse","ref":"ExStreamClient.Model.CallParticipantResponse.html"},{"type":"function","title":"ExStreamClient.Model.CallParticipantResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallParticipantResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallParticipantResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallParticipantResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallParticipantResponse.t/0","doc":"","ref":"ExStreamClient.Model.CallParticipantResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallResponse","doc":"Schema representing a CallResponse","ref":"ExStreamClient.Model.CallResponse.html"},{"type":"function","title":"ExStreamClient.Model.CallResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallResponse.t/0","doc":"","ref":"ExStreamClient.Model.CallResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallSession","doc":"Schema representing a CallSession","ref":"ExStreamClient.Model.CallSession.html"},{"type":"function","title":"ExStreamClient.Model.CallSession.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallSession.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallSession.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallSession.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallSession.t/0","doc":"","ref":"ExStreamClient.Model.CallSession.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallSessionResponse","doc":"Schema representing a CallSessionResponse","ref":"ExStreamClient.Model.CallSessionResponse.html"},{"type":"function","title":"ExStreamClient.Model.CallSessionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallSessionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallSessionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallSessionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallSessionResponse.t/0","doc":"","ref":"ExStreamClient.Model.CallSessionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallSettings","doc":"Schema representing a CallSettings","ref":"ExStreamClient.Model.CallSettings.html"},{"type":"function","title":"ExStreamClient.Model.CallSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallSettings.t/0","doc":"","ref":"ExStreamClient.Model.CallSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallSettingsResponse","doc":"Schema representing a CallSettingsResponse","ref":"ExStreamClient.Model.CallSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.CallSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.CallSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CallType","doc":"Schema representing a CallType","ref":"ExStreamClient.Model.CallType.html"},{"type":"function","title":"ExStreamClient.Model.CallType.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CallType.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CallType.nested_components/0","doc":"","ref":"ExStreamClient.Model.CallType.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CallType.t/0","doc":"","ref":"ExStreamClient.Model.CallType.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CampaignChannelTemplate","doc":"Schema representing a CampaignChannelTemplate","ref":"ExStreamClient.Model.CampaignChannelTemplate.html"},{"type":"function","title":"ExStreamClient.Model.CampaignChannelTemplate.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CampaignChannelTemplate.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CampaignChannelTemplate.nested_components/0","doc":"","ref":"ExStreamClient.Model.CampaignChannelTemplate.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CampaignChannelTemplate.t/0","doc":"","ref":"ExStreamClient.Model.CampaignChannelTemplate.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CampaignCompletedEvent","doc":"Schema representing a CampaignCompletedEvent","ref":"ExStreamClient.Model.CampaignCompletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.CampaignCompletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CampaignCompletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CampaignCompletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.CampaignCompletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CampaignCompletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.CampaignCompletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CampaignMessageTemplate","doc":"Schema representing a CampaignMessageTemplate","ref":"ExStreamClient.Model.CampaignMessageTemplate.html"},{"type":"function","title":"ExStreamClient.Model.CampaignMessageTemplate.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CampaignMessageTemplate.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CampaignMessageTemplate.nested_components/0","doc":"","ref":"ExStreamClient.Model.CampaignMessageTemplate.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CampaignMessageTemplate.t/0","doc":"","ref":"ExStreamClient.Model.CampaignMessageTemplate.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CampaignResponse","doc":"Schema representing a CampaignResponse","ref":"ExStreamClient.Model.CampaignResponse.html"},{"type":"function","title":"ExStreamClient.Model.CampaignResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CampaignResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CampaignResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CampaignResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CampaignResponse.t/0","doc":"","ref":"ExStreamClient.Model.CampaignResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CampaignStartedEvent","doc":"Schema representing a CampaignStartedEvent","ref":"ExStreamClient.Model.CampaignStartedEvent.html"},{"type":"function","title":"ExStreamClient.Model.CampaignStartedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CampaignStartedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CampaignStartedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.CampaignStartedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CampaignStartedEvent.t/0","doc":"","ref":"ExStreamClient.Model.CampaignStartedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CampaignStatsResponse","doc":"Schema representing a CampaignStatsResponse","ref":"ExStreamClient.Model.CampaignStatsResponse.html"},{"type":"function","title":"ExStreamClient.Model.CampaignStatsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CampaignStatsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CampaignStatsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CampaignStatsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CampaignStatsResponse.t/0","doc":"","ref":"ExStreamClient.Model.CampaignStatsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CastPollVoteRequest","doc":"Schema representing a CastPollVoteRequest","ref":"ExStreamClient.Model.CastPollVoteRequest.html"},{"type":"function","title":"ExStreamClient.Model.CastPollVoteRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CastPollVoteRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CastPollVoteRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CastPollVoteRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CastPollVoteRequest.t/0","doc":"","ref":"ExStreamClient.Model.CastPollVoteRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Channel","doc":"Schema representing a Channel","ref":"ExStreamClient.Model.Channel.html"},{"type":"function","title":"ExStreamClient.Model.Channel.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Channel.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Channel.nested_components/0","doc":"","ref":"ExStreamClient.Model.Channel.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Channel.t/0","doc":"","ref":"ExStreamClient.Model.Channel.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelConfig","doc":"Schema representing a ChannelConfig","ref":"ExStreamClient.Model.ChannelConfig.html"},{"type":"function","title":"ExStreamClient.Model.ChannelConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelConfig.t/0","doc":"","ref":"ExStreamClient.Model.ChannelConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelConfigWithInfo","doc":"Schema representing a ChannelConfigWithInfo","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html"},{"type":"function","title":"ExStreamClient.Model.ChannelConfigWithInfo.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelConfigWithInfo.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelConfigWithInfo.t/0","doc":"","ref":"ExStreamClient.Model.ChannelConfigWithInfo.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelCreatedEvent","doc":"Schema representing a ChannelCreatedEvent","ref":"ExStreamClient.Model.ChannelCreatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelCreatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelCreatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelCreatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelCreatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelCreatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelCreatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelDeletedEvent","doc":"Schema representing a ChannelDeletedEvent","ref":"ExStreamClient.Model.ChannelDeletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelDeletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelDeletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelDeletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelDeletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelDeletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelDeletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelExport","doc":"Schema representing a ChannelExport","ref":"ExStreamClient.Model.ChannelExport.html"},{"type":"function","title":"ExStreamClient.Model.ChannelExport.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelExport.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelExport.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelExport.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelExport.t/0","doc":"","ref":"ExStreamClient.Model.ChannelExport.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelFrozenEvent","doc":"Schema representing a ChannelFrozenEvent","ref":"ExStreamClient.Model.ChannelFrozenEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelFrozenEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelFrozenEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelFrozenEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelFrozenEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelFrozenEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelFrozenEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelGetOrCreateRequest","doc":"Schema representing a ChannelGetOrCreateRequest","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html"},{"type":"function","title":"ExStreamClient.Model.ChannelGetOrCreateRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelGetOrCreateRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelGetOrCreateRequest.t/0","doc":"","ref":"ExStreamClient.Model.ChannelGetOrCreateRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelHiddenEvent","doc":"Schema representing a ChannelHiddenEvent","ref":"ExStreamClient.Model.ChannelHiddenEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelHiddenEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelHiddenEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelHiddenEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelHiddenEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelHiddenEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelHiddenEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelInput","doc":"Schema representing a ChannelInput","ref":"ExStreamClient.Model.ChannelInput.html"},{"type":"function","title":"ExStreamClient.Model.ChannelInput.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelInput.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelInput.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelInput.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelInput.t/0","doc":"","ref":"ExStreamClient.Model.ChannelInput.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelMember","doc":"Schema representing a ChannelMember","ref":"ExStreamClient.Model.ChannelMember.html"},{"type":"function","title":"ExStreamClient.Model.ChannelMember.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelMember.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelMember.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelMember.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelMember.t/0","doc":"","ref":"ExStreamClient.Model.ChannelMember.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelMemberResponse","doc":"Schema representing a ChannelMemberResponse","ref":"ExStreamClient.Model.ChannelMemberResponse.html"},{"type":"function","title":"ExStreamClient.Model.ChannelMemberResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelMemberResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelMemberResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelMemberResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelMemberResponse.t/0","doc":"","ref":"ExStreamClient.Model.ChannelMemberResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelMessages","doc":"Schema representing a ChannelMessages","ref":"ExStreamClient.Model.ChannelMessages.html"},{"type":"function","title":"ExStreamClient.Model.ChannelMessages.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelMessages.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelMessages.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelMessages.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelMessages.t/0","doc":"","ref":"ExStreamClient.Model.ChannelMessages.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelMute","doc":"Schema representing a ChannelMute","ref":"ExStreamClient.Model.ChannelMute.html"},{"type":"function","title":"ExStreamClient.Model.ChannelMute.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelMute.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelMute.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelMute.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelMute.t/0","doc":"","ref":"ExStreamClient.Model.ChannelMute.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelMutedEvent","doc":"Schema representing a ChannelMutedEvent","ref":"ExStreamClient.Model.ChannelMutedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelMutedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelMutedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelMutedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelMutedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelMutedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelMutedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelOwnCapability","doc":"Schema representing a ChannelOwnCapability","ref":"ExStreamClient.Model.ChannelOwnCapability.html"},{"type":"function","title":"ExStreamClient.Model.ChannelOwnCapability.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelOwnCapability.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelOwnCapability.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelOwnCapability.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelOwnCapability.t/0","doc":"","ref":"ExStreamClient.Model.ChannelOwnCapability.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelPushPreferences","doc":"Schema representing a ChannelPushPreferences","ref":"ExStreamClient.Model.ChannelPushPreferences.html"},{"type":"function","title":"ExStreamClient.Model.ChannelPushPreferences.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelPushPreferences.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelPushPreferences.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelPushPreferences.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelPushPreferences.t/0","doc":"","ref":"ExStreamClient.Model.ChannelPushPreferences.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelResponse","doc":"Schema representing a ChannelResponse","ref":"ExStreamClient.Model.ChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.ChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.ChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelStateResponse","doc":"Schema representing a ChannelStateResponse","ref":"ExStreamClient.Model.ChannelStateResponse.html"},{"type":"function","title":"ExStreamClient.Model.ChannelStateResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelStateResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelStateResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelStateResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelStateResponse.t/0","doc":"","ref":"ExStreamClient.Model.ChannelStateResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelStateResponseFields","doc":"Schema representing a ChannelStateResponseFields","ref":"ExStreamClient.Model.ChannelStateResponseFields.html"},{"type":"function","title":"ExStreamClient.Model.ChannelStateResponseFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelStateResponseFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelStateResponseFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelStateResponseFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelStateResponseFields.t/0","doc":"","ref":"ExStreamClient.Model.ChannelStateResponseFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelTruncatedEvent","doc":"Schema representing a ChannelTruncatedEvent","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelTruncatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelTruncatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelTruncatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelTruncatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelTypeConfig","doc":"Schema representing a ChannelTypeConfig","ref":"ExStreamClient.Model.ChannelTypeConfig.html"},{"type":"function","title":"ExStreamClient.Model.ChannelTypeConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelTypeConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelTypeConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelTypeConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelTypeConfig.t/0","doc":"","ref":"ExStreamClient.Model.ChannelTypeConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelUnFrozenEvent","doc":"Schema representing a ChannelUnFrozenEvent","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelUnFrozenEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelUnFrozenEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelUnFrozenEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelUnFrozenEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelUnmutedEvent","doc":"Schema representing a ChannelUnmutedEvent","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelUnmutedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelUnmutedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelUnmutedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelUnmutedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelUpdatedEvent","doc":"Schema representing a ChannelUpdatedEvent","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ChannelVisibleEvent","doc":"Schema representing a ChannelVisibleEvent","ref":"ExStreamClient.Model.ChannelVisibleEvent.html"},{"type":"function","title":"ExStreamClient.Model.ChannelVisibleEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ChannelVisibleEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ChannelVisibleEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ChannelVisibleEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ChannelVisibleEvent.t/0","doc":"","ref":"ExStreamClient.Model.ChannelVisibleEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckExternalStorageResponse","doc":"Schema representing a CheckExternalStorageResponse","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html"},{"type":"function","title":"ExStreamClient.Model.CheckExternalStorageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckExternalStorageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckExternalStorageResponse.t/0","doc":"","ref":"ExStreamClient.Model.CheckExternalStorageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckPushRequest","doc":"Schema representing a CheckPushRequest","ref":"ExStreamClient.Model.CheckPushRequest.html"},{"type":"function","title":"ExStreamClient.Model.CheckPushRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckPushRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckPushRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckPushRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckPushRequest.t/0","doc":"","ref":"ExStreamClient.Model.CheckPushRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckPushResponse","doc":"Schema representing a CheckPushResponse","ref":"ExStreamClient.Model.CheckPushResponse.html"},{"type":"function","title":"ExStreamClient.Model.CheckPushResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckPushResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckPushResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckPushResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckPushResponse.t/0","doc":"","ref":"ExStreamClient.Model.CheckPushResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckRequest","doc":"Schema representing a CheckRequest","ref":"ExStreamClient.Model.CheckRequest.html"},{"type":"function","title":"ExStreamClient.Model.CheckRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckRequest.t/0","doc":"","ref":"ExStreamClient.Model.CheckRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckResponse","doc":"Schema representing a CheckResponse","ref":"ExStreamClient.Model.CheckResponse.html"},{"type":"function","title":"ExStreamClient.Model.CheckResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckResponse.t/0","doc":"","ref":"ExStreamClient.Model.CheckResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckSNSRequest","doc":"Schema representing a CheckSNSRequest","ref":"ExStreamClient.Model.CheckSNSRequest.html"},{"type":"function","title":"ExStreamClient.Model.CheckSNSRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckSNSRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckSNSRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckSNSRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckSNSRequest.t/0","doc":"","ref":"ExStreamClient.Model.CheckSNSRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckSNSResponse","doc":"Schema representing a CheckSNSResponse","ref":"ExStreamClient.Model.CheckSNSResponse.html"},{"type":"function","title":"ExStreamClient.Model.CheckSNSResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckSNSResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckSNSResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckSNSResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckSNSResponse.t/0","doc":"","ref":"ExStreamClient.Model.CheckSNSResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckSQSRequest","doc":"Schema representing a CheckSQSRequest","ref":"ExStreamClient.Model.CheckSQSRequest.html"},{"type":"function","title":"ExStreamClient.Model.CheckSQSRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckSQSRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckSQSRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckSQSRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckSQSRequest.t/0","doc":"","ref":"ExStreamClient.Model.CheckSQSRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CheckSQSResponse","doc":"Schema representing a CheckSQSResponse","ref":"ExStreamClient.Model.CheckSQSResponse.html"},{"type":"function","title":"ExStreamClient.Model.CheckSQSResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CheckSQSResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CheckSQSResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CheckSQSResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CheckSQSResponse.t/0","doc":"","ref":"ExStreamClient.Model.CheckSQSResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Command","doc":"Schema representing a Command","ref":"ExStreamClient.Model.Command.html"},{"type":"function","title":"ExStreamClient.Model.Command.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Command.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Command.nested_components/0","doc":"","ref":"ExStreamClient.Model.Command.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Command.t/0","doc":"","ref":"ExStreamClient.Model.Command.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CommitMessageRequest","doc":"Schema representing a CommitMessageRequest","ref":"ExStreamClient.Model.CommitMessageRequest.html"},{"type":"function","title":"ExStreamClient.Model.CommitMessageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CommitMessageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CommitMessageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CommitMessageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CommitMessageRequest.t/0","doc":"","ref":"ExStreamClient.Model.CommitMessageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CompositeAppSettings","doc":"Schema representing a CompositeAppSettings","ref":"ExStreamClient.Model.CompositeAppSettings.html"},{"type":"function","title":"ExStreamClient.Model.CompositeAppSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CompositeAppSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CompositeAppSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.CompositeAppSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CompositeAppSettings.t/0","doc":"","ref":"ExStreamClient.Model.CompositeAppSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ConfigOverrides","doc":"Schema representing a ConfigOverrides","ref":"ExStreamClient.Model.ConfigOverrides.html"},{"type":"function","title":"ExStreamClient.Model.ConfigOverrides.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ConfigOverrides.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ConfigOverrides.nested_components/0","doc":"","ref":"ExStreamClient.Model.ConfigOverrides.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ConfigOverrides.t/0","doc":"","ref":"ExStreamClient.Model.ConfigOverrides.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ConfigResponse","doc":"Schema representing a ConfigResponse","ref":"ExStreamClient.Model.ConfigResponse.html"},{"type":"function","title":"ExStreamClient.Model.ConfigResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ConfigResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ConfigResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ConfigResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ConfigResponse.t/0","doc":"","ref":"ExStreamClient.Model.ConfigResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateBlockListRequest","doc":"Schema representing a CreateBlockListRequest","ref":"ExStreamClient.Model.CreateBlockListRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateBlockListRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateBlockListRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateBlockListRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateBlockListRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateBlockListRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateBlockListRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateBlockListResponse","doc":"Schema representing a CreateBlockListResponse","ref":"ExStreamClient.Model.CreateBlockListResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateBlockListResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateBlockListResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateBlockListResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateBlockListResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateBlockListResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateBlockListResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateChannelTypeRequest","doc":"Schema representing a CreateChannelTypeRequest","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateChannelTypeRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateChannelTypeRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateChannelTypeRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateChannelTypeRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateChannelTypeResponse","doc":"Schema representing a CreateChannelTypeResponse","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateChannelTypeResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateChannelTypeResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateChannelTypeResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateChannelTypeResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateCommandRequest","doc":"Schema representing a CreateCommandRequest","ref":"ExStreamClient.Model.CreateCommandRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateCommandRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateCommandRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateCommandRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateCommandRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateCommandRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateCommandRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateCommandResponse","doc":"Schema representing a CreateCommandResponse","ref":"ExStreamClient.Model.CreateCommandResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateCommandResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateCommandResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateCommandResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateCommandResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateCommandResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateCommandResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateDeviceRequest","doc":"Schema representing a CreateDeviceRequest","ref":"ExStreamClient.Model.CreateDeviceRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateDeviceRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateDeviceRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateDeviceRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateDeviceRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateDeviceRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateDeviceRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateExternalStorageRequest","doc":"Schema representing a CreateExternalStorageRequest","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateExternalStorageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateExternalStorageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateExternalStorageRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateExternalStorageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateExternalStorageResponse","doc":"Schema representing a CreateExternalStorageResponse","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateExternalStorageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateExternalStorageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateExternalStorageResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateExternalStorageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateGuestRequest","doc":"Schema representing a CreateGuestRequest","ref":"ExStreamClient.Model.CreateGuestRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateGuestRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateGuestRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateGuestRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateGuestRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateGuestRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateGuestRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateGuestResponse","doc":"Schema representing a CreateGuestResponse","ref":"ExStreamClient.Model.CreateGuestResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateGuestResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateGuestResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateGuestResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateGuestResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateGuestResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateGuestResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateImportRequest","doc":"Schema representing a CreateImportRequest","ref":"ExStreamClient.Model.CreateImportRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateImportRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateImportRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateImportRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateImportRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateImportRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateImportRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateImportResponse","doc":"Schema representing a CreateImportResponse","ref":"ExStreamClient.Model.CreateImportResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateImportResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateImportResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateImportResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateImportResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateImportResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateImportResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateImportURLRequest","doc":"Schema representing a CreateImportURLRequest","ref":"ExStreamClient.Model.CreateImportURLRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateImportURLRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateImportURLRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateImportURLRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateImportURLRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateImportURLRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateImportURLRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateImportURLResponse","doc":"Schema representing a CreateImportURLResponse","ref":"ExStreamClient.Model.CreateImportURLResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateImportURLResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateImportURLResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateImportURLResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateImportURLResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateImportURLResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateImportURLResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreatePollOptionRequest","doc":"Schema representing a CreatePollOptionRequest","ref":"ExStreamClient.Model.CreatePollOptionRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreatePollOptionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreatePollOptionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreatePollOptionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreatePollOptionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreatePollOptionRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreatePollOptionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreatePollRequest","doc":"Schema representing a CreatePollRequest","ref":"ExStreamClient.Model.CreatePollRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreatePollRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreatePollRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreatePollRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreatePollRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreatePollRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreatePollRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateRoleRequest","doc":"Schema representing a CreateRoleRequest","ref":"ExStreamClient.Model.CreateRoleRequest.html"},{"type":"function","title":"ExStreamClient.Model.CreateRoleRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateRoleRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateRoleRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateRoleRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateRoleRequest.t/0","doc":"","ref":"ExStreamClient.Model.CreateRoleRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CreateRoleResponse","doc":"Schema representing a CreateRoleResponse","ref":"ExStreamClient.Model.CreateRoleResponse.html"},{"type":"function","title":"ExStreamClient.Model.CreateRoleResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CreateRoleResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CreateRoleResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CreateRoleResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CreateRoleResponse.t/0","doc":"","ref":"ExStreamClient.Model.CreateRoleResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CustomActionRequest","doc":"Schema representing a CustomActionRequest","ref":"ExStreamClient.Model.CustomActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.CustomActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CustomActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CustomActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CustomActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CustomActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.CustomActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CustomCheckFlag","doc":"Schema representing a CustomCheckFlag","ref":"ExStreamClient.Model.CustomCheckFlag.html"},{"type":"function","title":"ExStreamClient.Model.CustomCheckFlag.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CustomCheckFlag.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CustomCheckFlag.nested_components/0","doc":"","ref":"ExStreamClient.Model.CustomCheckFlag.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CustomCheckFlag.t/0","doc":"","ref":"ExStreamClient.Model.CustomCheckFlag.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CustomCheckRequest","doc":"Schema representing a CustomCheckRequest","ref":"ExStreamClient.Model.CustomCheckRequest.html"},{"type":"function","title":"ExStreamClient.Model.CustomCheckRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CustomCheckRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CustomCheckRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.CustomCheckRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CustomCheckRequest.t/0","doc":"","ref":"ExStreamClient.Model.CustomCheckRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.CustomCheckResponse","doc":"Schema representing a CustomCheckResponse","ref":"ExStreamClient.Model.CustomCheckResponse.html"},{"type":"function","title":"ExStreamClient.Model.CustomCheckResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.CustomCheckResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.CustomCheckResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.CustomCheckResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.CustomCheckResponse.t/0","doc":"","ref":"ExStreamClient.Model.CustomCheckResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Data","doc":"Schema representing a Data","ref":"ExStreamClient.Model.Data.html"},{"type":"function","title":"ExStreamClient.Model.Data.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Data.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Data.nested_components/0","doc":"","ref":"ExStreamClient.Model.Data.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Data.t/0","doc":"","ref":"ExStreamClient.Model.Data.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DataDogInfo","doc":"Schema representing a DataDogInfo","ref":"ExStreamClient.Model.DataDogInfo.html"},{"type":"function","title":"ExStreamClient.Model.DataDogInfo.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DataDogInfo.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DataDogInfo.nested_components/0","doc":"","ref":"ExStreamClient.Model.DataDogInfo.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DataDogInfo.t/0","doc":"","ref":"ExStreamClient.Model.DataDogInfo.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeactivateUserRequest","doc":"Schema representing a DeactivateUserRequest","ref":"ExStreamClient.Model.DeactivateUserRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeactivateUserRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeactivateUserRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeactivateUserRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeactivateUserRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeactivateUserRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeactivateUserRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeactivateUserResponse","doc":"Schema representing a DeactivateUserResponse","ref":"ExStreamClient.Model.DeactivateUserResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeactivateUserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeactivateUserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeactivateUserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeactivateUserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeactivateUserResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeactivateUserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeactivateUsersRequest","doc":"Schema representing a DeactivateUsersRequest","ref":"ExStreamClient.Model.DeactivateUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeactivateUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeactivateUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeactivateUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeactivateUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeactivateUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeactivateUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeactivateUsersResponse","doc":"Schema representing a DeactivateUsersResponse","ref":"ExStreamClient.Model.DeactivateUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeactivateUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeactivateUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeactivateUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeactivateUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeactivateUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeactivateUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteActivityRequest","doc":"Schema representing a DeleteActivityRequest","ref":"ExStreamClient.Model.DeleteActivityRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteActivityRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteActivityRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteActivityRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteActivityRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteActivityRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteActivityRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteChannelResponse","doc":"Schema representing a DeleteChannelResponse","ref":"ExStreamClient.Model.DeleteChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteChannelsRequest","doc":"Schema representing a DeleteChannelsRequest","ref":"ExStreamClient.Model.DeleteChannelsRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteChannelsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteChannelsRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteChannelsResponse","doc":"Schema representing a DeleteChannelsResponse","ref":"ExStreamClient.Model.DeleteChannelsResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteChannelsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteChannelsResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteChannelsResultResponse","doc":"Schema representing a DeleteChannelsResultResponse","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelsResultResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteChannelsResultResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteChannelsResultResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteChannelsResultResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteCommandResponse","doc":"Schema representing a DeleteCommandResponse","ref":"ExStreamClient.Model.DeleteCommandResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteCommandResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteCommandResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteCommandResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteCommandResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteCommandResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteCommandResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteExternalStorageResponse","doc":"Schema representing a DeleteExternalStorageResponse","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteExternalStorageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteExternalStorageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteExternalStorageResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteExternalStorageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteMessageRequest","doc":"Schema representing a DeleteMessageRequest","ref":"ExStreamClient.Model.DeleteMessageRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteMessageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteMessageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteMessageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteMessageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteMessageRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteMessageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteMessageResponse","doc":"Schema representing a DeleteMessageResponse","ref":"ExStreamClient.Model.DeleteMessageResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteMessageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteMessageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteMessageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteMessageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteMessageResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteMessageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteModerationConfigResponse","doc":"Schema representing a DeleteModerationConfigResponse","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteModerationConfigResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteModerationConfigResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteModerationConfigResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteModerationConfigResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteModerationTemplateResponse","doc":"Schema representing a DeleteModerationTemplateResponse","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteModerationTemplateResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteModerationTemplateResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteModerationTemplateResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteModerationTemplateResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteReactionRequest","doc":"Schema representing a DeleteReactionRequest","ref":"ExStreamClient.Model.DeleteReactionRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteReactionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteReactionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteReactionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteReactionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteReactionRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteReactionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteReactionResponse","doc":"Schema representing a DeleteReactionResponse","ref":"ExStreamClient.Model.DeleteReactionResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteReactionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteReactionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteReactionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteReactionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteReactionResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteReactionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest","doc":"Schema representing a DeleteSegmentTargetsRequest","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteSegmentTargetsRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteSegmentTargetsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteUserRequest","doc":"Schema representing a DeleteUserRequest","ref":"ExStreamClient.Model.DeleteUserRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteUserRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteUserRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteUserRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteUserRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteUserRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteUserRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteUsersRequest","doc":"Schema representing a DeleteUsersRequest","ref":"ExStreamClient.Model.DeleteUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.DeleteUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.DeleteUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeleteUsersResponse","doc":"Schema representing a DeleteUsersResponse","ref":"ExStreamClient.Model.DeleteUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeleteUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeleteUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeleteUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeleteUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeleteUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeleteUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Device","doc":"Schema representing a Device","ref":"ExStreamClient.Model.Device.html"},{"type":"function","title":"ExStreamClient.Model.Device.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Device.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Device.nested_components/0","doc":"","ref":"ExStreamClient.Model.Device.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Device.t/0","doc":"","ref":"ExStreamClient.Model.Device.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeviceErrorInfo","doc":"Schema representing a DeviceErrorInfo","ref":"ExStreamClient.Model.DeviceErrorInfo.html"},{"type":"function","title":"ExStreamClient.Model.DeviceErrorInfo.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeviceErrorInfo.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeviceErrorInfo.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeviceErrorInfo.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeviceErrorInfo.t/0","doc":"","ref":"ExStreamClient.Model.DeviceErrorInfo.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DeviceResponse","doc":"Schema representing a DeviceResponse","ref":"ExStreamClient.Model.DeviceResponse.html"},{"type":"function","title":"ExStreamClient.Model.DeviceResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DeviceResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DeviceResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DeviceResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DeviceResponse.t/0","doc":"","ref":"ExStreamClient.Model.DeviceResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DraftPayloadResponse","doc":"Schema representing a DraftPayloadResponse","ref":"ExStreamClient.Model.DraftPayloadResponse.html"},{"type":"function","title":"ExStreamClient.Model.DraftPayloadResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DraftPayloadResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DraftPayloadResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DraftPayloadResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DraftPayloadResponse.t/0","doc":"","ref":"ExStreamClient.Model.DraftPayloadResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.DraftResponse","doc":"Schema representing a DraftResponse","ref":"ExStreamClient.Model.DraftResponse.html"},{"type":"function","title":"ExStreamClient.Model.DraftResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.DraftResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.DraftResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.DraftResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.DraftResponse.t/0","doc":"","ref":"ExStreamClient.Model.DraftResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EgressHLSResponse","doc":"Schema representing a EgressHLSResponse","ref":"ExStreamClient.Model.EgressHLSResponse.html"},{"type":"function","title":"ExStreamClient.Model.EgressHLSResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EgressHLSResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EgressHLSResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.EgressHLSResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EgressHLSResponse.t/0","doc":"","ref":"ExStreamClient.Model.EgressHLSResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EgressRTMPResponse","doc":"Schema representing a EgressRTMPResponse","ref":"ExStreamClient.Model.EgressRTMPResponse.html"},{"type":"function","title":"ExStreamClient.Model.EgressRTMPResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EgressRTMPResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EgressRTMPResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.EgressRTMPResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EgressRTMPResponse.t/0","doc":"","ref":"ExStreamClient.Model.EgressRTMPResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EgressResponse","doc":"Schema representing a EgressResponse","ref":"ExStreamClient.Model.EgressResponse.html"},{"type":"function","title":"ExStreamClient.Model.EgressResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EgressResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EgressResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.EgressResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EgressResponse.t/0","doc":"","ref":"ExStreamClient.Model.EgressResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EgressTaskConfig","doc":"Schema representing a EgressTaskConfig","ref":"ExStreamClient.Model.EgressTaskConfig.html"},{"type":"function","title":"ExStreamClient.Model.EgressTaskConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EgressTaskConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EgressTaskConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.EgressTaskConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EgressTaskConfig.t/0","doc":"","ref":"ExStreamClient.Model.EgressTaskConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EgressUser","doc":"Schema representing a EgressUser","ref":"ExStreamClient.Model.EgressUser.html"},{"type":"function","title":"ExStreamClient.Model.EgressUser.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EgressUser.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EgressUser.nested_components/0","doc":"","ref":"ExStreamClient.Model.EgressUser.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EgressUser.t/0","doc":"","ref":"ExStreamClient.Model.EgressUser.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EnrichedActivity","doc":"Schema representing a EnrichedActivity","ref":"ExStreamClient.Model.EnrichedActivity.html"},{"type":"function","title":"ExStreamClient.Model.EnrichedActivity.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EnrichedActivity.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EnrichedActivity.nested_components/0","doc":"","ref":"ExStreamClient.Model.EnrichedActivity.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EnrichedActivity.t/0","doc":"","ref":"ExStreamClient.Model.EnrichedActivity.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EnrichedReaction","doc":"Schema representing a EnrichedReaction","ref":"ExStreamClient.Model.EnrichedReaction.html"},{"type":"function","title":"ExStreamClient.Model.EnrichedReaction.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EnrichedReaction.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EnrichedReaction.nested_components/0","doc":"","ref":"ExStreamClient.Model.EnrichedReaction.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EnrichedReaction.t/0","doc":"","ref":"ExStreamClient.Model.EnrichedReaction.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EntityCreator","doc":"Schema representing a EntityCreator","ref":"ExStreamClient.Model.EntityCreator.html"},{"type":"function","title":"ExStreamClient.Model.EntityCreator.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EntityCreator.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EntityCreator.nested_components/0","doc":"","ref":"ExStreamClient.Model.EntityCreator.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EntityCreator.t/0","doc":"","ref":"ExStreamClient.Model.EntityCreator.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EntityCreatorResponse","doc":"Schema representing a EntityCreatorResponse","ref":"ExStreamClient.Model.EntityCreatorResponse.html"},{"type":"function","title":"ExStreamClient.Model.EntityCreatorResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EntityCreatorResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EntityCreatorResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.EntityCreatorResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EntityCreatorResponse.t/0","doc":"","ref":"ExStreamClient.Model.EntityCreatorResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ErrorResult","doc":"Schema representing a ErrorResult","ref":"ExStreamClient.Model.ErrorResult.html"},{"type":"function","title":"ExStreamClient.Model.ErrorResult.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ErrorResult.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ErrorResult.nested_components/0","doc":"","ref":"ExStreamClient.Model.ErrorResult.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ErrorResult.t/0","doc":"","ref":"ExStreamClient.Model.ErrorResult.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EventNotificationSettings","doc":"Schema representing a EventNotificationSettings","ref":"ExStreamClient.Model.EventNotificationSettings.html"},{"type":"function","title":"ExStreamClient.Model.EventNotificationSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EventNotificationSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EventNotificationSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.EventNotificationSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EventNotificationSettings.t/0","doc":"","ref":"ExStreamClient.Model.EventNotificationSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EventRequest","doc":"Schema representing a EventRequest","ref":"ExStreamClient.Model.EventRequest.html"},{"type":"function","title":"ExStreamClient.Model.EventRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EventRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EventRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.EventRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EventRequest.t/0","doc":"","ref":"ExStreamClient.Model.EventRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.EventResponse","doc":"Schema representing a EventResponse","ref":"ExStreamClient.Model.EventResponse.html"},{"type":"function","title":"ExStreamClient.Model.EventResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.EventResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.EventResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.EventResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.EventResponse.t/0","doc":"","ref":"ExStreamClient.Model.EventResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExportChannelsRequest","doc":"Schema representing a ExportChannelsRequest","ref":"ExStreamClient.Model.ExportChannelsRequest.html"},{"type":"function","title":"ExStreamClient.Model.ExportChannelsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExportChannelsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExportChannelsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExportChannelsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExportChannelsRequest.t/0","doc":"","ref":"ExStreamClient.Model.ExportChannelsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExportChannelsResponse","doc":"Schema representing a ExportChannelsResponse","ref":"ExStreamClient.Model.ExportChannelsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ExportChannelsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExportChannelsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExportChannelsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExportChannelsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExportChannelsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ExportChannelsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExportUserResponse","doc":"Schema representing a ExportUserResponse","ref":"ExStreamClient.Model.ExportUserResponse.html"},{"type":"function","title":"ExStreamClient.Model.ExportUserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExportUserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExportUserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExportUserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExportUserResponse.t/0","doc":"","ref":"ExStreamClient.Model.ExportUserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExportUsersRequest","doc":"Schema representing a ExportUsersRequest","ref":"ExStreamClient.Model.ExportUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.ExportUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExportUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExportUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExportUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExportUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.ExportUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExportUsersResponse","doc":"Schema representing a ExportUsersResponse","ref":"ExStreamClient.Model.ExportUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.ExportUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExportUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExportUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExportUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExportUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.ExportUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExternalStorage","doc":"Schema representing a ExternalStorage","ref":"ExStreamClient.Model.ExternalStorage.html"},{"type":"function","title":"ExStreamClient.Model.ExternalStorage.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExternalStorage.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExternalStorage.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExternalStorage.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExternalStorage.t/0","doc":"","ref":"ExStreamClient.Model.ExternalStorage.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ExternalStorageResponse","doc":"Schema representing a ExternalStorageResponse","ref":"ExStreamClient.Model.ExternalStorageResponse.html"},{"type":"function","title":"ExStreamClient.Model.ExternalStorageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ExternalStorageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ExternalStorageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ExternalStorageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ExternalStorageResponse.t/0","doc":"","ref":"ExStreamClient.Model.ExternalStorageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FCM","doc":"Schema representing a FCM","ref":"ExStreamClient.Model.FCM.html"},{"type":"function","title":"ExStreamClient.Model.FCM.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FCM.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FCM.nested_components/0","doc":"","ref":"ExStreamClient.Model.FCM.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FCM.t/0","doc":"","ref":"ExStreamClient.Model.FCM.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FeedsModerationTemplateConfig","doc":"Schema representing a FeedsModerationTemplateConfig","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html"},{"type":"function","title":"ExStreamClient.Model.FeedsModerationTemplateConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FeedsModerationTemplateConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FeedsModerationTemplateConfig.t/0","doc":"","ref":"ExStreamClient.Model.FeedsModerationTemplateConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Field","doc":"Schema representing a Field","ref":"ExStreamClient.Model.Field.html"},{"type":"function","title":"ExStreamClient.Model.Field.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Field.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Field.nested_components/0","doc":"","ref":"ExStreamClient.Model.Field.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Field.t/0","doc":"","ref":"ExStreamClient.Model.Field.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FileUploadConfig","doc":"Schema representing a FileUploadConfig","ref":"ExStreamClient.Model.FileUploadConfig.html"},{"type":"function","title":"ExStreamClient.Model.FileUploadConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FileUploadConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FileUploadConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.FileUploadConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FileUploadConfig.t/0","doc":"","ref":"ExStreamClient.Model.FileUploadConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FileUploadRequest","doc":"Schema representing a FileUploadRequest","ref":"ExStreamClient.Model.FileUploadRequest.html"},{"type":"function","title":"ExStreamClient.Model.FileUploadRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FileUploadRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FileUploadRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.FileUploadRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FileUploadRequest.t/0","doc":"","ref":"ExStreamClient.Model.FileUploadRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FileUploadResponse","doc":"Schema representing a FileUploadResponse","ref":"ExStreamClient.Model.FileUploadResponse.html"},{"type":"function","title":"ExStreamClient.Model.FileUploadResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FileUploadResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FileUploadResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.FileUploadResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FileUploadResponse.t/0","doc":"","ref":"ExStreamClient.Model.FileUploadResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FirebaseConfig","doc":"Schema representing a FirebaseConfig","ref":"ExStreamClient.Model.FirebaseConfig.html"},{"type":"function","title":"ExStreamClient.Model.FirebaseConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FirebaseConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FirebaseConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.FirebaseConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FirebaseConfig.t/0","doc":"","ref":"ExStreamClient.Model.FirebaseConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FirebaseConfigFields","doc":"Schema representing a FirebaseConfigFields","ref":"ExStreamClient.Model.FirebaseConfigFields.html"},{"type":"function","title":"ExStreamClient.Model.FirebaseConfigFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FirebaseConfigFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FirebaseConfigFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.FirebaseConfigFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FirebaseConfigFields.t/0","doc":"","ref":"ExStreamClient.Model.FirebaseConfigFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Flag","doc":"Schema representing a Flag","ref":"ExStreamClient.Model.Flag.html"},{"type":"function","title":"ExStreamClient.Model.Flag.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Flag.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Flag.nested_components/0","doc":"","ref":"ExStreamClient.Model.Flag.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Flag.t/0","doc":"","ref":"ExStreamClient.Model.Flag.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FlagDetails","doc":"Schema representing a FlagDetails","ref":"ExStreamClient.Model.FlagDetails.html"},{"type":"function","title":"ExStreamClient.Model.FlagDetails.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FlagDetails.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FlagDetails.nested_components/0","doc":"","ref":"ExStreamClient.Model.FlagDetails.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FlagDetails.t/0","doc":"","ref":"ExStreamClient.Model.FlagDetails.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FlagFeedback","doc":"Schema representing a FlagFeedback","ref":"ExStreamClient.Model.FlagFeedback.html"},{"type":"function","title":"ExStreamClient.Model.FlagFeedback.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FlagFeedback.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FlagFeedback.nested_components/0","doc":"","ref":"ExStreamClient.Model.FlagFeedback.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FlagFeedback.t/0","doc":"","ref":"ExStreamClient.Model.FlagFeedback.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FlagMessageDetails","doc":"Schema representing a FlagMessageDetails","ref":"ExStreamClient.Model.FlagMessageDetails.html"},{"type":"function","title":"ExStreamClient.Model.FlagMessageDetails.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FlagMessageDetails.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FlagMessageDetails.nested_components/0","doc":"","ref":"ExStreamClient.Model.FlagMessageDetails.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FlagMessageDetails.t/0","doc":"","ref":"ExStreamClient.Model.FlagMessageDetails.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FlagRequest","doc":"Schema representing a FlagRequest","ref":"ExStreamClient.Model.FlagRequest.html"},{"type":"function","title":"ExStreamClient.Model.FlagRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FlagRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FlagRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.FlagRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FlagRequest.t/0","doc":"","ref":"ExStreamClient.Model.FlagRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FlagResponse","doc":"Schema representing a FlagResponse","ref":"ExStreamClient.Model.FlagResponse.html"},{"type":"function","title":"ExStreamClient.Model.FlagResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FlagResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FlagResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.FlagResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FlagResponse.t/0","doc":"","ref":"ExStreamClient.Model.FlagResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FlagUpdatedEvent","doc":"Schema representing a FlagUpdatedEvent","ref":"ExStreamClient.Model.FlagUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.FlagUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FlagUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FlagUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.FlagUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FlagUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.FlagUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FrameRecordSettings","doc":"Schema representing a FrameRecordSettings","ref":"ExStreamClient.Model.FrameRecordSettings.html"},{"type":"function","title":"ExStreamClient.Model.FrameRecordSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FrameRecordSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FrameRecordSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.FrameRecordSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FrameRecordSettings.t/0","doc":"","ref":"ExStreamClient.Model.FrameRecordSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FrameRecordingEgressConfig","doc":"Schema representing a FrameRecordingEgressConfig","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html"},{"type":"function","title":"ExStreamClient.Model.FrameRecordingEgressConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FrameRecordingEgressConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FrameRecordingEgressConfig.t/0","doc":"","ref":"ExStreamClient.Model.FrameRecordingEgressConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FrameRecordingResponse","doc":"Schema representing a FrameRecordingResponse","ref":"ExStreamClient.Model.FrameRecordingResponse.html"},{"type":"function","title":"ExStreamClient.Model.FrameRecordingResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FrameRecordingResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FrameRecordingResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.FrameRecordingResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FrameRecordingResponse.t/0","doc":"","ref":"ExStreamClient.Model.FrameRecordingResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FrameRecordingSettingsResponse","doc":"Schema representing a FrameRecordingSettingsResponse","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.FrameRecordingSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FrameRecordingSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FrameRecordingSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.FrameRecordingSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.FullUserResponse","doc":"Schema representing a FullUserResponse","ref":"ExStreamClient.Model.FullUserResponse.html"},{"type":"function","title":"ExStreamClient.Model.FullUserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.FullUserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.FullUserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.FullUserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.FullUserResponse.t/0","doc":"","ref":"ExStreamClient.Model.FullUserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GeofenceResponse","doc":"Schema representing a GeofenceResponse","ref":"ExStreamClient.Model.GeofenceResponse.html"},{"type":"function","title":"ExStreamClient.Model.GeofenceResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GeofenceResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GeofenceResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GeofenceResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GeofenceResponse.t/0","doc":"","ref":"ExStreamClient.Model.GeofenceResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GeofenceSettings","doc":"Schema representing a GeofenceSettings","ref":"ExStreamClient.Model.GeofenceSettings.html"},{"type":"function","title":"ExStreamClient.Model.GeofenceSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GeofenceSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GeofenceSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.GeofenceSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GeofenceSettings.t/0","doc":"","ref":"ExStreamClient.Model.GeofenceSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GeofenceSettingsResponse","doc":"Schema representing a GeofenceSettingsResponse","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.GeofenceSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GeofenceSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GeofenceSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.GeofenceSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetApplicationResponse","doc":"Schema representing a GetApplicationResponse","ref":"ExStreamClient.Model.GetApplicationResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetApplicationResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetApplicationResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetApplicationResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetApplicationResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetApplicationResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetApplicationResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetBlockListResponse","doc":"Schema representing a GetBlockListResponse","ref":"ExStreamClient.Model.GetBlockListResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetBlockListResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetBlockListResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetBlockListResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetBlockListResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetBlockListResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetBlockListResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetBlockedUsersResponse","doc":"Schema representing a GetBlockedUsersResponse","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetBlockedUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetBlockedUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetBlockedUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetBlockedUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetCampaignResponse","doc":"Schema representing a GetCampaignResponse","ref":"ExStreamClient.Model.GetCampaignResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetCampaignResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetCampaignResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetCampaignResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetCampaignResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetCampaignResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetCampaignResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetChannelTypeResponse","doc":"Schema representing a GetChannelTypeResponse","ref":"ExStreamClient.Model.GetChannelTypeResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetChannelTypeResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetChannelTypeResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetChannelTypeResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetChannelTypeResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetChannelTypeResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetChannelTypeResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetCommandResponse","doc":"Schema representing a GetCommandResponse","ref":"ExStreamClient.Model.GetCommandResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetCommandResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetCommandResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetCommandResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetCommandResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetCommandResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetCommandResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetConfigResponse","doc":"Schema representing a GetConfigResponse","ref":"ExStreamClient.Model.GetConfigResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetConfigResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetConfigResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetConfigResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetConfigResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetConfigResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetConfigResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetCustomPermissionResponse","doc":"Schema representing a GetCustomPermissionResponse","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetCustomPermissionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetCustomPermissionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetCustomPermissionResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetCustomPermissionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetDraftResponse","doc":"Schema representing a GetDraftResponse","ref":"ExStreamClient.Model.GetDraftResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetDraftResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetDraftResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetDraftResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetDraftResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetDraftResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetDraftResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetImportResponse","doc":"Schema representing a GetImportResponse","ref":"ExStreamClient.Model.GetImportResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetImportResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetImportResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetImportResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetImportResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetImportResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetImportResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetManyMessagesResponse","doc":"Schema representing a GetManyMessagesResponse","ref":"ExStreamClient.Model.GetManyMessagesResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetManyMessagesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetManyMessagesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetManyMessagesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetManyMessagesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetManyMessagesResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetManyMessagesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetMessageResponse","doc":"Schema representing a GetMessageResponse","ref":"ExStreamClient.Model.GetMessageResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetMessageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetMessageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetMessageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetMessageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetMessageResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetMessageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetOGResponse","doc":"Schema representing a GetOGResponse","ref":"ExStreamClient.Model.GetOGResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetOGResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetOGResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetOGResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetOGResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetOGResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetOGResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetPushTemplatesResponse","doc":"Schema representing a GetPushTemplatesResponse","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetPushTemplatesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetPushTemplatesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetPushTemplatesResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetPushTemplatesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetRateLimitsResponse","doc":"Schema representing a GetRateLimitsResponse","ref":"ExStreamClient.Model.GetRateLimitsResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetRateLimitsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetRateLimitsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetRateLimitsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetRateLimitsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetRateLimitsResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetRateLimitsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetReactionsResponse","doc":"Schema representing a GetReactionsResponse","ref":"ExStreamClient.Model.GetReactionsResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetReactionsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetReactionsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetReactionsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetReactionsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetReactionsResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetReactionsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetRepliesResponse","doc":"Schema representing a GetRepliesResponse","ref":"ExStreamClient.Model.GetRepliesResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetRepliesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetRepliesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetRepliesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetRepliesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetRepliesResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetRepliesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetReviewQueueItemResponse","doc":"Schema representing a GetReviewQueueItemResponse","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetReviewQueueItemResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetReviewQueueItemResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetReviewQueueItemResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetReviewQueueItemResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetSegmentResponse","doc":"Schema representing a GetSegmentResponse","ref":"ExStreamClient.Model.GetSegmentResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetSegmentResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetSegmentResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetSegmentResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetSegmentResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetSegmentResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetSegmentResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetTaskResponse","doc":"Schema representing a GetTaskResponse","ref":"ExStreamClient.Model.GetTaskResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetTaskResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetTaskResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetTaskResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetTaskResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetTaskResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetTaskResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GetThreadResponse","doc":"Schema representing a GetThreadResponse","ref":"ExStreamClient.Model.GetThreadResponse.html"},{"type":"function","title":"ExStreamClient.Model.GetThreadResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GetThreadResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GetThreadResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.GetThreadResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GetThreadResponse.t/0","doc":"","ref":"ExStreamClient.Model.GetThreadResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.GoogleVisionConfig","doc":"Schema representing a GoogleVisionConfig","ref":"ExStreamClient.Model.GoogleVisionConfig.html"},{"type":"function","title":"ExStreamClient.Model.GoogleVisionConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.GoogleVisionConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.GoogleVisionConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.GoogleVisionConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.GoogleVisionConfig.t/0","doc":"","ref":"ExStreamClient.Model.GoogleVisionConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HLSEgressConfig","doc":"Schema representing a HLSEgressConfig","ref":"ExStreamClient.Model.HLSEgressConfig.html"},{"type":"function","title":"ExStreamClient.Model.HLSEgressConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HLSEgressConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HLSEgressConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.HLSEgressConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HLSEgressConfig.t/0","doc":"","ref":"ExStreamClient.Model.HLSEgressConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HLSSettings","doc":"Schema representing a HLSSettings","ref":"ExStreamClient.Model.HLSSettings.html"},{"type":"function","title":"ExStreamClient.Model.HLSSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HLSSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HLSSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.HLSSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HLSSettings.t/0","doc":"","ref":"ExStreamClient.Model.HLSSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HLSSettingsResponse","doc":"Schema representing a HLSSettingsResponse","ref":"ExStreamClient.Model.HLSSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.HLSSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HLSSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HLSSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.HLSSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HLSSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.HLSSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HideChannelRequest","doc":"Schema representing a HideChannelRequest","ref":"ExStreamClient.Model.HideChannelRequest.html"},{"type":"function","title":"ExStreamClient.Model.HideChannelRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HideChannelRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HideChannelRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.HideChannelRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HideChannelRequest.t/0","doc":"","ref":"ExStreamClient.Model.HideChannelRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HideChannelResponse","doc":"Schema representing a HideChannelResponse","ref":"ExStreamClient.Model.HideChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.HideChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HideChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HideChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.HideChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HideChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.HideChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HuaweiConfig","doc":"Schema representing a HuaweiConfig","ref":"ExStreamClient.Model.HuaweiConfig.html"},{"type":"function","title":"ExStreamClient.Model.HuaweiConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HuaweiConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HuaweiConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.HuaweiConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HuaweiConfig.t/0","doc":"","ref":"ExStreamClient.Model.HuaweiConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.HuaweiConfigFields","doc":"Schema representing a HuaweiConfigFields","ref":"ExStreamClient.Model.HuaweiConfigFields.html"},{"type":"function","title":"ExStreamClient.Model.HuaweiConfigFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.HuaweiConfigFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.HuaweiConfigFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.HuaweiConfigFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.HuaweiConfigFields.t/0","doc":"","ref":"ExStreamClient.Model.HuaweiConfigFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ImageData","doc":"Schema representing a ImageData","ref":"ExStreamClient.Model.ImageData.html"},{"type":"function","title":"ExStreamClient.Model.ImageData.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ImageData.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ImageData.nested_components/0","doc":"","ref":"ExStreamClient.Model.ImageData.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ImageData.t/0","doc":"","ref":"ExStreamClient.Model.ImageData.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ImageSize","doc":"Schema representing a ImageSize","ref":"ExStreamClient.Model.ImageSize.html"},{"type":"function","title":"ExStreamClient.Model.ImageSize.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ImageSize.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ImageSize.nested_components/0","doc":"","ref":"ExStreamClient.Model.ImageSize.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ImageSize.t/0","doc":"","ref":"ExStreamClient.Model.ImageSize.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ImageUploadRequest","doc":"Schema representing a ImageUploadRequest","ref":"ExStreamClient.Model.ImageUploadRequest.html"},{"type":"function","title":"ExStreamClient.Model.ImageUploadRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ImageUploadRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ImageUploadRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ImageUploadRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ImageUploadRequest.t/0","doc":"","ref":"ExStreamClient.Model.ImageUploadRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ImageUploadResponse","doc":"Schema representing a ImageUploadResponse","ref":"ExStreamClient.Model.ImageUploadResponse.html"},{"type":"function","title":"ExStreamClient.Model.ImageUploadResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ImageUploadResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ImageUploadResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ImageUploadResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ImageUploadResponse.t/0","doc":"","ref":"ExStreamClient.Model.ImageUploadResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Images","doc":"Schema representing a Images","ref":"ExStreamClient.Model.Images.html"},{"type":"function","title":"ExStreamClient.Model.Images.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Images.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Images.nested_components/0","doc":"","ref":"ExStreamClient.Model.Images.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Images.t/0","doc":"","ref":"ExStreamClient.Model.Images.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ImportTask","doc":"Schema representing a ImportTask","ref":"ExStreamClient.Model.ImportTask.html"},{"type":"function","title":"ExStreamClient.Model.ImportTask.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ImportTask.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ImportTask.nested_components/0","doc":"","ref":"ExStreamClient.Model.ImportTask.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ImportTask.t/0","doc":"","ref":"ExStreamClient.Model.ImportTask.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ImportTaskHistory","doc":"Schema representing a ImportTaskHistory","ref":"ExStreamClient.Model.ImportTaskHistory.html"},{"type":"function","title":"ExStreamClient.Model.ImportTaskHistory.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ImportTaskHistory.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ImportTaskHistory.nested_components/0","doc":"","ref":"ExStreamClient.Model.ImportTaskHistory.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ImportTaskHistory.t/0","doc":"","ref":"ExStreamClient.Model.ImportTaskHistory.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Label","doc":"Schema representing a Label","ref":"ExStreamClient.Model.Label.html"},{"type":"function","title":"ExStreamClient.Model.Label.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Label.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Label.nested_components/0","doc":"","ref":"ExStreamClient.Model.Label.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Label.t/0","doc":"","ref":"ExStreamClient.Model.Label.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.LabelThresholds","doc":"Schema representing a LabelThresholds","ref":"ExStreamClient.Model.LabelThresholds.html"},{"type":"function","title":"ExStreamClient.Model.LabelThresholds.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.LabelThresholds.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.LabelThresholds.nested_components/0","doc":"","ref":"ExStreamClient.Model.LabelThresholds.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.LabelThresholds.t/0","doc":"","ref":"ExStreamClient.Model.LabelThresholds.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.LayoutSettings","doc":"Schema representing a LayoutSettings","ref":"ExStreamClient.Model.LayoutSettings.html"},{"type":"function","title":"ExStreamClient.Model.LayoutSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.LayoutSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.LayoutSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.LayoutSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.LayoutSettings.t/0","doc":"","ref":"ExStreamClient.Model.LayoutSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.LayoutSettingsResponse","doc":"Schema representing a LayoutSettingsResponse","ref":"ExStreamClient.Model.LayoutSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.LayoutSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.LayoutSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.LayoutSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.LayoutSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.LayoutSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.LayoutSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.LimitInfo","doc":"Schema representing a LimitInfo","ref":"ExStreamClient.Model.LimitInfo.html"},{"type":"function","title":"ExStreamClient.Model.LimitInfo.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.LimitInfo.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.LimitInfo.nested_components/0","doc":"","ref":"ExStreamClient.Model.LimitInfo.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.LimitInfo.t/0","doc":"","ref":"ExStreamClient.Model.LimitInfo.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.LimitsSettings","doc":"Schema representing a LimitsSettings","ref":"ExStreamClient.Model.LimitsSettings.html"},{"type":"function","title":"ExStreamClient.Model.LimitsSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.LimitsSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.LimitsSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.LimitsSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.LimitsSettings.t/0","doc":"","ref":"ExStreamClient.Model.LimitsSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.LimitsSettingsResponse","doc":"Schema representing a LimitsSettingsResponse","ref":"ExStreamClient.Model.LimitsSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.LimitsSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.LimitsSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.LimitsSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.LimitsSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.LimitsSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.LimitsSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListBlockListResponse","doc":"Schema representing a ListBlockListResponse","ref":"ExStreamClient.Model.ListBlockListResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListBlockListResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListBlockListResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListBlockListResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListBlockListResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListBlockListResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListBlockListResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListChannelTypesResponse","doc":"Schema representing a ListChannelTypesResponse","ref":"ExStreamClient.Model.ListChannelTypesResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListChannelTypesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListChannelTypesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListChannelTypesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListChannelTypesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListChannelTypesResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListChannelTypesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListCommandsResponse","doc":"Schema representing a ListCommandsResponse","ref":"ExStreamClient.Model.ListCommandsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListCommandsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListCommandsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListCommandsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListCommandsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListCommandsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListCommandsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListDevicesResponse","doc":"Schema representing a ListDevicesResponse","ref":"ExStreamClient.Model.ListDevicesResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListDevicesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListDevicesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListDevicesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListDevicesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListDevicesResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListDevicesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListExternalStorageResponse","doc":"Schema representing a ListExternalStorageResponse","ref":"ExStreamClient.Model.ListExternalStorageResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListExternalStorageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListExternalStorageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListExternalStorageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListExternalStorageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListExternalStorageResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListExternalStorageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListImportsResponse","doc":"Schema representing a ListImportsResponse","ref":"ExStreamClient.Model.ListImportsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListImportsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListImportsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListImportsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListImportsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListImportsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListImportsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListPermissionsResponse","doc":"Schema representing a ListPermissionsResponse","ref":"ExStreamClient.Model.ListPermissionsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListPermissionsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListPermissionsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListPermissionsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListPermissionsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListPermissionsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListPermissionsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListPushProvidersResponse","doc":"Schema representing a ListPushProvidersResponse","ref":"ExStreamClient.Model.ListPushProvidersResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListPushProvidersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListPushProvidersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListPushProvidersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListPushProvidersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListPushProvidersResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListPushProvidersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ListRolesResponse","doc":"Schema representing a ListRolesResponse","ref":"ExStreamClient.Model.ListRolesResponse.html"},{"type":"function","title":"ExStreamClient.Model.ListRolesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ListRolesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ListRolesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ListRolesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ListRolesResponse.t/0","doc":"","ref":"ExStreamClient.Model.ListRolesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MarkChannelsReadRequest","doc":"Schema representing a MarkChannelsReadRequest","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html"},{"type":"function","title":"ExStreamClient.Model.MarkChannelsReadRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MarkChannelsReadRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MarkChannelsReadRequest.t/0","doc":"","ref":"ExStreamClient.Model.MarkChannelsReadRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MarkReadRequest","doc":"Schema representing a MarkReadRequest","ref":"ExStreamClient.Model.MarkReadRequest.html"},{"type":"function","title":"ExStreamClient.Model.MarkReadRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MarkReadRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MarkReadRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MarkReadRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MarkReadRequest.t/0","doc":"","ref":"ExStreamClient.Model.MarkReadRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MarkReadResponse","doc":"Schema representing a MarkReadResponse","ref":"ExStreamClient.Model.MarkReadResponse.html"},{"type":"function","title":"ExStreamClient.Model.MarkReadResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MarkReadResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MarkReadResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MarkReadResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MarkReadResponse.t/0","doc":"","ref":"ExStreamClient.Model.MarkReadResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MarkReviewedRequest","doc":"Schema representing a MarkReviewedRequest","ref":"ExStreamClient.Model.MarkReviewedRequest.html"},{"type":"function","title":"ExStreamClient.Model.MarkReviewedRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MarkReviewedRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MarkReviewedRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MarkReviewedRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MarkReviewedRequest.t/0","doc":"","ref":"ExStreamClient.Model.MarkReviewedRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MarkUnreadRequest","doc":"Schema representing a MarkUnreadRequest","ref":"ExStreamClient.Model.MarkUnreadRequest.html"},{"type":"function","title":"ExStreamClient.Model.MarkUnreadRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MarkUnreadRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MarkUnreadRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MarkUnreadRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MarkUnreadRequest.t/0","doc":"","ref":"ExStreamClient.Model.MarkUnreadRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MemberAddedEvent","doc":"Schema representing a MemberAddedEvent","ref":"ExStreamClient.Model.MemberAddedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MemberAddedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MemberAddedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MemberAddedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MemberAddedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MemberAddedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MemberAddedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MemberLookup","doc":"Schema representing a MemberLookup","ref":"ExStreamClient.Model.MemberLookup.html"},{"type":"function","title":"ExStreamClient.Model.MemberLookup.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MemberLookup.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MemberLookup.nested_components/0","doc":"","ref":"ExStreamClient.Model.MemberLookup.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MemberLookup.t/0","doc":"","ref":"ExStreamClient.Model.MemberLookup.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MemberRemovedEvent","doc":"Schema representing a MemberRemovedEvent","ref":"ExStreamClient.Model.MemberRemovedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MemberRemovedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MemberRemovedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MemberRemovedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MemberRemovedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MemberRemovedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MemberRemovedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MemberUpdatedEvent","doc":"Schema representing a MemberUpdatedEvent","ref":"ExStreamClient.Model.MemberUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MemberUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MemberUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MemberUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MemberUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MemberUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MemberUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MembersResponse","doc":"Schema representing a MembersResponse","ref":"ExStreamClient.Model.MembersResponse.html"},{"type":"function","title":"ExStreamClient.Model.MembersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MembersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MembersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MembersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MembersResponse.t/0","doc":"","ref":"ExStreamClient.Model.MembersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Message","doc":"Schema representing a Message","ref":"ExStreamClient.Model.Message.html"},{"type":"function","title":"ExStreamClient.Model.Message.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Message.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Message.nested_components/0","doc":"","ref":"ExStreamClient.Model.Message.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Message.t/0","doc":"","ref":"ExStreamClient.Model.Message.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageActionRequest","doc":"Schema representing a MessageActionRequest","ref":"ExStreamClient.Model.MessageActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.MessageActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.MessageActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageChangeSet","doc":"Schema representing a MessageChangeSet","ref":"ExStreamClient.Model.MessageChangeSet.html"},{"type":"function","title":"ExStreamClient.Model.MessageChangeSet.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageChangeSet.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageChangeSet.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageChangeSet.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageChangeSet.t/0","doc":"","ref":"ExStreamClient.Model.MessageChangeSet.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageDeletedEvent","doc":"Schema representing a MessageDeletedEvent","ref":"ExStreamClient.Model.MessageDeletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageDeletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageDeletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageDeletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageDeletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageDeletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageDeletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageFlagResponse","doc":"Schema representing a MessageFlagResponse","ref":"ExStreamClient.Model.MessageFlagResponse.html"},{"type":"function","title":"ExStreamClient.Model.MessageFlagResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageFlagResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageFlagResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageFlagResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageFlagResponse.t/0","doc":"","ref":"ExStreamClient.Model.MessageFlagResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageFlaggedEvent","doc":"Schema representing a MessageFlaggedEvent","ref":"ExStreamClient.Model.MessageFlaggedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageFlaggedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageFlaggedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageFlaggedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageFlaggedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageFlaggedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageFlaggedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageHistoryEntryResponse","doc":"Schema representing a MessageHistoryEntryResponse","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html"},{"type":"function","title":"ExStreamClient.Model.MessageHistoryEntryResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageHistoryEntryResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageHistoryEntryResponse.t/0","doc":"","ref":"ExStreamClient.Model.MessageHistoryEntryResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageModerationResult","doc":"Schema representing a MessageModerationResult","ref":"ExStreamClient.Model.MessageModerationResult.html"},{"type":"function","title":"ExStreamClient.Model.MessageModerationResult.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageModerationResult.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageModerationResult.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageModerationResult.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageModerationResult.t/0","doc":"","ref":"ExStreamClient.Model.MessageModerationResult.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageNewEvent","doc":"Schema representing a MessageNewEvent","ref":"ExStreamClient.Model.MessageNewEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageNewEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageNewEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageNewEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageNewEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageNewEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageNewEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageOptions","doc":"Schema representing a MessageOptions","ref":"ExStreamClient.Model.MessageOptions.html"},{"type":"function","title":"ExStreamClient.Model.MessageOptions.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageOptions.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageOptions.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageOptions.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageOptions.t/0","doc":"","ref":"ExStreamClient.Model.MessageOptions.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessagePaginationParams","doc":"Schema representing a MessagePaginationParams","ref":"ExStreamClient.Model.MessagePaginationParams.html"},{"type":"function","title":"ExStreamClient.Model.MessagePaginationParams.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessagePaginationParams.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessagePaginationParams.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessagePaginationParams.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessagePaginationParams.t/0","doc":"","ref":"ExStreamClient.Model.MessagePaginationParams.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageReadEvent","doc":"Schema representing a MessageReadEvent","ref":"ExStreamClient.Model.MessageReadEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageReadEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageReadEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageReadEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageReadEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageReadEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageReadEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageRequest","doc":"Schema representing a MessageRequest","ref":"ExStreamClient.Model.MessageRequest.html"},{"type":"function","title":"ExStreamClient.Model.MessageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageRequest.t/0","doc":"","ref":"ExStreamClient.Model.MessageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageResponse","doc":"Schema representing a MessageResponse","ref":"ExStreamClient.Model.MessageResponse.html"},{"type":"function","title":"ExStreamClient.Model.MessageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageResponse.t/0","doc":"","ref":"ExStreamClient.Model.MessageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageUnblockedEvent","doc":"Schema representing a MessageUnblockedEvent","ref":"ExStreamClient.Model.MessageUnblockedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageUnblockedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageUnblockedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageUnblockedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageUnblockedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageUnblockedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageUnblockedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageUndeletedEvent","doc":"Schema representing a MessageUndeletedEvent","ref":"ExStreamClient.Model.MessageUndeletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageUndeletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageUndeletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageUndeletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageUndeletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageUndeletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageUndeletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageUpdate","doc":"Schema representing a MessageUpdate","ref":"ExStreamClient.Model.MessageUpdate.html"},{"type":"function","title":"ExStreamClient.Model.MessageUpdate.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageUpdate.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageUpdate.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageUpdate.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageUpdate.t/0","doc":"","ref":"ExStreamClient.Model.MessageUpdate.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageUpdatedEvent","doc":"Schema representing a MessageUpdatedEvent","ref":"ExStreamClient.Model.MessageUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.MessageUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.MessageUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MessageWithChannelResponse","doc":"Schema representing a MessageWithChannelResponse","ref":"ExStreamClient.Model.MessageWithChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.MessageWithChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MessageWithChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MessageWithChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MessageWithChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MessageWithChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.MessageWithChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationActionConfig","doc":"Schema representing a ModerationActionConfig","ref":"ExStreamClient.Model.ModerationActionConfig.html"},{"type":"function","title":"ExStreamClient.Model.ModerationActionConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationActionConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationActionConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationActionConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationActionConfig.t/0","doc":"","ref":"ExStreamClient.Model.ModerationActionConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationCheckCompletedEvent","doc":"Schema representing a ModerationCheckCompletedEvent","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ModerationCheckCompletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationCheckCompletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationCheckCompletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ModerationCheckCompletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationCustomActionEvent","doc":"Schema representing a ModerationCustomActionEvent","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html"},{"type":"function","title":"ExStreamClient.Model.ModerationCustomActionEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationCustomActionEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationCustomActionEvent.t/0","doc":"","ref":"ExStreamClient.Model.ModerationCustomActionEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationDashboardPreferences","doc":"Schema representing a ModerationDashboardPreferences","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html"},{"type":"function","title":"ExStreamClient.Model.ModerationDashboardPreferences.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationDashboardPreferences.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationDashboardPreferences.t/0","doc":"","ref":"ExStreamClient.Model.ModerationDashboardPreferences.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationFlagResponse","doc":"Schema representing a ModerationFlagResponse","ref":"ExStreamClient.Model.ModerationFlagResponse.html"},{"type":"function","title":"ExStreamClient.Model.ModerationFlagResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationFlagResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationFlagResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationFlagResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationFlagResponse.t/0","doc":"","ref":"ExStreamClient.Model.ModerationFlagResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationFlaggedEvent","doc":"Schema representing a ModerationFlaggedEvent","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ModerationFlaggedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationFlaggedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationFlaggedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ModerationFlaggedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationMarkReviewedEvent","doc":"Schema representing a ModerationMarkReviewedEvent","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ModerationMarkReviewedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationMarkReviewedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationMarkReviewedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ModerationMarkReviewedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationPayload","doc":"Schema representing a ModerationPayload","ref":"ExStreamClient.Model.ModerationPayload.html"},{"type":"function","title":"ExStreamClient.Model.ModerationPayload.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationPayload.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationPayload.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationPayload.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationPayload.t/0","doc":"","ref":"ExStreamClient.Model.ModerationPayload.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationResponse","doc":"Schema representing a ModerationResponse","ref":"ExStreamClient.Model.ModerationResponse.html"},{"type":"function","title":"ExStreamClient.Model.ModerationResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationResponse.t/0","doc":"","ref":"ExStreamClient.Model.ModerationResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ModerationV2Response","doc":"Schema representing a ModerationV2Response","ref":"ExStreamClient.Model.ModerationV2Response.html"},{"type":"function","title":"ExStreamClient.Model.ModerationV2Response.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ModerationV2Response.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ModerationV2Response.nested_components/0","doc":"","ref":"ExStreamClient.Model.ModerationV2Response.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ModerationV2Response.t/0","doc":"","ref":"ExStreamClient.Model.ModerationV2Response.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MuteChannelRequest","doc":"Schema representing a MuteChannelRequest","ref":"ExStreamClient.Model.MuteChannelRequest.html"},{"type":"function","title":"ExStreamClient.Model.MuteChannelRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MuteChannelRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MuteChannelRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MuteChannelRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MuteChannelRequest.t/0","doc":"","ref":"ExStreamClient.Model.MuteChannelRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MuteChannelResponse","doc":"Schema representing a MuteChannelResponse","ref":"ExStreamClient.Model.MuteChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.MuteChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MuteChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MuteChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MuteChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MuteChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.MuteChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MuteRequest","doc":"Schema representing a MuteRequest","ref":"ExStreamClient.Model.MuteRequest.html"},{"type":"function","title":"ExStreamClient.Model.MuteRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MuteRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MuteRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.MuteRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MuteRequest.t/0","doc":"","ref":"ExStreamClient.Model.MuteRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.MuteResponse","doc":"Schema representing a MuteResponse","ref":"ExStreamClient.Model.MuteResponse.html"},{"type":"function","title":"ExStreamClient.Model.MuteResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.MuteResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.MuteResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.MuteResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.MuteResponse.t/0","doc":"","ref":"ExStreamClient.Model.MuteResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.NoiseCancellationSettings","doc":"Schema representing a NoiseCancellationSettings","ref":"ExStreamClient.Model.NoiseCancellationSettings.html"},{"type":"function","title":"ExStreamClient.Model.NoiseCancellationSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.NoiseCancellationSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.NoiseCancellationSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.NoiseCancellationSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.NoiseCancellationSettings.t/0","doc":"","ref":"ExStreamClient.Model.NoiseCancellationSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.NotificationMarkUnreadEvent","doc":"Schema representing a NotificationMarkUnreadEvent","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html"},{"type":"function","title":"ExStreamClient.Model.NotificationMarkUnreadEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.NotificationMarkUnreadEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.NotificationMarkUnreadEvent.t/0","doc":"","ref":"ExStreamClient.Model.NotificationMarkUnreadEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.NotificationSettings","doc":"Schema representing a NotificationSettings","ref":"ExStreamClient.Model.NotificationSettings.html"},{"type":"function","title":"ExStreamClient.Model.NotificationSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.NotificationSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.NotificationSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.NotificationSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.NotificationSettings.t/0","doc":"","ref":"ExStreamClient.Model.NotificationSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.NullTime","doc":"Schema representing a NullTime","ref":"ExStreamClient.Model.NullTime.html"},{"type":"function","title":"ExStreamClient.Model.NullTime.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.NullTime.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.NullTime.nested_components/0","doc":"","ref":"ExStreamClient.Model.NullTime.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.NullTime.t/0","doc":"","ref":"ExStreamClient.Model.NullTime.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.OCRRule","doc":"Schema representing a OCRRule","ref":"ExStreamClient.Model.OCRRule.html"},{"type":"function","title":"ExStreamClient.Model.OCRRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.OCRRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.OCRRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.OCRRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.OCRRule.t/0","doc":"","ref":"ExStreamClient.Model.OCRRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.OnlyUserID","doc":"Schema representing a OnlyUserID","ref":"ExStreamClient.Model.OnlyUserID.html"},{"type":"function","title":"ExStreamClient.Model.OnlyUserID.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.OnlyUserID.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.OnlyUserID.nested_components/0","doc":"","ref":"ExStreamClient.Model.OnlyUserID.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.OnlyUserID.t/0","doc":"","ref":"ExStreamClient.Model.OnlyUserID.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.OwnUser","doc":"Schema representing a OwnUser","ref":"ExStreamClient.Model.OwnUser.html"},{"type":"function","title":"ExStreamClient.Model.OwnUser.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.OwnUser.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.OwnUser.nested_components/0","doc":"","ref":"ExStreamClient.Model.OwnUser.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.OwnUser.t/0","doc":"","ref":"ExStreamClient.Model.OwnUser.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.OwnUserResponse","doc":"Schema representing a OwnUserResponse","ref":"ExStreamClient.Model.OwnUserResponse.html"},{"type":"function","title":"ExStreamClient.Model.OwnUserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.OwnUserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.OwnUserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.OwnUserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.OwnUserResponse.t/0","doc":"","ref":"ExStreamClient.Model.OwnUserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PagerResponse","doc":"Schema representing a PagerResponse","ref":"ExStreamClient.Model.PagerResponse.html"},{"type":"function","title":"ExStreamClient.Model.PagerResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PagerResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PagerResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PagerResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PagerResponse.t/0","doc":"","ref":"ExStreamClient.Model.PagerResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PaginationParams","doc":"Schema representing a PaginationParams","ref":"ExStreamClient.Model.PaginationParams.html"},{"type":"function","title":"ExStreamClient.Model.PaginationParams.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PaginationParams.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PaginationParams.nested_components/0","doc":"","ref":"ExStreamClient.Model.PaginationParams.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PaginationParams.t/0","doc":"","ref":"ExStreamClient.Model.PaginationParams.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PendingMessageResponse","doc":"Schema representing a PendingMessageResponse","ref":"ExStreamClient.Model.PendingMessageResponse.html"},{"type":"function","title":"ExStreamClient.Model.PendingMessageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PendingMessageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PendingMessageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PendingMessageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PendingMessageResponse.t/0","doc":"","ref":"ExStreamClient.Model.PendingMessageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Permission","doc":"Schema representing a Permission","ref":"ExStreamClient.Model.Permission.html"},{"type":"function","title":"ExStreamClient.Model.Permission.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Permission.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Permission.nested_components/0","doc":"","ref":"ExStreamClient.Model.Permission.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Permission.t/0","doc":"","ref":"ExStreamClient.Model.Permission.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Policy","doc":"Schema representing a Policy","ref":"ExStreamClient.Model.Policy.html"},{"type":"function","title":"ExStreamClient.Model.Policy.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Policy.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Policy.nested_components/0","doc":"","ref":"ExStreamClient.Model.Policy.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Policy.t/0","doc":"","ref":"ExStreamClient.Model.Policy.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PolicyRequest","doc":"Schema representing a PolicyRequest","ref":"ExStreamClient.Model.PolicyRequest.html"},{"type":"function","title":"ExStreamClient.Model.PolicyRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PolicyRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PolicyRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.PolicyRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PolicyRequest.t/0","doc":"","ref":"ExStreamClient.Model.PolicyRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Poll","doc":"Schema representing a Poll","ref":"ExStreamClient.Model.Poll.html"},{"type":"function","title":"ExStreamClient.Model.Poll.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Poll.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Poll.nested_components/0","doc":"","ref":"ExStreamClient.Model.Poll.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Poll.t/0","doc":"","ref":"ExStreamClient.Model.Poll.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollOption","doc":"Schema representing a PollOption","ref":"ExStreamClient.Model.PollOption.html"},{"type":"function","title":"ExStreamClient.Model.PollOption.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollOption.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollOption.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollOption.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollOption.t/0","doc":"","ref":"ExStreamClient.Model.PollOption.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollOptionInput","doc":"Schema representing a PollOptionInput","ref":"ExStreamClient.Model.PollOptionInput.html"},{"type":"function","title":"ExStreamClient.Model.PollOptionInput.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollOptionInput.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollOptionInput.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollOptionInput.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollOptionInput.t/0","doc":"","ref":"ExStreamClient.Model.PollOptionInput.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollOptionRequest","doc":"Schema representing a PollOptionRequest","ref":"ExStreamClient.Model.PollOptionRequest.html"},{"type":"function","title":"ExStreamClient.Model.PollOptionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollOptionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollOptionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollOptionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollOptionRequest.t/0","doc":"","ref":"ExStreamClient.Model.PollOptionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollOptionResponse","doc":"Schema representing a PollOptionResponse","ref":"ExStreamClient.Model.PollOptionResponse.html"},{"type":"function","title":"ExStreamClient.Model.PollOptionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollOptionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollOptionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollOptionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollOptionResponse.t/0","doc":"","ref":"ExStreamClient.Model.PollOptionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollOptionResponseData","doc":"Schema representing a PollOptionResponseData","ref":"ExStreamClient.Model.PollOptionResponseData.html"},{"type":"function","title":"ExStreamClient.Model.PollOptionResponseData.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollOptionResponseData.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollOptionResponseData.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollOptionResponseData.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollOptionResponseData.t/0","doc":"","ref":"ExStreamClient.Model.PollOptionResponseData.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollResponse","doc":"Schema representing a PollResponse","ref":"ExStreamClient.Model.PollResponse.html"},{"type":"function","title":"ExStreamClient.Model.PollResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollResponse.t/0","doc":"","ref":"ExStreamClient.Model.PollResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollResponseData","doc":"Schema representing a PollResponseData","ref":"ExStreamClient.Model.PollResponseData.html"},{"type":"function","title":"ExStreamClient.Model.PollResponseData.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollResponseData.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollResponseData.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollResponseData.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollResponseData.t/0","doc":"","ref":"ExStreamClient.Model.PollResponseData.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollVote","doc":"Schema representing a PollVote","ref":"ExStreamClient.Model.PollVote.html"},{"type":"function","title":"ExStreamClient.Model.PollVote.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollVote.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollVote.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollVote.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollVote.t/0","doc":"","ref":"ExStreamClient.Model.PollVote.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollVoteResponse","doc":"Schema representing a PollVoteResponse","ref":"ExStreamClient.Model.PollVoteResponse.html"},{"type":"function","title":"ExStreamClient.Model.PollVoteResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollVoteResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollVoteResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollVoteResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollVoteResponse.t/0","doc":"","ref":"ExStreamClient.Model.PollVoteResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollVoteResponseData","doc":"Schema representing a PollVoteResponseData","ref":"ExStreamClient.Model.PollVoteResponseData.html"},{"type":"function","title":"ExStreamClient.Model.PollVoteResponseData.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollVoteResponseData.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollVoteResponseData.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollVoteResponseData.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollVoteResponseData.t/0","doc":"","ref":"ExStreamClient.Model.PollVoteResponseData.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PollVotesResponse","doc":"Schema representing a PollVotesResponse","ref":"ExStreamClient.Model.PollVotesResponse.html"},{"type":"function","title":"ExStreamClient.Model.PollVotesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PollVotesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PollVotesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PollVotesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PollVotesResponse.t/0","doc":"","ref":"ExStreamClient.Model.PollVotesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PrivacySettings","doc":"Schema representing a PrivacySettings","ref":"ExStreamClient.Model.PrivacySettings.html"},{"type":"function","title":"ExStreamClient.Model.PrivacySettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PrivacySettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PrivacySettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.PrivacySettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PrivacySettings.t/0","doc":"","ref":"ExStreamClient.Model.PrivacySettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PrivacySettingsResponse","doc":"Schema representing a PrivacySettingsResponse","ref":"ExStreamClient.Model.PrivacySettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.PrivacySettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PrivacySettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PrivacySettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PrivacySettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PrivacySettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.PrivacySettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushConfig","doc":"Schema representing a PushConfig","ref":"ExStreamClient.Model.PushConfig.html"},{"type":"function","title":"ExStreamClient.Model.PushConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushConfig.t/0","doc":"","ref":"ExStreamClient.Model.PushConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushNotificationFields","doc":"Schema representing a PushNotificationFields","ref":"ExStreamClient.Model.PushNotificationFields.html"},{"type":"function","title":"ExStreamClient.Model.PushNotificationFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushNotificationFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushNotificationFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushNotificationFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushNotificationFields.t/0","doc":"","ref":"ExStreamClient.Model.PushNotificationFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushNotificationSettingsResponse","doc":"Schema representing a PushNotificationSettingsResponse","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.PushNotificationSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushNotificationSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushNotificationSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.PushNotificationSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushPreferenceInput","doc":"Schema representing a PushPreferenceInput","ref":"ExStreamClient.Model.PushPreferenceInput.html"},{"type":"function","title":"ExStreamClient.Model.PushPreferenceInput.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushPreferenceInput.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushPreferenceInput.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushPreferenceInput.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushPreferenceInput.t/0","doc":"","ref":"ExStreamClient.Model.PushPreferenceInput.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushPreferences","doc":"Schema representing a PushPreferences","ref":"ExStreamClient.Model.PushPreferences.html"},{"type":"function","title":"ExStreamClient.Model.PushPreferences.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushPreferences.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushPreferences.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushPreferences.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushPreferences.t/0","doc":"","ref":"ExStreamClient.Model.PushPreferences.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushProvider","doc":"Schema representing a PushProvider","ref":"ExStreamClient.Model.PushProvider.html"},{"type":"function","title":"ExStreamClient.Model.PushProvider.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushProvider.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushProvider.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushProvider.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushProvider.t/0","doc":"","ref":"ExStreamClient.Model.PushProvider.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushProviderResponse","doc":"Schema representing a PushProviderResponse","ref":"ExStreamClient.Model.PushProviderResponse.html"},{"type":"function","title":"ExStreamClient.Model.PushProviderResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushProviderResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushProviderResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushProviderResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushProviderResponse.t/0","doc":"","ref":"ExStreamClient.Model.PushProviderResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.PushTemplate","doc":"Schema representing a PushTemplate","ref":"ExStreamClient.Model.PushTemplate.html"},{"type":"function","title":"ExStreamClient.Model.PushTemplate.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.PushTemplate.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.PushTemplate.nested_components/0","doc":"","ref":"ExStreamClient.Model.PushTemplate.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.PushTemplate.t/0","doc":"","ref":"ExStreamClient.Model.PushTemplate.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Quality","doc":"Schema representing a Quality","ref":"ExStreamClient.Model.Quality.html"},{"type":"function","title":"ExStreamClient.Model.Quality.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Quality.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Quality.nested_components/0","doc":"","ref":"ExStreamClient.Model.Quality.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Quality.t/0","doc":"","ref":"ExStreamClient.Model.Quality.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryBannedUsersPayload","doc":"Schema representing a QueryBannedUsersPayload","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html"},{"type":"function","title":"ExStreamClient.Model.QueryBannedUsersPayload.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryBannedUsersPayload.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryBannedUsersPayload.t/0","doc":"","ref":"ExStreamClient.Model.QueryBannedUsersPayload.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryBannedUsersResponse","doc":"Schema representing a QueryBannedUsersResponse","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryBannedUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryBannedUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryBannedUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryBannedUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryCampaignsRequest","doc":"Schema representing a QueryCampaignsRequest","ref":"ExStreamClient.Model.QueryCampaignsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryCampaignsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryCampaignsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryCampaignsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryCampaignsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryCampaignsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryCampaignsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryCampaignsResponse","doc":"Schema representing a QueryCampaignsResponse","ref":"ExStreamClient.Model.QueryCampaignsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryCampaignsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryCampaignsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryCampaignsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryCampaignsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryCampaignsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryCampaignsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryChannelsRequest","doc":"Schema representing a QueryChannelsRequest","ref":"ExStreamClient.Model.QueryChannelsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryChannelsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryChannelsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryChannelsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryChannelsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryChannelsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryChannelsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryChannelsResponse","doc":"Schema representing a QueryChannelsResponse","ref":"ExStreamClient.Model.QueryChannelsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryChannelsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryChannelsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryChannelsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryChannelsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryChannelsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryChannelsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryDraftsRequest","doc":"Schema representing a QueryDraftsRequest","ref":"ExStreamClient.Model.QueryDraftsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryDraftsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryDraftsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryDraftsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryDraftsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryDraftsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryDraftsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryDraftsResponse","doc":"Schema representing a QueryDraftsResponse","ref":"ExStreamClient.Model.QueryDraftsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryDraftsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryDraftsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryDraftsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryDraftsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryDraftsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryDraftsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryFeedModerationTemplate","doc":"Schema representing a QueryFeedModerationTemplate","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html"},{"type":"function","title":"ExStreamClient.Model.QueryFeedModerationTemplate.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryFeedModerationTemplate.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryFeedModerationTemplate.t/0","doc":"","ref":"ExStreamClient.Model.QueryFeedModerationTemplate.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse","doc":"Schema representing a QueryFeedModerationTemplatesResponse","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryFeedModerationTemplatesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryMembersPayload","doc":"Schema representing a QueryMembersPayload","ref":"ExStreamClient.Model.QueryMembersPayload.html"},{"type":"function","title":"ExStreamClient.Model.QueryMembersPayload.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryMembersPayload.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryMembersPayload.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryMembersPayload.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryMembersPayload.t/0","doc":"","ref":"ExStreamClient.Model.QueryMembersPayload.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryMessageFlagsPayload","doc":"Schema representing a QueryMessageFlagsPayload","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html"},{"type":"function","title":"ExStreamClient.Model.QueryMessageFlagsPayload.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryMessageFlagsPayload.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryMessageFlagsPayload.t/0","doc":"","ref":"ExStreamClient.Model.QueryMessageFlagsPayload.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryMessageFlagsResponse","doc":"Schema representing a QueryMessageFlagsResponse","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryMessageFlagsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryMessageFlagsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryMessageFlagsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryMessageFlagsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryMessageHistoryRequest","doc":"Schema representing a QueryMessageHistoryRequest","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryMessageHistoryRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryMessageHistoryRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryMessageHistoryRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryMessageHistoryRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryMessageHistoryResponse","doc":"Schema representing a QueryMessageHistoryResponse","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryMessageHistoryResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryMessageHistoryResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryMessageHistoryResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryMessageHistoryResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryModerationConfigsRequest","doc":"Schema representing a QueryModerationConfigsRequest","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryModerationConfigsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryModerationConfigsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryModerationConfigsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryModerationConfigsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryModerationConfigsResponse","doc":"Schema representing a QueryModerationConfigsResponse","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryModerationConfigsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryModerationConfigsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryModerationConfigsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryModerationConfigsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryModerationFlagsRequest","doc":"Schema representing a QueryModerationFlagsRequest","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryModerationFlagsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryModerationFlagsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryModerationFlagsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryModerationFlagsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryModerationFlagsResponse","doc":"Schema representing a QueryModerationFlagsResponse","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryModerationFlagsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryModerationFlagsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryModerationFlagsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryModerationFlagsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryModerationLogsRequest","doc":"Schema representing a QueryModerationLogsRequest","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryModerationLogsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryModerationLogsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryModerationLogsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryModerationLogsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryModerationLogsResponse","doc":"Schema representing a QueryModerationLogsResponse","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryModerationLogsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryModerationLogsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryModerationLogsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryModerationLogsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryPollVotesRequest","doc":"Schema representing a QueryPollVotesRequest","ref":"ExStreamClient.Model.QueryPollVotesRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryPollVotesRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryPollVotesRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryPollVotesRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryPollVotesRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryPollVotesRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryPollVotesRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryPollsRequest","doc":"Schema representing a QueryPollsRequest","ref":"ExStreamClient.Model.QueryPollsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryPollsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryPollsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryPollsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryPollsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryPollsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryPollsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryPollsResponse","doc":"Schema representing a QueryPollsResponse","ref":"ExStreamClient.Model.QueryPollsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryPollsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryPollsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryPollsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryPollsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryPollsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryPollsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryReactionsRequest","doc":"Schema representing a QueryReactionsRequest","ref":"ExStreamClient.Model.QueryReactionsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryReactionsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryReactionsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryReactionsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryReactionsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryReactionsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryReactionsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryReactionsResponse","doc":"Schema representing a QueryReactionsResponse","ref":"ExStreamClient.Model.QueryReactionsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryReactionsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryReactionsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryReactionsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryReactionsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryReactionsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryReactionsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryReviewQueueRequest","doc":"Schema representing a QueryReviewQueueRequest","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryReviewQueueRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryReviewQueueRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryReviewQueueRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryReviewQueueRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryReviewQueueResponse","doc":"Schema representing a QueryReviewQueueResponse","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryReviewQueueResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryReviewQueueResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryReviewQueueResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryReviewQueueResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QuerySegmentTargetsRequest","doc":"Schema representing a QuerySegmentTargetsRequest","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentTargetsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentTargetsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QuerySegmentTargetsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentTargetsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QuerySegmentTargetsResponse","doc":"Schema representing a QuerySegmentTargetsResponse","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentTargetsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentTargetsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QuerySegmentTargetsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentTargetsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QuerySegmentsRequest","doc":"Schema representing a QuerySegmentsRequest","ref":"ExStreamClient.Model.QuerySegmentsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QuerySegmentsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QuerySegmentsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QuerySegmentsResponse","doc":"Schema representing a QuerySegmentsResponse","ref":"ExStreamClient.Model.QuerySegmentsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QuerySegmentsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QuerySegmentsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QuerySegmentsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QuerySegmentsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryThreadsRequest","doc":"Schema representing a QueryThreadsRequest","ref":"ExStreamClient.Model.QueryThreadsRequest.html"},{"type":"function","title":"ExStreamClient.Model.QueryThreadsRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryThreadsRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryThreadsRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryThreadsRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryThreadsRequest.t/0","doc":"","ref":"ExStreamClient.Model.QueryThreadsRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryThreadsResponse","doc":"Schema representing a QueryThreadsResponse","ref":"ExStreamClient.Model.QueryThreadsResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryThreadsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryThreadsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryThreadsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryThreadsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryThreadsResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryThreadsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryUsersPayload","doc":"Schema representing a QueryUsersPayload","ref":"ExStreamClient.Model.QueryUsersPayload.html"},{"type":"function","title":"ExStreamClient.Model.QueryUsersPayload.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryUsersPayload.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryUsersPayload.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryUsersPayload.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryUsersPayload.t/0","doc":"","ref":"ExStreamClient.Model.QueryUsersPayload.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.QueryUsersResponse","doc":"Schema representing a QueryUsersResponse","ref":"ExStreamClient.Model.QueryUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.QueryUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.QueryUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.QueryUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.QueryUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.QueryUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.QueryUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RTMPEgressConfig","doc":"Schema representing a RTMPEgressConfig","ref":"ExStreamClient.Model.RTMPEgressConfig.html"},{"type":"function","title":"ExStreamClient.Model.RTMPEgressConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RTMPEgressConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RTMPEgressConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.RTMPEgressConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RTMPEgressConfig.t/0","doc":"","ref":"ExStreamClient.Model.RTMPEgressConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RTMPIngress","doc":"Schema representing a RTMPIngress","ref":"ExStreamClient.Model.RTMPIngress.html"},{"type":"function","title":"ExStreamClient.Model.RTMPIngress.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RTMPIngress.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RTMPIngress.nested_components/0","doc":"","ref":"ExStreamClient.Model.RTMPIngress.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RTMPIngress.t/0","doc":"","ref":"ExStreamClient.Model.RTMPIngress.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RTMPLocation","doc":"Schema representing a RTMPLocation","ref":"ExStreamClient.Model.RTMPLocation.html"},{"type":"function","title":"ExStreamClient.Model.RTMPLocation.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RTMPLocation.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RTMPLocation.nested_components/0","doc":"","ref":"ExStreamClient.Model.RTMPLocation.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RTMPLocation.t/0","doc":"","ref":"ExStreamClient.Model.RTMPLocation.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RTMPSettings","doc":"Schema representing a RTMPSettings","ref":"ExStreamClient.Model.RTMPSettings.html"},{"type":"function","title":"ExStreamClient.Model.RTMPSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RTMPSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RTMPSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.RTMPSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RTMPSettings.t/0","doc":"","ref":"ExStreamClient.Model.RTMPSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RTMPSettingsResponse","doc":"Schema representing a RTMPSettingsResponse","ref":"ExStreamClient.Model.RTMPSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.RTMPSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RTMPSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RTMPSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.RTMPSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RTMPSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.RTMPSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Reaction","doc":"Schema representing a Reaction","ref":"ExStreamClient.Model.Reaction.html"},{"type":"function","title":"ExStreamClient.Model.Reaction.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Reaction.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Reaction.nested_components/0","doc":"","ref":"ExStreamClient.Model.Reaction.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Reaction.t/0","doc":"","ref":"ExStreamClient.Model.Reaction.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactionDeletedEvent","doc":"Schema representing a ReactionDeletedEvent","ref":"ExStreamClient.Model.ReactionDeletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ReactionDeletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactionDeletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactionDeletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactionDeletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactionDeletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ReactionDeletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactionGroupResponse","doc":"Schema representing a ReactionGroupResponse","ref":"ExStreamClient.Model.ReactionGroupResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReactionGroupResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactionGroupResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactionGroupResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactionGroupResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactionGroupResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReactionGroupResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactionNewEvent","doc":"Schema representing a ReactionNewEvent","ref":"ExStreamClient.Model.ReactionNewEvent.html"},{"type":"function","title":"ExStreamClient.Model.ReactionNewEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactionNewEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactionNewEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactionNewEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactionNewEvent.t/0","doc":"","ref":"ExStreamClient.Model.ReactionNewEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactionRequest","doc":"Schema representing a ReactionRequest","ref":"ExStreamClient.Model.ReactionRequest.html"},{"type":"function","title":"ExStreamClient.Model.ReactionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactionRequest.t/0","doc":"","ref":"ExStreamClient.Model.ReactionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactionResponse","doc":"Schema representing a ReactionResponse","ref":"ExStreamClient.Model.ReactionResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReactionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactionResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReactionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactionUpdatedEvent","doc":"Schema representing a ReactionUpdatedEvent","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ReactionUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactionUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactionUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ReactionUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactivateUserRequest","doc":"Schema representing a ReactivateUserRequest","ref":"ExStreamClient.Model.ReactivateUserRequest.html"},{"type":"function","title":"ExStreamClient.Model.ReactivateUserRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactivateUserRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactivateUserRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactivateUserRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactivateUserRequest.t/0","doc":"","ref":"ExStreamClient.Model.ReactivateUserRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactivateUserResponse","doc":"Schema representing a ReactivateUserResponse","ref":"ExStreamClient.Model.ReactivateUserResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReactivateUserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactivateUserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactivateUserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactivateUserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactivateUserResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReactivateUserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactivateUsersRequest","doc":"Schema representing a ReactivateUsersRequest","ref":"ExStreamClient.Model.ReactivateUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.ReactivateUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactivateUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactivateUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactivateUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactivateUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.ReactivateUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReactivateUsersResponse","doc":"Schema representing a ReactivateUsersResponse","ref":"ExStreamClient.Model.ReactivateUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReactivateUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReactivateUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReactivateUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReactivateUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReactivateUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReactivateUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReadReceipts","doc":"Schema representing a ReadReceipts","ref":"ExStreamClient.Model.ReadReceipts.html"},{"type":"function","title":"ExStreamClient.Model.ReadReceipts.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReadReceipts.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReadReceipts.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReadReceipts.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReadReceipts.t/0","doc":"","ref":"ExStreamClient.Model.ReadReceipts.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReadReceiptsResponse","doc":"Schema representing a ReadReceiptsResponse","ref":"ExStreamClient.Model.ReadReceiptsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReadReceiptsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReadReceiptsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReadReceiptsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReadReceiptsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReadReceiptsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReadReceiptsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReadStateResponse","doc":"Schema representing a ReadStateResponse","ref":"ExStreamClient.Model.ReadStateResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReadStateResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReadStateResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReadStateResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReadStateResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReadStateResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReadStateResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RecordSettings","doc":"Schema representing a RecordSettings","ref":"ExStreamClient.Model.RecordSettings.html"},{"type":"function","title":"ExStreamClient.Model.RecordSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RecordSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RecordSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.RecordSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RecordSettings.t/0","doc":"","ref":"ExStreamClient.Model.RecordSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RecordSettingsResponse","doc":"Schema representing a RecordSettingsResponse","ref":"ExStreamClient.Model.RecordSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.RecordSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RecordSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RecordSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.RecordSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RecordSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.RecordSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RecordingEgressConfig","doc":"Schema representing a RecordingEgressConfig","ref":"ExStreamClient.Model.RecordingEgressConfig.html"},{"type":"function","title":"ExStreamClient.Model.RecordingEgressConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RecordingEgressConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RecordingEgressConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.RecordingEgressConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RecordingEgressConfig.t/0","doc":"","ref":"ExStreamClient.Model.RecordingEgressConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Response","doc":"Schema representing a Response","ref":"ExStreamClient.Model.Response.html"},{"type":"function","title":"ExStreamClient.Model.Response.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Response.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Response.nested_components/0","doc":"","ref":"ExStreamClient.Model.Response.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Response.t/0","doc":"","ref":"ExStreamClient.Model.Response.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RestoreActionRequest","doc":"Schema representing a RestoreActionRequest","ref":"ExStreamClient.Model.RestoreActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.RestoreActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RestoreActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RestoreActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.RestoreActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RestoreActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.RestoreActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RestoreUsersRequest","doc":"Schema representing a RestoreUsersRequest","ref":"ExStreamClient.Model.RestoreUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.RestoreUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RestoreUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RestoreUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.RestoreUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RestoreUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.RestoreUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReviewQueueItem","doc":"Schema representing a ReviewQueueItem","ref":"ExStreamClient.Model.ReviewQueueItem.html"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItem.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReviewQueueItem.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItem.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItem.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReviewQueueItem.t/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItem.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReviewQueueItemNewEvent","doc":"Schema representing a ReviewQueueItemNewEvent","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItemNewEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItemNewEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReviewQueueItemNewEvent.t/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItemNewEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReviewQueueItemResponse","doc":"Schema representing a ReviewQueueItemResponse","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItemResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItemResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReviewQueueItemResponse.t/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItemResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent","doc":"Schema representing a ReviewQueueItemUpdatedEvent","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ReviewQueueItemUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RingSettings","doc":"Schema representing a RingSettings","ref":"ExStreamClient.Model.RingSettings.html"},{"type":"function","title":"ExStreamClient.Model.RingSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RingSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RingSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.RingSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RingSettings.t/0","doc":"","ref":"ExStreamClient.Model.RingSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RingSettingsResponse","doc":"Schema representing a RingSettingsResponse","ref":"ExStreamClient.Model.RingSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.RingSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RingSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RingSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.RingSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RingSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.RingSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Role","doc":"Schema representing a Role","ref":"ExStreamClient.Model.Role.html"},{"type":"function","title":"ExStreamClient.Model.Role.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Role.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Role.nested_components/0","doc":"","ref":"ExStreamClient.Model.Role.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Role.t/0","doc":"","ref":"ExStreamClient.Model.Role.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RuleBuilderAction","doc":"Schema representing a RuleBuilderAction","ref":"ExStreamClient.Model.RuleBuilderAction.html"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderAction.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RuleBuilderAction.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderAction.nested_components/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderAction.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RuleBuilderAction.t/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderAction.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RuleBuilderCondition","doc":"Schema representing a RuleBuilderCondition","ref":"ExStreamClient.Model.RuleBuilderCondition.html"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderCondition.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RuleBuilderCondition.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderCondition.nested_components/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderCondition.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RuleBuilderCondition.t/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderCondition.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RuleBuilderConfig","doc":"Schema representing a RuleBuilderConfig","ref":"ExStreamClient.Model.RuleBuilderConfig.html"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RuleBuilderConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RuleBuilderConfig.t/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.RuleBuilderRule","doc":"Schema representing a RuleBuilderRule","ref":"ExStreamClient.Model.RuleBuilderRule.html"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.RuleBuilderRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.RuleBuilderRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.RuleBuilderRule.t/0","doc":"","ref":"ExStreamClient.Model.RuleBuilderRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.S3Request","doc":"Schema representing a S3Request","ref":"ExStreamClient.Model.S3Request.html"},{"type":"function","title":"ExStreamClient.Model.S3Request.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.S3Request.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.S3Request.nested_components/0","doc":"","ref":"ExStreamClient.Model.S3Request.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.S3Request.t/0","doc":"","ref":"ExStreamClient.Model.S3Request.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SFUIDLastSeen","doc":"Schema representing a SFUIDLastSeen","ref":"ExStreamClient.Model.SFUIDLastSeen.html"},{"type":"function","title":"ExStreamClient.Model.SFUIDLastSeen.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SFUIDLastSeen.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SFUIDLastSeen.nested_components/0","doc":"","ref":"ExStreamClient.Model.SFUIDLastSeen.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SFUIDLastSeen.t/0","doc":"","ref":"ExStreamClient.Model.SFUIDLastSeen.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.STTEgressConfig","doc":"Schema representing a STTEgressConfig","ref":"ExStreamClient.Model.STTEgressConfig.html"},{"type":"function","title":"ExStreamClient.Model.STTEgressConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.STTEgressConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.STTEgressConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.STTEgressConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.STTEgressConfig.t/0","doc":"","ref":"ExStreamClient.Model.STTEgressConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ScreensharingSettings","doc":"Schema representing a ScreensharingSettings","ref":"ExStreamClient.Model.ScreensharingSettings.html"},{"type":"function","title":"ExStreamClient.Model.ScreensharingSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ScreensharingSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ScreensharingSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.ScreensharingSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ScreensharingSettings.t/0","doc":"","ref":"ExStreamClient.Model.ScreensharingSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ScreensharingSettingsResponse","doc":"Schema representing a ScreensharingSettingsResponse","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ScreensharingSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ScreensharingSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ScreensharingSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ScreensharingSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SearchPayload","doc":"Schema representing a SearchPayload","ref":"ExStreamClient.Model.SearchPayload.html"},{"type":"function","title":"ExStreamClient.Model.SearchPayload.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SearchPayload.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SearchPayload.nested_components/0","doc":"","ref":"ExStreamClient.Model.SearchPayload.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SearchPayload.t/0","doc":"","ref":"ExStreamClient.Model.SearchPayload.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SearchResponse","doc":"Schema representing a SearchResponse","ref":"ExStreamClient.Model.SearchResponse.html"},{"type":"function","title":"ExStreamClient.Model.SearchResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SearchResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SearchResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SearchResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SearchResponse.t/0","doc":"","ref":"ExStreamClient.Model.SearchResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SearchResult","doc":"Schema representing a SearchResult","ref":"ExStreamClient.Model.SearchResult.html"},{"type":"function","title":"ExStreamClient.Model.SearchResult.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SearchResult.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SearchResult.nested_components/0","doc":"","ref":"ExStreamClient.Model.SearchResult.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SearchResult.t/0","doc":"","ref":"ExStreamClient.Model.SearchResult.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SearchResultMessage","doc":"Schema representing a SearchResultMessage","ref":"ExStreamClient.Model.SearchResultMessage.html"},{"type":"function","title":"ExStreamClient.Model.SearchResultMessage.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SearchResultMessage.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SearchResultMessage.nested_components/0","doc":"","ref":"ExStreamClient.Model.SearchResultMessage.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SearchResultMessage.t/0","doc":"","ref":"ExStreamClient.Model.SearchResultMessage.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SearchWarning","doc":"Schema representing a SearchWarning","ref":"ExStreamClient.Model.SearchWarning.html"},{"type":"function","title":"ExStreamClient.Model.SearchWarning.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SearchWarning.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SearchWarning.nested_components/0","doc":"","ref":"ExStreamClient.Model.SearchWarning.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SearchWarning.t/0","doc":"","ref":"ExStreamClient.Model.SearchWarning.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Segment","doc":"Schema representing a Segment","ref":"ExStreamClient.Model.Segment.html"},{"type":"function","title":"ExStreamClient.Model.Segment.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Segment.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Segment.nested_components/0","doc":"","ref":"ExStreamClient.Model.Segment.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Segment.t/0","doc":"","ref":"ExStreamClient.Model.Segment.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SegmentResponse","doc":"Schema representing a SegmentResponse","ref":"ExStreamClient.Model.SegmentResponse.html"},{"type":"function","title":"ExStreamClient.Model.SegmentResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SegmentResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SegmentResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SegmentResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SegmentResponse.t/0","doc":"","ref":"ExStreamClient.Model.SegmentResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SegmentTargetResponse","doc":"Schema representing a SegmentTargetResponse","ref":"ExStreamClient.Model.SegmentTargetResponse.html"},{"type":"function","title":"ExStreamClient.Model.SegmentTargetResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SegmentTargetResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SegmentTargetResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SegmentTargetResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SegmentTargetResponse.t/0","doc":"","ref":"ExStreamClient.Model.SegmentTargetResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SendEventRequest","doc":"Schema representing a SendEventRequest","ref":"ExStreamClient.Model.SendEventRequest.html"},{"type":"function","title":"ExStreamClient.Model.SendEventRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SendEventRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SendEventRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.SendEventRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SendEventRequest.t/0","doc":"","ref":"ExStreamClient.Model.SendEventRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SendMessageRequest","doc":"Schema representing a SendMessageRequest","ref":"ExStreamClient.Model.SendMessageRequest.html"},{"type":"function","title":"ExStreamClient.Model.SendMessageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SendMessageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SendMessageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.SendMessageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SendMessageRequest.t/0","doc":"","ref":"ExStreamClient.Model.SendMessageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SendMessageResponse","doc":"Schema representing a SendMessageResponse","ref":"ExStreamClient.Model.SendMessageResponse.html"},{"type":"function","title":"ExStreamClient.Model.SendMessageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SendMessageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SendMessageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SendMessageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SendMessageResponse.t/0","doc":"","ref":"ExStreamClient.Model.SendMessageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SendReactionRequest","doc":"Schema representing a SendReactionRequest","ref":"ExStreamClient.Model.SendReactionRequest.html"},{"type":"function","title":"ExStreamClient.Model.SendReactionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SendReactionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SendReactionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.SendReactionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SendReactionRequest.t/0","doc":"","ref":"ExStreamClient.Model.SendReactionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SendReactionResponse","doc":"Schema representing a SendReactionResponse","ref":"ExStreamClient.Model.SendReactionResponse.html"},{"type":"function","title":"ExStreamClient.Model.SendReactionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SendReactionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SendReactionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SendReactionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SendReactionResponse.t/0","doc":"","ref":"ExStreamClient.Model.SendReactionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SendUserCustomEventRequest","doc":"Schema representing a SendUserCustomEventRequest","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html"},{"type":"function","title":"ExStreamClient.Model.SendUserCustomEventRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SendUserCustomEventRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SendUserCustomEventRequest.t/0","doc":"","ref":"ExStreamClient.Model.SendUserCustomEventRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SessionSettings","doc":"Schema representing a SessionSettings","ref":"ExStreamClient.Model.SessionSettings.html"},{"type":"function","title":"ExStreamClient.Model.SessionSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SessionSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SessionSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.SessionSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SessionSettings.t/0","doc":"","ref":"ExStreamClient.Model.SessionSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SessionSettingsResponse","doc":"Schema representing a SessionSettingsResponse","ref":"ExStreamClient.Model.SessionSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.SessionSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SessionSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SessionSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SessionSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SessionSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.SessionSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ShadowBlockActionRequest","doc":"Schema representing a ShadowBlockActionRequest","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.ShadowBlockActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ShadowBlockActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ShadowBlockActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.ShadowBlockActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ShowChannelRequest","doc":"Schema representing a ShowChannelRequest","ref":"ExStreamClient.Model.ShowChannelRequest.html"},{"type":"function","title":"ExStreamClient.Model.ShowChannelRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ShowChannelRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ShowChannelRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.ShowChannelRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ShowChannelRequest.t/0","doc":"","ref":"ExStreamClient.Model.ShowChannelRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ShowChannelResponse","doc":"Schema representing a ShowChannelResponse","ref":"ExStreamClient.Model.ShowChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.ShowChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ShowChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ShowChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ShowChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ShowChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.ShowChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SortParam","doc":"Schema representing a SortParam","ref":"ExStreamClient.Model.SortParam.html"},{"type":"function","title":"ExStreamClient.Model.SortParam.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SortParam.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SortParam.nested_components/0","doc":"","ref":"ExStreamClient.Model.SortParam.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SortParam.t/0","doc":"","ref":"ExStreamClient.Model.SortParam.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SortParamRequest","doc":"Schema representing a SortParamRequest","ref":"ExStreamClient.Model.SortParamRequest.html"},{"type":"function","title":"ExStreamClient.Model.SortParamRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SortParamRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SortParamRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.SortParamRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SortParamRequest.t/0","doc":"","ref":"ExStreamClient.Model.SortParamRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.StartCampaignRequest","doc":"Schema representing a StartCampaignRequest","ref":"ExStreamClient.Model.StartCampaignRequest.html"},{"type":"function","title":"ExStreamClient.Model.StartCampaignRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.StartCampaignRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.StartCampaignRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.StartCampaignRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.StartCampaignRequest.t/0","doc":"","ref":"ExStreamClient.Model.StartCampaignRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.StartCampaignResponse","doc":"Schema representing a StartCampaignResponse","ref":"ExStreamClient.Model.StartCampaignResponse.html"},{"type":"function","title":"ExStreamClient.Model.StartCampaignResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.StartCampaignResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.StartCampaignResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.StartCampaignResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.StartCampaignResponse.t/0","doc":"","ref":"ExStreamClient.Model.StartCampaignResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.StopCampaignRequest","doc":"Schema representing a StopCampaignRequest","ref":"ExStreamClient.Model.StopCampaignRequest.html"},{"type":"function","title":"ExStreamClient.Model.StopCampaignRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.StopCampaignRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.StopCampaignRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.StopCampaignRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.StopCampaignRequest.t/0","doc":"","ref":"ExStreamClient.Model.StopCampaignRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SubmitActionRequest","doc":"Schema representing a SubmitActionRequest","ref":"ExStreamClient.Model.SubmitActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.SubmitActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SubmitActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SubmitActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.SubmitActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SubmitActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.SubmitActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.SubmitActionResponse","doc":"Schema representing a SubmitActionResponse","ref":"ExStreamClient.Model.SubmitActionResponse.html"},{"type":"function","title":"ExStreamClient.Model.SubmitActionResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.SubmitActionResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.SubmitActionResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.SubmitActionResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.SubmitActionResponse.t/0","doc":"","ref":"ExStreamClient.Model.SubmitActionResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TargetResolution","doc":"Schema representing a TargetResolution","ref":"ExStreamClient.Model.TargetResolution.html"},{"type":"function","title":"ExStreamClient.Model.TargetResolution.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TargetResolution.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TargetResolution.nested_components/0","doc":"","ref":"ExStreamClient.Model.TargetResolution.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TargetResolution.t/0","doc":"","ref":"ExStreamClient.Model.TargetResolution.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThreadParticipant","doc":"Schema representing a ThreadParticipant","ref":"ExStreamClient.Model.ThreadParticipant.html"},{"type":"function","title":"ExStreamClient.Model.ThreadParticipant.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThreadParticipant.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThreadParticipant.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThreadParticipant.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThreadParticipant.t/0","doc":"","ref":"ExStreamClient.Model.ThreadParticipant.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThreadResponse","doc":"Schema representing a ThreadResponse","ref":"ExStreamClient.Model.ThreadResponse.html"},{"type":"function","title":"ExStreamClient.Model.ThreadResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThreadResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThreadResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThreadResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThreadResponse.t/0","doc":"","ref":"ExStreamClient.Model.ThreadResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThreadStateResponse","doc":"Schema representing a ThreadStateResponse","ref":"ExStreamClient.Model.ThreadStateResponse.html"},{"type":"function","title":"ExStreamClient.Model.ThreadStateResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThreadStateResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThreadStateResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThreadStateResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThreadStateResponse.t/0","doc":"","ref":"ExStreamClient.Model.ThreadStateResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThreadUpdatedEvent","doc":"Schema representing a ThreadUpdatedEvent","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.ThreadUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThreadUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThreadUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.ThreadUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Thresholds","doc":"Schema representing a Thresholds","ref":"ExStreamClient.Model.Thresholds.html"},{"type":"function","title":"ExStreamClient.Model.Thresholds.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Thresholds.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Thresholds.nested_components/0","doc":"","ref":"ExStreamClient.Model.Thresholds.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Thresholds.t/0","doc":"","ref":"ExStreamClient.Model.Thresholds.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThumbnailResponse","doc":"Schema representing a ThumbnailResponse","ref":"ExStreamClient.Model.ThumbnailResponse.html"},{"type":"function","title":"ExStreamClient.Model.ThumbnailResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThumbnailResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThumbnailResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThumbnailResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThumbnailResponse.t/0","doc":"","ref":"ExStreamClient.Model.ThumbnailResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThumbnailsSettings","doc":"Schema representing a ThumbnailsSettings","ref":"ExStreamClient.Model.ThumbnailsSettings.html"},{"type":"function","title":"ExStreamClient.Model.ThumbnailsSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThumbnailsSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThumbnailsSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThumbnailsSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThumbnailsSettings.t/0","doc":"","ref":"ExStreamClient.Model.ThumbnailsSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.ThumbnailsSettingsResponse","doc":"Schema representing a ThumbnailsSettingsResponse","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.ThumbnailsSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.ThumbnailsSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.ThumbnailsSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.ThumbnailsSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.Time","doc":"Schema representing a Time","ref":"ExStreamClient.Model.Time.html"},{"type":"function","title":"ExStreamClient.Model.Time.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.Time.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.Time.nested_components/0","doc":"","ref":"ExStreamClient.Model.Time.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.Time.t/0","doc":"","ref":"ExStreamClient.Model.Time.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TranscriptionSettings","doc":"Schema representing a TranscriptionSettings","ref":"ExStreamClient.Model.TranscriptionSettings.html"},{"type":"function","title":"ExStreamClient.Model.TranscriptionSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TranscriptionSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TranscriptionSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.TranscriptionSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TranscriptionSettings.t/0","doc":"","ref":"ExStreamClient.Model.TranscriptionSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TranscriptionSettingsResponse","doc":"Schema representing a TranscriptionSettingsResponse","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.TranscriptionSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TranscriptionSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TranscriptionSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.TranscriptionSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TranslateMessageRequest","doc":"Schema representing a TranslateMessageRequest","ref":"ExStreamClient.Model.TranslateMessageRequest.html"},{"type":"function","title":"ExStreamClient.Model.TranslateMessageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TranslateMessageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TranslateMessageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.TranslateMessageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TranslateMessageRequest.t/0","doc":"","ref":"ExStreamClient.Model.TranslateMessageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TruncateChannelRequest","doc":"Schema representing a TruncateChannelRequest","ref":"ExStreamClient.Model.TruncateChannelRequest.html"},{"type":"function","title":"ExStreamClient.Model.TruncateChannelRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TruncateChannelRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TruncateChannelRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.TruncateChannelRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TruncateChannelRequest.t/0","doc":"","ref":"ExStreamClient.Model.TruncateChannelRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TruncateChannelResponse","doc":"Schema representing a TruncateChannelResponse","ref":"ExStreamClient.Model.TruncateChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.TruncateChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TruncateChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TruncateChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.TruncateChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TruncateChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.TruncateChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TypingIndicators","doc":"Schema representing a TypingIndicators","ref":"ExStreamClient.Model.TypingIndicators.html"},{"type":"function","title":"ExStreamClient.Model.TypingIndicators.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TypingIndicators.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TypingIndicators.nested_components/0","doc":"","ref":"ExStreamClient.Model.TypingIndicators.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TypingIndicators.t/0","doc":"","ref":"ExStreamClient.Model.TypingIndicators.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.TypingIndicatorsResponse","doc":"Schema representing a TypingIndicatorsResponse","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html"},{"type":"function","title":"ExStreamClient.Model.TypingIndicatorsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.TypingIndicatorsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.TypingIndicatorsResponse.t/0","doc":"","ref":"ExStreamClient.Model.TypingIndicatorsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnbanActionRequest","doc":"Schema representing a UnbanActionRequest","ref":"ExStreamClient.Model.UnbanActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnbanActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnbanActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnbanActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnbanActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnbanActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnbanActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnbanRequest","doc":"Schema representing a UnbanRequest","ref":"ExStreamClient.Model.UnbanRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnbanRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnbanRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnbanRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnbanRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnbanRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnbanRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnbanResponse","doc":"Schema representing a UnbanResponse","ref":"ExStreamClient.Model.UnbanResponse.html"},{"type":"function","title":"ExStreamClient.Model.UnbanResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnbanResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnbanResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnbanResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnbanResponse.t/0","doc":"","ref":"ExStreamClient.Model.UnbanResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnblockActionRequest","doc":"Schema representing a UnblockActionRequest","ref":"ExStreamClient.Model.UnblockActionRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnblockActionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnblockActionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnblockActionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnblockActionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnblockActionRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnblockActionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnblockUsersRequest","doc":"Schema representing a UnblockUsersRequest","ref":"ExStreamClient.Model.UnblockUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnblockUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnblockUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnblockUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnblockUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnblockUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnblockUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnblockUsersResponse","doc":"Schema representing a UnblockUsersResponse","ref":"ExStreamClient.Model.UnblockUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.UnblockUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnblockUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnblockUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnblockUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnblockUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.UnblockUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnmuteChannelRequest","doc":"Schema representing a UnmuteChannelRequest","ref":"ExStreamClient.Model.UnmuteChannelRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnmuteChannelRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnmuteChannelRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnmuteChannelRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnmuteChannelRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnmuteChannelRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnmuteChannelRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnmuteRequest","doc":"Schema representing a UnmuteRequest","ref":"ExStreamClient.Model.UnmuteRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnmuteRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnmuteRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnmuteRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnmuteRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnmuteRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnmuteRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnmuteResponse","doc":"Schema representing a UnmuteResponse","ref":"ExStreamClient.Model.UnmuteResponse.html"},{"type":"function","title":"ExStreamClient.Model.UnmuteResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnmuteResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnmuteResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnmuteResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnmuteResponse.t/0","doc":"","ref":"ExStreamClient.Model.UnmuteResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnreadCountsBatchRequest","doc":"Schema representing a UnreadCountsBatchRequest","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsBatchRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsBatchRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnreadCountsBatchRequest.t/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsBatchRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnreadCountsBatchResponse","doc":"Schema representing a UnreadCountsBatchResponse","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsBatchResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsBatchResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnreadCountsBatchResponse.t/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsBatchResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnreadCountsChannel","doc":"Schema representing a UnreadCountsChannel","ref":"ExStreamClient.Model.UnreadCountsChannel.html"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsChannel.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnreadCountsChannel.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsChannel.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsChannel.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnreadCountsChannel.t/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsChannel.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnreadCountsChannelType","doc":"Schema representing a UnreadCountsChannelType","ref":"ExStreamClient.Model.UnreadCountsChannelType.html"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsChannelType.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnreadCountsChannelType.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsChannelType.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsChannelType.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnreadCountsChannelType.t/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsChannelType.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnreadCountsResponse","doc":"Schema representing a UnreadCountsResponse","ref":"ExStreamClient.Model.UnreadCountsResponse.html"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnreadCountsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnreadCountsResponse.t/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UnreadCountsThread","doc":"Schema representing a UnreadCountsThread","ref":"ExStreamClient.Model.UnreadCountsThread.html"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsThread.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UnreadCountsThread.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UnreadCountsThread.nested_components/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsThread.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UnreadCountsThread.t/0","doc":"","ref":"ExStreamClient.Model.UnreadCountsThread.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateAppRequest","doc":"Schema representing a UpdateAppRequest","ref":"ExStreamClient.Model.UpdateAppRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateAppRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateAppRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateAppRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateAppRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateAppRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateAppRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateBlockListRequest","doc":"Schema representing a UpdateBlockListRequest","ref":"ExStreamClient.Model.UpdateBlockListRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateBlockListRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateBlockListRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateBlockListRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateBlockListRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateBlockListRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateBlockListRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateBlockListResponse","doc":"Schema representing a UpdateBlockListResponse","ref":"ExStreamClient.Model.UpdateBlockListResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateBlockListResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateBlockListResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateBlockListResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateBlockListResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateBlockListResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateBlockListResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateChannelPartialRequest","doc":"Schema representing a UpdateChannelPartialRequest","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelPartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelPartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateChannelPartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelPartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateChannelPartialResponse","doc":"Schema representing a UpdateChannelPartialResponse","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelPartialResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelPartialResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateChannelPartialResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelPartialResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateChannelRequest","doc":"Schema representing a UpdateChannelRequest","ref":"ExStreamClient.Model.UpdateChannelRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateChannelRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateChannelRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateChannelResponse","doc":"Schema representing a UpdateChannelResponse","ref":"ExStreamClient.Model.UpdateChannelResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateChannelResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateChannelResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateChannelTypeRequest","doc":"Schema representing a UpdateChannelTypeRequest","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelTypeRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelTypeRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateChannelTypeRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelTypeRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateChannelTypeResponse","doc":"Schema representing a UpdateChannelTypeResponse","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelTypeResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateChannelTypeResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateChannelTypeResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateChannelTypeResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateCommandRequest","doc":"Schema representing a UpdateCommandRequest","ref":"ExStreamClient.Model.UpdateCommandRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateCommandRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateCommandRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateCommandRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateCommandRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateCommandRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateCommandRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateCommandResponse","doc":"Schema representing a UpdateCommandResponse","ref":"ExStreamClient.Model.UpdateCommandResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateCommandResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateCommandResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateCommandResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateCommandResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateCommandResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateCommandResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateExternalStorageRequest","doc":"Schema representing a UpdateExternalStorageRequest","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateExternalStorageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateExternalStorageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateExternalStorageRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateExternalStorageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateExternalStorageResponse","doc":"Schema representing a UpdateExternalStorageResponse","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateExternalStorageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateExternalStorageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateExternalStorageResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateExternalStorageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateMemberPartialRequest","doc":"Schema representing a UpdateMemberPartialRequest","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateMemberPartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateMemberPartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateMemberPartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateMemberPartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateMemberPartialResponse","doc":"Schema representing a UpdateMemberPartialResponse","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateMemberPartialResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateMemberPartialResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateMemberPartialResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateMemberPartialResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateMessagePartialRequest","doc":"Schema representing a UpdateMessagePartialRequest","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateMessagePartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateMessagePartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateMessagePartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateMessagePartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateMessagePartialResponse","doc":"Schema representing a UpdateMessagePartialResponse","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateMessagePartialResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateMessagePartialResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateMessagePartialResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateMessagePartialResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateMessageRequest","doc":"Schema representing a UpdateMessageRequest","ref":"ExStreamClient.Model.UpdateMessageRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateMessageRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateMessageRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateMessageRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateMessageRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateMessageRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateMessageRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateMessageResponse","doc":"Schema representing a UpdateMessageResponse","ref":"ExStreamClient.Model.UpdateMessageResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateMessageResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateMessageResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateMessageResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateMessageResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateMessageResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateMessageResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdatePollOptionRequest","doc":"Schema representing a UpdatePollOptionRequest","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdatePollOptionRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdatePollOptionRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdatePollOptionRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdatePollOptionRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdatePollPartialRequest","doc":"Schema representing a UpdatePollPartialRequest","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdatePollPartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdatePollPartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdatePollPartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdatePollPartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdatePollRequest","doc":"Schema representing a UpdatePollRequest","ref":"ExStreamClient.Model.UpdatePollRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdatePollRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdatePollRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdatePollRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdatePollRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdatePollRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdatePollRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateThreadPartialRequest","doc":"Schema representing a UpdateThreadPartialRequest","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateThreadPartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateThreadPartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateThreadPartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateThreadPartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateThreadPartialResponse","doc":"Schema representing a UpdateThreadPartialResponse","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateThreadPartialResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateThreadPartialResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateThreadPartialResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateThreadPartialResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateUserPartialRequest","doc":"Schema representing a UpdateUserPartialRequest","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateUserPartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateUserPartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateUserPartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateUserPartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateUsersPartialRequest","doc":"Schema representing a UpdateUsersPartialRequest","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateUsersPartialRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateUsersPartialRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateUsersPartialRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateUsersPartialRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateUsersRequest","doc":"Schema representing a UpdateUsersRequest","ref":"ExStreamClient.Model.UpdateUsersRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpdateUsersRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateUsersRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateUsersRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateUsersRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateUsersRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpdateUsersRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpdateUsersResponse","doc":"Schema representing a UpdateUsersResponse","ref":"ExStreamClient.Model.UpdateUsersResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpdateUsersResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpdateUsersResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpdateUsersResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpdateUsersResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpdateUsersResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpdateUsersResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertConfigRequest","doc":"Schema representing a UpsertConfigRequest","ref":"ExStreamClient.Model.UpsertConfigRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpsertConfigRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertConfigRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertConfigRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertConfigRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertConfigRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpsertConfigRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertConfigResponse","doc":"Schema representing a UpsertConfigResponse","ref":"ExStreamClient.Model.UpsertConfigResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpsertConfigResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertConfigResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertConfigResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertConfigResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertConfigResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpsertConfigResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertModerationTemplateRequest","doc":"Schema representing a UpsertModerationTemplateRequest","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpsertModerationTemplateRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertModerationTemplateRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertModerationTemplateRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpsertModerationTemplateRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertModerationTemplateResponse","doc":"Schema representing a UpsertModerationTemplateResponse","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpsertModerationTemplateResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertModerationTemplateResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertModerationTemplateResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpsertModerationTemplateResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertPushPreferencesRequest","doc":"Schema representing a UpsertPushPreferencesRequest","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpsertPushPreferencesRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertPushPreferencesRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertPushPreferencesRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpsertPushPreferencesRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertPushPreferencesResponse","doc":"Schema representing a UpsertPushPreferencesResponse","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpsertPushPreferencesResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertPushPreferencesResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertPushPreferencesResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpsertPushPreferencesResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertPushProviderRequest","doc":"Schema representing a UpsertPushProviderRequest","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpsertPushProviderRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertPushProviderRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertPushProviderRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpsertPushProviderRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertPushProviderResponse","doc":"Schema representing a UpsertPushProviderResponse","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpsertPushProviderResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertPushProviderResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertPushProviderResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpsertPushProviderResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertPushTemplateRequest","doc":"Schema representing a UpsertPushTemplateRequest","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html"},{"type":"function","title":"ExStreamClient.Model.UpsertPushTemplateRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertPushTemplateRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertPushTemplateRequest.t/0","doc":"","ref":"ExStreamClient.Model.UpsertPushTemplateRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UpsertPushTemplateResponse","doc":"Schema representing a UpsertPushTemplateResponse","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html"},{"type":"function","title":"ExStreamClient.Model.UpsertPushTemplateResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UpsertPushTemplateResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UpsertPushTemplateResponse.t/0","doc":"","ref":"ExStreamClient.Model.UpsertPushTemplateResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.User","doc":"Schema representing a User","ref":"ExStreamClient.Model.User.html"},{"type":"function","title":"ExStreamClient.Model.User.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.User.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.User.nested_components/0","doc":"","ref":"ExStreamClient.Model.User.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.User.t/0","doc":"","ref":"ExStreamClient.Model.User.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserBannedEvent","doc":"Schema representing a UserBannedEvent","ref":"ExStreamClient.Model.UserBannedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserBannedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserBannedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserBannedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserBannedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserBannedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserBannedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserCustomEventRequest","doc":"Schema representing a UserCustomEventRequest","ref":"ExStreamClient.Model.UserCustomEventRequest.html"},{"type":"function","title":"ExStreamClient.Model.UserCustomEventRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserCustomEventRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserCustomEventRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserCustomEventRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserCustomEventRequest.t/0","doc":"","ref":"ExStreamClient.Model.UserCustomEventRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserDeactivatedEvent","doc":"Schema representing a UserDeactivatedEvent","ref":"ExStreamClient.Model.UserDeactivatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserDeactivatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserDeactivatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserDeactivatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserDeactivatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserDeactivatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserDeactivatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserDeletedEvent","doc":"Schema representing a UserDeletedEvent","ref":"ExStreamClient.Model.UserDeletedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserDeletedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserDeletedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserDeletedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserDeletedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserDeletedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserDeletedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserFlaggedEvent","doc":"Schema representing a UserFlaggedEvent","ref":"ExStreamClient.Model.UserFlaggedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserFlaggedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserFlaggedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserFlaggedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserFlaggedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserFlaggedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserFlaggedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserMute","doc":"Schema representing a UserMute","ref":"ExStreamClient.Model.UserMute.html"},{"type":"function","title":"ExStreamClient.Model.UserMute.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserMute.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserMute.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserMute.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserMute.t/0","doc":"","ref":"ExStreamClient.Model.UserMute.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserMuteResponse","doc":"Schema representing a UserMuteResponse","ref":"ExStreamClient.Model.UserMuteResponse.html"},{"type":"function","title":"ExStreamClient.Model.UserMuteResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserMuteResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserMuteResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserMuteResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserMuteResponse.t/0","doc":"","ref":"ExStreamClient.Model.UserMuteResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserMutedEvent","doc":"Schema representing a UserMutedEvent","ref":"ExStreamClient.Model.UserMutedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserMutedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserMutedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserMutedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserMutedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserMutedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserMutedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserReactivatedEvent","doc":"Schema representing a UserReactivatedEvent","ref":"ExStreamClient.Model.UserReactivatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserReactivatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserReactivatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserReactivatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserReactivatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserReactivatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserReactivatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserRequest","doc":"Schema representing a UserRequest","ref":"ExStreamClient.Model.UserRequest.html"},{"type":"function","title":"ExStreamClient.Model.UserRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserRequest.t/0","doc":"","ref":"ExStreamClient.Model.UserRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserResponse","doc":"Schema representing a UserResponse","ref":"ExStreamClient.Model.UserResponse.html"},{"type":"function","title":"ExStreamClient.Model.UserResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserResponse.t/0","doc":"","ref":"ExStreamClient.Model.UserResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserResponseCommonFields","doc":"Schema representing a UserResponseCommonFields","ref":"ExStreamClient.Model.UserResponseCommonFields.html"},{"type":"function","title":"ExStreamClient.Model.UserResponseCommonFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserResponseCommonFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserResponseCommonFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserResponseCommonFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserResponseCommonFields.t/0","doc":"","ref":"ExStreamClient.Model.UserResponseCommonFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserResponsePrivacyFields","doc":"Schema representing a UserResponsePrivacyFields","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html"},{"type":"function","title":"ExStreamClient.Model.UserResponsePrivacyFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserResponsePrivacyFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserResponsePrivacyFields.t/0","doc":"","ref":"ExStreamClient.Model.UserResponsePrivacyFields.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserUnbannedEvent","doc":"Schema representing a UserUnbannedEvent","ref":"ExStreamClient.Model.UserUnbannedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserUnbannedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserUnbannedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserUnbannedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserUnbannedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserUnbannedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserUnbannedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserUnmutedEvent","doc":"Schema representing a UserUnmutedEvent","ref":"ExStreamClient.Model.UserUnmutedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserUnmutedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserUnmutedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserUnmutedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserUnmutedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserUnmutedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserUnmutedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserUnreadReminderEvent","doc":"Schema representing a UserUnreadReminderEvent","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserUnreadReminderEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserUnreadReminderEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserUnreadReminderEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserUnreadReminderEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.UserUpdatedEvent","doc":"Schema representing a UserUpdatedEvent","ref":"ExStreamClient.Model.UserUpdatedEvent.html"},{"type":"function","title":"ExStreamClient.Model.UserUpdatedEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.UserUpdatedEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.UserUpdatedEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.UserUpdatedEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.UserUpdatedEvent.t/0","doc":"","ref":"ExStreamClient.Model.UserUpdatedEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VelocityFilterConfig","doc":"Schema representing a VelocityFilterConfig","ref":"ExStreamClient.Model.VelocityFilterConfig.html"},{"type":"function","title":"ExStreamClient.Model.VelocityFilterConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VelocityFilterConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VelocityFilterConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.VelocityFilterConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VelocityFilterConfig.t/0","doc":"","ref":"ExStreamClient.Model.VelocityFilterConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VelocityFilterConfigRule","doc":"Schema representing a VelocityFilterConfigRule","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html"},{"type":"function","title":"ExStreamClient.Model.VelocityFilterConfigRule.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VelocityFilterConfigRule.nested_components/0","doc":"","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VelocityFilterConfigRule.t/0","doc":"","ref":"ExStreamClient.Model.VelocityFilterConfigRule.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VideoEndCallRequest","doc":"Schema representing a VideoEndCallRequest","ref":"ExStreamClient.Model.VideoEndCallRequest.html"},{"type":"function","title":"ExStreamClient.Model.VideoEndCallRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VideoEndCallRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VideoEndCallRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.VideoEndCallRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VideoEndCallRequest.t/0","doc":"","ref":"ExStreamClient.Model.VideoEndCallRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VideoKickUserRequest","doc":"Schema representing a VideoKickUserRequest","ref":"ExStreamClient.Model.VideoKickUserRequest.html"},{"type":"function","title":"ExStreamClient.Model.VideoKickUserRequest.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VideoKickUserRequest.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VideoKickUserRequest.nested_components/0","doc":"","ref":"ExStreamClient.Model.VideoKickUserRequest.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VideoKickUserRequest.t/0","doc":"","ref":"ExStreamClient.Model.VideoKickUserRequest.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VideoOrientation","doc":"Schema representing a VideoOrientation","ref":"ExStreamClient.Model.VideoOrientation.html"},{"type":"function","title":"ExStreamClient.Model.VideoOrientation.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VideoOrientation.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VideoOrientation.nested_components/0","doc":"","ref":"ExStreamClient.Model.VideoOrientation.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VideoOrientation.t/0","doc":"","ref":"ExStreamClient.Model.VideoOrientation.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VideoSettings","doc":"Schema representing a VideoSettings","ref":"ExStreamClient.Model.VideoSettings.html"},{"type":"function","title":"ExStreamClient.Model.VideoSettings.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VideoSettings.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VideoSettings.nested_components/0","doc":"","ref":"ExStreamClient.Model.VideoSettings.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VideoSettings.t/0","doc":"","ref":"ExStreamClient.Model.VideoSettings.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VideoSettingsResponse","doc":"Schema representing a VideoSettingsResponse","ref":"ExStreamClient.Model.VideoSettingsResponse.html"},{"type":"function","title":"ExStreamClient.Model.VideoSettingsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VideoSettingsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VideoSettingsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.VideoSettingsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VideoSettingsResponse.t/0","doc":"","ref":"ExStreamClient.Model.VideoSettingsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.VoteData","doc":"Schema representing a VoteData","ref":"ExStreamClient.Model.VoteData.html"},{"type":"function","title":"ExStreamClient.Model.VoteData.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.VoteData.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.VoteData.nested_components/0","doc":"","ref":"ExStreamClient.Model.VoteData.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.VoteData.t/0","doc":"","ref":"ExStreamClient.Model.VoteData.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.WSEvent","doc":"Schema representing a WSEvent","ref":"ExStreamClient.Model.WSEvent.html"},{"type":"function","title":"ExStreamClient.Model.WSEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.WSEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.WSEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.WSEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.WSEvent.t/0","doc":"","ref":"ExStreamClient.Model.WSEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.WebhookEvent","doc":"Schema representing a WebhookEvent","ref":"ExStreamClient.Model.WebhookEvent.html"},{"type":"function","title":"ExStreamClient.Model.WebhookEvent.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.WebhookEvent.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.WebhookEvent.nested_components/0","doc":"","ref":"ExStreamClient.Model.WebhookEvent.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.WebhookEvent.t/0","doc":"","ref":"ExStreamClient.Model.WebhookEvent.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.WrappedUnreadCountsResponse","doc":"Schema representing a WrappedUnreadCountsResponse","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html"},{"type":"function","title":"ExStreamClient.Model.WrappedUnreadCountsResponse.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.WrappedUnreadCountsResponse.nested_components/0","doc":"","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.WrappedUnreadCountsResponse.t/0","doc":"","ref":"ExStreamClient.Model.WrappedUnreadCountsResponse.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.XiaomiConfig","doc":"Schema representing a XiaomiConfig","ref":"ExStreamClient.Model.XiaomiConfig.html"},{"type":"function","title":"ExStreamClient.Model.XiaomiConfig.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.XiaomiConfig.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.XiaomiConfig.nested_components/0","doc":"","ref":"ExStreamClient.Model.XiaomiConfig.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.XiaomiConfig.t/0","doc":"","ref":"ExStreamClient.Model.XiaomiConfig.html#t:t/0"},{"type":"module","title":"ExStreamClient.Model.XiaomiConfigFields","doc":"Schema representing a XiaomiConfigFields","ref":"ExStreamClient.Model.XiaomiConfigFields.html"},{"type":"function","title":"ExStreamClient.Model.XiaomiConfigFields.decode/1","doc":"Components could just be enums that are typed - so we need to decode those as enums as they will just be stings","ref":"ExStreamClient.Model.XiaomiConfigFields.html#decode/1"},{"type":"function","title":"ExStreamClient.Model.XiaomiConfigFields.nested_components/0","doc":"","ref":"ExStreamClient.Model.XiaomiConfigFields.html#nested_components/0"},{"type":"type","title":"ExStreamClient.Model.XiaomiConfigFields.t/0","doc":"","ref":"ExStreamClient.Model.XiaomiConfigFields.html#t:t/0"},{"type":"extras","title":"ex_stream_client","doc":"# ex_stream_client\n\nA client for [Stream](https://getstream.io) REST APIs in Elixir - auto generated from their [OpenAPI specification](https://github.com/GetStream/protocol).","ref":"readme.html"},{"type":"extras","title":"Features - ex_stream_client","doc":"- Auto-generated from the OpenAPI specification\n- Fully typed and documented APIs\n- Utilizes [Req](https://github.com/wojtekmach/req) for HTTP requests by default.","ref":"readme.html#features"},{"type":"extras","title":"Installation - ex_stream_client","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_stream_client` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_stream_client, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - ex_stream_client","doc":"The client requires the following configuration to be set in your `config.exs` file:\n\n```elixir\nconfig :ex_stream_client,\n  api_key: \"your-api-key\",\n  api_key_secret: \"your-api-key-secret\"\n```\n\nYou can also configure the endpoint if you are using a custom one:\n\n```elixir\nconfig :ex_stream_client,\n  endpoint: \"https://your-custom-endpoint.com\"\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Acknowledgements - ex_stream_client","doc":"This project includes code adapted from [ex_openai](https://github.com/dvcrn/ex_openai),\nwhich is licensed under the MIT License. We thought the idea to generate client code via the Elixir AST was a great one!","ref":"readme.html#acknowledgements"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"ex_stream_client v0.1.1 - Changelog","doc":"- Update docs","ref":"changelog.html#ex_stream_client-v0-1-1"},{"type":"extras","title":"ex_stream_client v0.1.0 - Changelog","doc":"- Initial release","ref":"changelog.html#ex_stream_client-v0-1-0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}